Chapter 1: Matrox Intellicam Introduction

Matrox Intellicam Help

Overview

Availability
All Boards

Matrox Intellicam is a program for 32- and 64-bit Microsoft Windows operating systems, that provides fast camera interfacing and interactive access to all the grab features and functionalities of your Matrox frame grabber. Matrox Intellicam allows you to grab with various camera types and see the results immediately.

You can also use Matrox Intellicam to create and/or modify digitizer configuration format (DCF) files for use with Matrox frame grabbers that support non-standard acquisition. These files can then be used to interface with any camera supported by your frame grabber.


Installation

Availability
All Boards

Matrox Intellicam is included with MIL/MIL-Lite. It is automatically installed when installing MIL/MIL-Lite. You can also install Matrox Intellicam as a stand-alone product. The system requirements for Matrox Intellicam are the same as MIL/MIL-Lite. A MIL/MIL-Lite license is also required to use Matrox Intellicam. Refer to the MIL Help file for more information regarding installation, licensing, and system requirements.


Interface overview

Availability
All Boards

Matrox Intellicam is Multiple Document Interface (MDI) compliant and follows the general conventions of a Windows Graphical User Interface (GUI). You can refer to your Windows documentation for specific explanations of the window conventions, such as drop-down menus, icons, and dialog boxes.

Important information concerning the user interface is found in the remaining Matrox Intellicam's interface topics.

The following displays a typical Matrox Intellicam window.


Menu bar

Availability
All Boards

The menu bar gives you access to most of Matrox Intellicam’s operations. Depending on which type of window is currently active, commands in a menu are enabled or disabled.

See the Matrox Intellicam Reference for a detailed description of each of the Matrox Intellicam menus and their commands.

Related topics: Matrox Intellicam Reference.


Context menu

Availability
All Boards

The context menus give you quick access to some of the most commonly used menu commands in Matrox Intellicam. Many of the items in Matrox Intellicam have context menus, that is, menus that are accessed by clicking the right mouse button when the cursor is over these items. These items include image windows, DCF dialog boxes, the main application workspace, and dialog boxes.

All context menu commands also appear in the main menus.

Related topics: Menu bar


Toolbar

Availability
All Boards

The tool bar allows you to quickly access the most common commands in Matrox Intellicam. For example, to open a file, click on the Open button rather than going through the menu hierarchy.

The View Toolbar command displays or hides the main window's toolbar. When you exit from Matrox Intellicam, the toolbar setting is saved for your next session.

The toolbar is dockable to the top, bottom, left, or right edge of the Matrox Intellicam application workspace. It can also appear as a window that you can position anywhere on the Windows desktop. To move the toolbar, place your cursor anywhere on the bar, except over the buttons, and then drag the button bar to the required position.

Note that not all buttons are accessible at any one time. Depending on the active window, some are grayed out.

1 | New DCF: | Creates a DCF.
2 | New image: | Creates an image.
3 | Open: | Opens an existing document.
4 | Save: | Saves the active document.
5 | Validate DCF: | Validates the active DCF and computes all hardware registers.
6 | Single grab: | Grabs a single image.
7a) | Single safe grab: | Grabs a single safe image.
7b) | Single Bayer grab: | Grabs a single image and performs Bayer conversion.
8 | Continuous grab: | Grabs a continuous image.
9a) | Continuous safe grab: | Grabs a continuous safe image.
9b) | Continuous Bayer grab: | Grabs a continuous image and performs Bayer conversion.
10 | Halt Grab: | Halts a continuous grab.
11 | Bayer Settings: | Configures the Bayer settings.
12 | Digitizer Control: | Modifies the dynamic digitizer controls.
13 | Feature Browser: | Opens the Feature Browser dialog box.
14 | System Selection: | Specifies a system.
15 | Clear in: | Specifies a color with which to clear the image.
16 | Zoom Out: | Specifies to zoom out of the image.
17 | Zoom In: | Specifies to zoom in to the image.
18 | No Zoom: | Specifies to return the image to its original dimensions.
19 | Print: | Prints the active document.
20 | Contents: | Displays the contents of the on-line help.

Related topic: View Toolbar, New Digitizer Configuration Format, New Image, Open, Save, Validate DCF, Single grab, Single safe grab, Single Bayer grab, Continuous grab, Continuous safe grab, Continuous Bayer grab, Halt grab, Bayer Settings, Digitizer Control, System Selection, Clear in, Print, Contents, Context Help.


Status bar

Availability
All Boards

The status bar displays information regarding the active window. Different windows have different status bars.

  • Main application workspace: Displays various information messages. When you place the cursor over a tool button, the status bar displays a short description of the tool button. When an error occurs, the status bar flashes the corresponding MIL error message. Note that you can specify the duration and the number of times to flash the error messages, using the Systems tab in the Options Preferences dialog box. In the View menu, a check mark appears next to the words status bar when the status bar is displayed. When you exit Matrox Intellicam, the status bar setting is saved for your next session.

  • DCF dialog box: Displays the name of the active system, and a "traffic light" type signal. When your DCF is configured properly, the "green light" is active. If there is an error in the current tab, which you can correct by adjusting other values in the same tab, the "yellow light" is active. If there is an error that you can correct by adjusting values in another tab(s), the "red light" is active.

  • Image window: Displays the active system, the coordinates of a child area if one is specified (relative to the coordinates (0,0) of the image window), the horizontal and vertical dimensions of a child area if one is specified, the number of bands and the number of bits per band, the coordinates and value of the pixel under the cursor (with respect to the coordinate (0, 0)).

Related topics: Options Preferences System tab and View Status bar.


Application title bar

Availability
All Boards

The application title bar identifies Matrox Intellicam as the program currently running. It also identifies the active DCF or image. When an image window displaying a continuous grab is active, the application title bar also specifies the DCF used for the grab.


Image title bar

Availability
All Boards

The image title bar displays the file name of the image document. When a image window displaying a continuous grab is active, the DCF used for the grab is also specified in the image title bar.


Print preview toolbar

Availability
All Boards

Accessed from

File Print Preview

The print preview toolbar allows you to access the Print Preview commands.

1 | Print: | Opens the Print dialog box so that you can start a print job.
2 | Next Page: | This option is not needed in Matrox Intellicam and therefore not available.
3 | Prev Page: | This option is not needed in Matrox Intellicam and therefore is not available.
4 | One Page/Two Page: | This option is not needed in Matrox Intellicam and therefore is not available.
5 | Zoom In: | Enlarges the view of the printed page.
6 | Zoom Out: | Reduces the view of the printed page.
7 | Close: | Returns from print preview to the main workspace.

Related topics: File Print Preview


Window management

Availability
All Boards

Any window (and icon) in Matrox Intellicam can be managed very much like those of other Windows applications. Windows can be maximized, minimized, dragged, resized, rearranged (tiled, cascaded), opened, and closed. Window icons can be dragged and rearranged.

Matrox Intellicam's windows can also be organized using the commands of the Window menu. The Window menu lists all opened windows in Matrox Intellicam's workspace.

Particularly useful are the Window Cascade, Window Tile, and Window Arrange Icons commands; they allow you to specify the arrangement of the windows in the Matrox Intellicam workspace. The Window Cascade command rearranges all windows so that they are partially overlaid one on top of the other, in a cascading pattern. The Window Tile command arranges all open windows like tiles so that they cover the entire workspace. The size of the 'tiles' depends on how many windows are open in the workspace. The 'tiles' are reduced or enlarged, as required, in order to fit in the workspace. The Window Arrange Icon command arranges all window icons in rows at the bottom of the application workspace.

An additional window management technique is the Window Close All command. The Window Close All command closes all windows and window icons.

Related topics: Toolbar, Window Cascade, Window Tile, Window Arrange Icons, and Window Close all.


Image window

Availability
All Boards

The image window displays an image that was either loaded from disk or grabbed from an input device (typically, a camera). The image window can also display a continuous grab. Each image occupies its own window. The Image Import command will load an imported image into the active image window on top of any image that was previously displayed in that window.

You can change the dimensions of an image window. This is done by placing the cursor at the right corner of the image status bar and pressing the left mouse button continuously while moving your mouse in any direction.

The image window can be maximized and minimized just like any Windows window. If your image window is maximized and the actual image is still larger than the image window, you can view different areas of the image using the scroll bars.

Related topics: Image Import


DCF dialog box window

Availability
All Boards

The DCF dialog box allows you to create or modify a DCF using its various tabs. If you are unsure of the DCF settings, refer to the documentation and/or specifications of your system and camera. Note that the options available in the DCF dialog box depend on your system and camera type; if the options are not supported for the selected camera type, they will either not be present or appear grayed out.

Related topic: DCF dialog box


Dialog boxes

Availability
All Boards

Most of Matrox Intellicam's dialog boxes are actually multiple dialog boxes, that is, different dialog boxes overlaid one on top of the other. The main dialog box is referred to as a dialog box, while its internal dialog boxes (or property pages) are referred to as tabs. The tab name appears at the top of the tab.


Documentation Conventions

Availability
All Boards

This section describes some conventions used in this manual.

Documentation conventions

This manual occasionally makes reference to MIL functions. See the MIL Help file for more information regarding these functions.

Menu conventions

This manual refers to operations, accessible through the menus, as commands, and refers to them by their menu names. For example, selecting Validate DCF from the DCF menu is referred to as the DCF Validate DCF command.

Dialog box conventions

In general, when a command is called, a dialog box appears. Dialog boxes allow you to specify how to perform the command. To use a dialog box, you might have to enter values in edit fields, select items from list boxes, specify options, adjust values using sliders, or click on buttons and selectors.


Chapter 2: Using Matrox Intellicam

Availability
All Boards

This chapter describes the basics for using Matrox Intellicam. This information is required to grab images or test DCFs.

Before starting, make sure that your frame grabber is correctly installed and set up, and that your camera is properly connected.

The following list outlines basic steps to perform when using Matrox Intellicam:

  1. Choose a system.

  2. See the Support page of the Matrox Imaging website for camera interface application notes and their corresponding DCFs.

  3. Choose a DCF that matches, as closely as possible, the data format of your camera.

  4. Create an image document. If you select one of the digitizer grab commands before creating an image, an image document will be created for you with the values specified in the DCF.

  5. Continuously grab from your camera into the image document.

  6. Adjust the digitizer controls and/or fine-tune your DCF. Refer to the DCF dialog box topic for information on fine-tuning your DCF.

Note that these are basic steps to use either standard or non-standard cameras with Matrox Intellicam.

Related topics: Digitizer configuration format tab, Digitizer configuration format dialog box, Image tab


Selecting a target system

Availability
All Boards

Matrox Intellicam requires that you specify a target system before using any of its features. A system generally refers to a set of hardware components capable of grabbing, storing, processing, and/or displaying images. In Matrox Intellicam a system refers to a board with video acquisition capabilities.

Matrox Intellicam systems represent and permit access to the specified Matrox frame grabber, the Host CPU and memory, and any available graphics controller. When you specify a system, Matrox Intellicam opens communication channels and initializes the system (or hardware resources)

The first time that you load Matrox Intellicam, open the System Selection dialog box. From the list of available systems that appear, select the required system, and either double-click on it or click on the Make Active button.

You will also notice that Matrox frame grabbers are available as virtual systems in Matrox Intellicam. You would select a virtual system to configure a DCF file for a board that is not currently installed. Note that you cannot grab using a virtual system.

The following list explains how to change the target system in Matrox Intellicam.

  1. Click on the System Selection button, or use the Options System Selection command. The System Selection dialog box opens.

  2. Choose your target system (for example, Solios/CL Medium 0). This makes the selected system the default system and the icon next to your selection changes to an A (for Active System). The active system is the system with which to capture images and associate DCFs. The 0 following the name of the board implies that the board is the first of several boards of the same type installed in your computer. Moreover, it indicates a physical board as opposed to a virtual one.

  3. Click on Close. The system with the A icon is now the active system

Related topics: Options System Selection


Selecting a DCF for your camera

Availability
All Boards

After selecting your system, you must select or create a DCF. A DCF is a digitizer configuration format. A digitizer is a set of acquisition paths from which to acquire data from a single camera of the specified type. A DCF is a document that contains the register-level information that must be downloaded into the digitizer section of your target system before you can grab with your particular camera. To interface the target system with a camera, you must specify a DCF that matches the video timings and format of that camera.

If you are using a standard camera (such as, RS-170 or CCIR), a DCF is already pre-defined for your camera. If you are using a non-standard camera, a DCF might have been pre-defined. If not, you will have to modify an existing DCF or create a new one from an existing DCF template.

Pre-defined DCF files can be found in the \Matrox Imaging\Drivers directory. You can also find updated and verified DCFs for most common camera manufacturers on the Support page of the Matrox Imaging website.

The following specifies how to select or modify a DCF:

  1. Open a DCF by selecting the File Open or File New command.

The File Open command, or the Open button, opens the Open dialog box, from which you can open an existing DCF. The DCF opens in a DCF dialog box.

The File New command opens the New Document dialog box on the Digitizer Configuration Format tab. You can either select an initial digitizer format from the presented dialog box or click on the Browse button to start from an existing DCF file.

When you open a DCF that was created for a system other than the active one, make sure that auto-correction, is enabled using the Option Preferences DCF Editor tab . When auto-correction is enabled, Matrox Intellicam ensures that all DCF settings are valid for the active system. Matrox Intellicam will change or discard any invalid settings, and a pop-up window will display the changes made to the DCF. You must always verify the automatically selected values to make sure that they match the specifications of your target camera.

  2. Modify the fields in the appropriate tabs of the DCF dialog box to configure the DCF for your camera.

  3. If you have selected a DCF from the Digitizer Configuration Format tab of the New Document dialog box, the DCF dialog box will not have the same name as the selected digitizer format; rather, it will have a temporary name (for example, DCF1). You can choose a file name when you save your DCF, using the Save button. Note that if you select an existing DCF file name, saving will overwrite the original file without prompting you before overwriting the file. If you want to keep the original file, use the File Save As command, and give it a different file name.

Related topics: File New, File Open, File Save, File Save As, Digitizer Configuration format tab, DCF dialog box, Overview tab, Camera tab, Video signal tab, Video timing tab, Pixel clock tab, Exposure signal tab, Grab mode tab, Sync. signal tab, Digital synchro tab, Other tab, and Options Preferences DCF Editor.


Grabbing images using Matrox Intellicam

Availability
All Boards

Once you have selected a target system and DCF, use the Digitizer Single Grab or the Digitizer Continuous Grab menu command to grab images and display them; a continuous grab can be stopped with the Digitizer Halt Grab menu command. If an image window is not open, the grab command will create a new image for you using the attributes specified in the DCF. If an image window is already open, it will grab into the current window. To avoid overwriting an image, you can create a new image using the File New menu command, and then grab into it. The status bar of the image window displays the image attributes.

Once grabbed, Matrox Intellicam supports saving images in one of several file formats, including MIM, TIF, RAW, BMP, JPG, and JP2.

You can also use the Digitizer Single Safe Grab or the Digitizer Continuous Safe Grab menu commands to grab images. In safe mode, the image is grabbed into an internal buffer, and then copied to its corresponding buffer in display memory, instead of being grabbed directly into display memory. You should use safe mode when making changes to your DCF.

To grab from a camera with a Bayer filter, you should use the Digitizer Bayer Settings menu commands to enable and set the Bayer pattern and white balance. When the Bayer filter is enabled, the image is grabbed into an internal buffer, the Bayer conversion is applied to the image, and then the image is copied to its buffer in display memory. Refer to the Cameras with a Bayer filter section for information on Bayer settings.

To grab in a specific region of interest within your image, it is recommended to create a child area in your image. To do so, double click at the child area’s required point of origin and drag the child area to the required size.

Related topics: Image tab, Digitizer configuration format tab, New Document, DCF dialog box, and Overview tab.


Basic steps for grabbing with a camera

Availability
All Boards

A single grab allows you to grab a single snapshot image. Note that if the commands in the Digitizer menu are disabled, your board or its interface to your camera is probably not set up properly.

To grab with a single camera, perform the following steps:

  1. Select a system. Use the Options System Selection menu command, and select the required system from the list of available systems.

  2. Open the required DCF. Use the File Open menu command and browse to the required DCF, and then click on the Open button. Refer to the section Selecting a DCF for your camera of this chapter for more information regarding where to find existing DCF files.

  3. Create a new image. Use the File New menu command and select the Image tab. Select Settings from the current DCF, or select Settings set manually and specify the image properties.

  4. Grab a single image or grab continuously from the camera, with or without the Bayer filter setting enabled, using the Digitizer menu commands.

  5. Make sure all the edges of the grabbed image appear correctly. For example, you should make sure there are no black bars at the edges of the image. If bars appear at the edges, you might need to adjust the DCF. Refer to Chapter 3: Customizing the DCF for more information regarding DCF adjustments.

  6. Verify the frame rate in the status bar at the bottom right corner. Compare this value to the theoretical frame rate, displayed in the Frequency edit field in the Vertical section of the Video timings tab (Advanced view) of the DCF dialog box. If the two values do not correspond exactly, the frame rate shown in the status bar might not be accurate.

If the actual frame rate is considerably lower than the theoretical frame rate displayed in the DCF dialog box, your DCF file might not be correct. This discrepancy can also be caused by incorrect camera settings, a faulty display card, or insufficient bandwidth for transfer to Host.

  7. Stop the grab using the Digitizer Halt Grab menu command or click on the Halt Grab (Stop) button.


Basic steps for grabbing with multiple cameras

Availability
All Boards

On frame grabbers that support it, you can use Matrox Intellicam to grab from two or more cameras at the same time. This is done by using a separate DCF for each camera. Even if your cameras use the same DCF specifications, you must save the DCF files for each camera under different names.

When grabbing a sequence of images using multiple cameras, perform the following steps:

  1. Select a system. Use the Options System Selection menu command, and select the required system from the list of available systems.

  2. Open the required DCF. Use the File Open menu command and browse to the required DCF, and then click on the Open button. Refer to the section Selecting a DCF for your camera of this chapter for more information regarding where to find existing DCF files.

  3. From the Overview tab of the DCF dialog box, specify which digitizer to allocate on the system from the Digitizer number drop-down list box.

  4. Open the required DCF for the next camera.

  5. From the Overview tab of the DCF dialog box, specify which digitizer to allocate on the system from the Digitizer number drop-down list box.

  6. Select the DCF with which to grab first. Grab your image using one of the grab menu commands. If there is an active image window open, the image will be grabbed and displayed in this window, overwriting its current contents. If no window is open, the grab will open a new image.

  7. Select the DCF for the next camera and then start the grab. The grab will open in a new image.

  8. Stop the grab using the Digitizer Halt Grab menu command or click on the Halt Grab (Stop) button. To stop grabbing on all cameras, you must select each DCF and stop the grab individually.


Chapter 3: Customizing the DCF

Availability
All Boards

If your target system supports acquisition with non-standard cameras, you can create and/or modify a DCF to interface with your particular camera. After testing your hardware and software by grabbing with a standard camera, you can connect the non-standard camera with which to interface. Note that non-standard cameras include frame-scan and line-scan cameras. This chapter provides some important tips and points to keep in mind when working with different camera modes and settings.

If you are not familiar with interfacing cameras, you should refer to Appendix A: Camera interface reference prior to continuing with this chapter. Then, you should become as familiar as possible with your camera. Read the manufacturer's documentation carefully. We recommend filling out the Video Specification Form available on the Support page of the Matrox Imaging website.

When interfacing with a non-standard camera, you should start with an existing DCF that has a configuration similar to that of your camera and customize it to your requirements. All the information required to customize your DCF should be available in the documentation for the camera, including video timings, pixel clock frequencies, and maximum resolutions. For most standard analog cameras, the DCFs provided by Matrox should be sufficient to grab. However, for non-standard analog cameras or digital cameras, you will mostly likely need to modify an existing DCF.

Note that you can create a DCF in Matrox Intellicam for a virtual system, even if you do not have the board or camera.

You should also read the associated application note for your specific camera. Application notes are available on the support page of the Matrox Imaging website.


Fine-tuning your DCF

Availability
All Boards

Once you have a selected a DCF that has a configuration similar to that required for your camera, you can fine-tune the settings to best suit your requirements. For example, a typical adjustment for analog cameras is to adjust the back porch settings. If the active video is not properly centered, it is likely that the back porch specified in the DCF is a little too narrow; to center the video, you will have to make the back porch a little wider.

The horizontal back porch is the blank region at the left of the grabbed image. This blank region might be visible if the back porch of the signal is wider than the value entered in the BPorch edit field in the horizontal section of the Video Timing tab of the DCF dialog box.

Depending on the video timing options you want to adjust, click on the Advanced or Simply button to change the view of available options.

To adjust the back porch:

  1. Click on the Video Timing tab of the DCF while grabbing continuously. To adjust the back porch value, click on the Advanced button. Typically, you should not select the Auto-adjust option while grabbing, unless you want to change the aspect ratio of your grabbed image.

  2. Select the Lock Active and Total option in the Horizontal section to preserve the original total horizontal timings and have Matrox Intellicam automatically calculate the front and horizontal back porch values. Note that, for certain cameras, some timing settings are not used. Set these settings to zero or to the minimum allowed by your frame grabber in the Horizontal timings section in the Advanced view of the Video Timing tab of the DCF dialog box.

  3. Perform the above step for Vertical timings in the Advanced view of the Video Timing tab of the DCF dialog box.

  4. To change the setting for your back porch, type in the new value in the Horizontal BPorch edit field. Otherwise, use the up or down arrows located to the right of the edit field. When you click on the up arrow, the black stripe on the left of the grabbed image will disappear and the image is moved to the left. Continue to make adjustments until you are satisfied with the results. You can specify horizontal timings in either microseconds (msec) or pixel clock cycles (pclk).

If your continuous grab stops or becomes unstable, you might want to adjust your synchronization values. If you set synchronization values that are well outside a reasonable range, the hardware will not be able to synchronize properly and will stop your grab or make it unstable. The only way to get around this is to stop your grab completely and reload your DCF. Typing in your values rather than using the arrows will increase your chances of the values being accepted without a problem. If you are changing all or most of your timings, you might try to stop your grab, change your timings and then re-start your grab.

  5. You can save your new DCF to a file using the File Save As menu command or by clicking on the Save As button.


Using non-standard cameras

Availability
All Boards

Different non-standard cameras can support various modes and features. A camera is considered non-standard when its video signals do not conform to one of the internationally accepted video standards, such as CCIR, RS-170, NTSC, or PAL.

Non-standard cameras can support some of the following characteristics:

  • Analog or digital video signals.

  • Frame-scan or line-scan capabilities.

  • Interlaced or non-interlaced video signals.

  • Various resolutions.

  • Adjustable pixel clock frequency.

  • Multiple taps.

  • Varying bits per pixel.

  • RGB color.

  • Bayer filters.

  • Slave or master mode (in a slave mode, the frame grabber is master while the camera is slave).


Acquiring analog or digital data

Availability
All Boards

You can specify whether you are acquiring analog or digital data in the Video Signal Information section of the Video timing tab of the DCF dialog box.

Analog data

For analog data, you usually only need one signal which contains both horizontal and vertical synchronization signals, along with the video information. Sometimes, you might also have separate horizontal and/or vertical synchronization signals. Analog video is converted to digital data by the frame grabber. In the case of RGB analog data, each component (red, green, or blue) is a separate signal.

If during a continuous grab using an analog camera, the lines become skewed at the top of the image, try disabling the Block synchronization type enable option in the Sync. Signal tab of the DCF dialog box. This will configure the board so that it expects a non-block synchronization pulse (that is, one with serration pulses).

Digital data

Since there are no standards for digital cables (aside from Camera Link-compliant cameras), a custom cable must be built for each camera. This can become complex for digital setups, though image quality is better than for analog signals.

In general, when receiving digital data and synchronization signals, the signals that the frame grabber receives are a pixel clock, horizontal synchronization, vertical synchronization, and data signals.

Note IEEE 1394 compliant cameras do not require DCFs.


Frame-scan or line-scan cameras

Availability
All Boards

Non-standard cameras can include frame-scan and line-scan cameras. Frame-scan cameras generally provide a two-dimensional image and have constant horizontal and vertical timings. Line-scan cameras provide a one-dimensional image and can have constant or variable horizontal timings.

When creating or modifying a DCF, you must specify whether you are grabbing from a frame-scan or line-scan camera, using the Camera tab of the DCF dialog box. Refer to Chapter 4: Using timers, triggers, and user signals for information on the various acquisition modes available for frame-scan and line-scan cameras.

For cameras that support the frame-scan mode, you must choose between interlaced and non-interlaced video signals (types of video signals that require vertical timing). To do so, use the Video Timing tab of the DCF dialog box. With line-scan cameras, these settings are not applicable.


Changing resolutions

Availability
All Boards

In Matrox Intellicam, you can increase or decrease the default resolution of the image grabbed by changing the number of pixels per line for horizontal and vertical synchronization signals. This is done by changing the value of the Active field in the Advanced view of the Video Timing tab of the DCF dialog box.

You can also change resolutions directly on some cameras using binning, using a partial scan, or using a region of interest (child area). If your camera does not support these modes, you can also specify a region of interest using Matrox Intellicam. The frame grabber can control the region of interest using the Grab Region tab of the Digitizer Controller dialog. Also, you can use the Image Child Area menu command to specify the destination region in the image. You can read about binning, partial scans, and regions of interest in Appendix A: Camera interface reference.


Pixel clock frequency

Availability
All Boards

If you need to change the default aspect ratio of the grabbed images, you can do so by adjusting the pixel clock frequency. You do this on the Pixel Clock tab of the DCF dialog box. Increasing the pixel clock frequency increases the number of pixels sampled per line.

Note that the frame rate is directly proportional to the pixel clock frequency. That is, if your pixel clock frequency is halved, the frame rate will also be halved. You should use the recommended pixel clock frequency specified in the documentation for the camera; you should adjust the pixel clock values of the DCF only if the aspect ratio needs to be adjusted.

With digital cameras, if the acquired image seems to have "salt and pepper" noise, try adjusting the input delay until the noise disappears. In cases where the cables are long, a propagation delay might cause incorrect sampling of the digital signal. Adding a slight input delay ensures that the sampling is performed at the correct time. You can add the delay using the slider bar in the I/O characteristics section in the Pixel Clock tab of the DCF dialog box.

To compensate for propagation delays when grabbing with longer cables, you can try adding 3 nanoseconds (nsec) per meter of cable.


Pixel depth

Availability
All Boards

Most digital cameras can output at 8 bits per pixel, although some are capable of outputting at higher bit depths, such as 10- or 12-bit cameras. RGB cameras typically output at 3 x 8 bits (for 24 bits color depth in total). Some Bayer color cameras can support 10-bit images. See the section Cameras with a Bayer filter for more information.

For digital video input, you must specify the depth of the grabbed pixels. To do so, change data bus width on the Video Signal tab of the DCF dialog box. You might want to reduce the pixel depth (bits per pixel) to gain speed, or to test if your camera outputs video properly.

Analog cameras provide an analog signal which can be digitized at any supported pixel depth (dependent on the frame grabber). When grabbing an analog signal, you must specify the number of bits at which the image is quantized. To do so, change the data bus width on the Video Signal tab of the DCF dialog box. The most common is 8 bits per pixel. There is little advantage in digitizing an 8-bit source into a 10-bit image because you do not gain any precision in doing so.


Multiple tap cameras

Availability
All Boards

Some cameras can send data over multiple simultaneous output signals (taps); outputting two taps simultaneously provides twice the bandwidth as a single-tap camera.

RGB component cameras can also be considered 3-tap cameras but are usually simply referred to as RGB cameras.

You should specify the number of taps transmitted from your camera using the Tap Configuration sub-tab of the Camera tab, found in the DCF dialog box. Once the taps are specified, you can click on the corners of the illustration of the tap region(s) to change the direction of the tap(s). The arrowheads indicate the direction of the tap.

Some tap arrangements are more common than others. Tap arrangements are usually specific to the camera. When specifying tap arrangements, you should consult the specifications for your camera.


RGB cameras

Availability
All Boards

Some cameras support RGB color. For applications that require color detail, it is advantageous to use an RGB camera. If using a color camera, specify its RGB video signal information by selecting the video standard from the Standard drop-down list box in the Video Signal tab of the DCF dialog box.

RGB color from an analog source is transmitted along three analog signals (red, green, and blue) with the synchronization signals either combined with one of the input components (typically on the green signal) or on a separate signal.

RGB 8-bit color from a digital source typically consists of 24 digital signal pairs. Synchronization and pixel clock signals are separate.


Cameras with a Bayer filter

Availability
All Boards

Cameras that feature a Bayer color filter (sometimes referred to as a Bayer camera) can be used with Matrox Imaging frame grabbers to provide a cost-effective method for grabbing color images. The camera outputs a single-band color-encoded image, and then you can convert it to a multi-band color image. The image typically has the same size and width as its 3-band equivalent. However, intensity and color information of each of its pixels is shared by 4 neighboring pixels.

There are two different ways of performing Bayer conversion in Matrox Intellicam. When performing Bayer conversion by the host, the image is grabbed into an internal buffer, Bayer conversion is applied, and then the image is copied to the display. To perform Bayer conversion using this technique you must:

  1. Grab an image, using the Single Grab command, that is a uniform shade of gray. To do so, hold a flat, smooth, non-reflective object that is a uniform shade of gray in front of a camera so that the object occupies the camera's entire field of view. The shade of gray should not be too close to white (too saturated) because if one or more color bands is actually being clipped to maximum saturation, the unbalance between the bands cannot be observed. Ensure that the image is grabbed under the same lighting conditions as subsequent source images. You can also load a Bayer color-encoded source image from disk. The image should be a uniform shade of gray and not too saturated. The loaded image must have been grabbed with the same lighting conditions that are in effect when grabbing the image that is to be converted.

  2. In the Bayer Setting dialog box, accessed using the Digitizer Bayer Settings command or in the Bayer button dialog box, specify your camera's Bayer pattern. Specifying the starting two pixels of the pattern defines the pattern uniquely. Consult the camera's documentation or contact the manufacturer if you are unsure; the image will not be converted properly if the wrong pattern is specified. If information regarding the pattern used by the camera is unattainable, try all of the patterns to find the correct colors.

  3. To use automatically calculated white balancing coefficients, de-select the Default checkbox, click the Custom Coefficients button, and click on the Calculate button. Three white balance coefficients are calculated and appear in the R, G, and B edit fields in the dialog. You can also specify your own white balance coefficients in the appropriate boxes.

  4. Grab an image in the same image window that was used in step 1 using the Single Bayer grab or Continuous Bayer grab command. Note that if you use the Single Grab command or the Continuous Grab command, Bayer conversion is not performed.

When performing Bayer conversion using the frame grabber, the image is not saved in an internal buffer, Bayer conversion is applied directly to the image. If this method of Bayer conversion is specified, it is applied using the Single Grab, Single Safe grab, Continuous grab, and Continuous Safe grab commands. To perform Bayer conversion using this technique you must:

  1. Grab an image, using the Single Grab command, that is a uniform shade of gray. To do so, hold a flat, smooth, non-reflective object that is a uniform shade of gray in front of a camera so that the object occupies the camera's entire field of view. The shade of gray should not be too close to white (too saturated) because if one or more color bands is actually being clipped to maximum saturation, the unbalance between the bands cannot be observed. Ensure that the image is grabbed under the same lighting conditions as subsequent source images. You can also load a Bayer color-encoded source image from disk. The image should be a uniform shade of gray and not too saturated. The loaded image must have been grabbed with the same lighting conditions that are in effect when grabbing the image that is to be converted.

  2. In the DCF Camera sub-tab and in the Digitizer Control Bayer tab, enable Bayer conversion and specify your camera's Bayer pattern. Specifying the starting two pixels of the pattern defines the pattern uniquely. Consult the camera's documentation or contact the manufacturer if you are unsure; the image will not be converted properly if the wrong pattern is specified. If information regarding the pattern used by the camera is unattainable, try all of the patterns to find the correct colors.

  3. Grab or load an image in the same image window that was used in step 1 using the Single grab, Single safe grab, Continuous grab, or Continuous safe grab command. Note that the Single Bayer grab and Continuous Bayer grab commands do not apply Bayer conversion by the frame grabbers. These commands are only used to apply Bayer conversion by the Host.

During Bayer conversion, you can white balance the image to adjust for color variations that were introduced by lighting conditions when the image was grabbed; pixels that represent white are converted so they appear as close to white as possible, and other pixels are adjusted accordingly. Be sure to calibrate the white balance of the image; otherwise, the color settings will not be optimal. You can adjust the white balance of your images from the Digitizer Bayer Settings menu command or by clicking on the Bayer button.

Refer to the MIL User Guide for further information about Bayer filters.

Related topics: Single Bayer Grab, Continuous Bayer Grab, Configure Bayer settings, Digitizer Control Bayer tab, DCF Camera sub-tab, and Digitizer Configure Bayer setting dialog box.


Frame grabber master/camera slave mode

Availability
All Boards

Cameras operate in either master mode or slave mode. Some cameras can operate in both master and slave mode. In a typical digital camera set-up, the camera provides the pixel clock and therefore acts as the synchronization source and master; then, the frame grabber synchronizes to the camera. In the mode where the frame grabber acts as the master, it provides the pixel clock and the synchronization signals to the camera. In Matrox Intellicam, you can specify whether the frame grabber or the camera is providing the pixel clock signal. To do so, select the mode from the External Clock Signal drop-down list box in the Pixel Clock tab of the DCF dialog box.

Note that when the frame grabber acts as master, the camera still dictates the signals that the frame grabber must provide (for example, the pixel clock frequency signal).

When multiple video sources are used, and precise synchronous acquisition is required, the frame grabber can act as the master by outputting the pixel clock and synchronization signals to the cameras. In this case, the cameras must be configured as slave. This set-up is referred to as a genlocked set up.


Feature browser

Availability
All except IEEE 1394 standard boards

The Feature Browser is a tool that allows you to dynamically configure camera, system, and digitizer feature settings. The Feature Browser can be launched using the Digitizer Camera Features menu command or the Feature Browser toolbar button. When launching the Feature Browser, you are presented with a list of all configurable features of the frame grabber. You can change any of the listed features with values displayed in green, but you cannot save any of the changes you make in the Feature Browser. However, if you are using GigE Vision-compliant cameras or CoaXPress (CXP) communication standard frame grabbers, you can record the changes you make and save them to a DCF.

With GigE Vision-compliant cameras, Camera-Link standard and CoaXPress (CXP) communication standard-compliant frame grabbers, the Feature Browser accesses the camera's feature description file, and allows you to view and change the camera's features. To use the Feature Browser with Camera-Link standard cameras, you must enable the GenICam CLProtocol module in the Camera-Link pane of the MILConfig utility.

To learn the list of GenICam-standard features available, refer to the GenICam Standard Feature Naming Convention (SFNC), available on the GenICam website. Additional custom camera features might be available; check your camera's manual.

If you are making changes in the Feature Browser to GigE Vision cameras, and want to log and save the changes you make to a DCF, you must enable Recording mode in the Camera configuration tab of the DCF dialog box. Features are listed in the Feature tree, with the feature's name on the left side of the pane and the current value of the feature on the right side of the pane. If a value is displayed in green text, then it is a settable value. If a value is displayed in gray text, it is an inquired value for a feature and cannot be changed. You can specify what type of controls and inquires are visible in the interface by changing the User level option.

With CXP communication standard frame grabbers, the digitizer can also be configured with the Feature Browser. Much like configuring GigE Vision cameras, you must enable Recording mode in the Digitizer configuration tab of the DCF dialog box to log and save changes you make in the feature browser to the DCF.

For more information regarding the Feature Browser dialog box, see the Camera Features section of the Matrox Intellicam Menu Command Reference.


Chapter 4: Using timers, triggers, and user signals

Availability
All Boards

This chapter explains using timers, triggers, as well as user signals.

Exposure control

If your frame grabber and camera support it, you can set up the frame grabber to send an timer output signal to the camera. The timer output signal indicates to the camera when to initiate exposure of a new frame, and in some modes, the duration of exposure.

Exposure control can be of two forms: internal and external. With internal exposure control, the camera will control the exposure time. In this case, the timer signal from the frame grabber to the camera acts as a trigger to indicate to the camera to start exposure of a new frame, but it is the camera settings and specifications that control the length of the exposure. With external exposure control, the frame grabber has control over the exposure time. That is, the exposure signal from the frame grabber to the camera not only triggers the camera to initiate exposure of a new frame, but, the length of the active portion of the timer output signal corresponds to the duration of exposure of a frame.

Note that you can enable and set up the required timers and grab trigger connections using Matrox Intellicam. You can specify the timer settings in sub-tabs of the Exposure Signal tab of the DCF dialog box. Trigger signal characteristics can be set in the Grab Mode tab of the DCF dialog box.

Note that when grabbing fast-moving images, using longer exposure periods might cause the image to be blurred; therefore, you should make sure to set your lighting accordingly to provide optimal exposure.

User signals

Some applications may require additional signals that must be specified by the user. For example, a conveyor belt that has a status indicator or a camera whose mode of operation depends on user output bits. Both these situations require user signals from the frame grabber.

Note that not all frame grabbers support user signals.

To set user-defined signals in Matrox Intellicam, you must specify the settings on the sub-tabs of the Other tab of the DCF dialog box. Alternatively you can use the User-Defined Signals tab of the Digitizer Control dialog box. Refer to the MIL Board Specific Notes and the Matrox Intellicam on-line help for further information on user-defined signals.


Common frame-scan modes

Availability
All Boards

When creating or modifying a DCF for a camera that support frame-scan modes, you must specify that the camera is a frame-scan type of camera using the Camera tab of the DCF dialog box. There are several common frame-scan modes. You must specify which mode your camera is using.

The following table summarizes some common video acquisition modes supported by frame-scan cameras, the signals involved, and the respective Matrox Intellicam settings:

Acquisition modes

Matrox Intellicam DCF dialog box settings

Continuous mode

Camera:

• Sends continuous video to frame grabber.

• Uses internal exposure control. Exposure time cannot exceed frame transfer time.

• Fixed frame rate, independent of exposure time.

1. To set the grab mode characteristics, select continuous mode on the Grab Mode tab.

Pseudo-continuous mode

Camera:

• Sends continuous video to frame grabber.

• Internal or external exposure control. Exposure time can be much longer than frame transfer time.

• Receives a periodic reset (exposure) signal from the frame grabber.

• Exposure of a new frame starts upon the reset (exposure) signal and can only occur after the previous frame has been fully transferred. The reset signal must not occur in the middle of a frame transfer.

• Frame rate is a function of reset (exposure) signal rate.

Frame grabber:

• Sends periodic reset (exposure) signal to the camera.

• Grabs upon edge of periodic reset (exposure) signal.

1. To set the periodic reset (exposure) signal, specify the signal characteristics in the Timer 1 sub-tab of the Exposure Signal tab. The mode of the signal must be set to Periodic.

2. To specify the grab characteristics, use the Grab Mode tab:

a. Select hardware trigger mode from the Mode drop-down list box.

b. Select next valid frame (or field) mode from the Activation mode drop-down list box.

c. Specify when the grab will occur by setting the grab trigger signal source to Timer1’s output in the Trigger Signal Characteristics section.

Next valid frame on trigger mode

Camera:

• Sends continuous video to frame grabber.

• Uses internal exposure control.

• Fixed frame rate.

Frame grabber:

• Grabs next valid frame after receiving external trigger.

1. To specify the characteristics of the trigger upon which to grab, use the Trigger Signal Characteristics section of the Grab mode tab. In this section:

a. Select either hardware trigger or software trigger mode from the Mode drop-down list box.

b. Select next valid frame (or field) mode from the Activation mode drop-down list box.

Note that in Matrox Intellicam, you can assert a software trigger from the Trigger tab in the Digitizer Controller dialog box.

Asynchronous reset mode

Camera:

• Receives a reset (exposure) signal from the frame grabber.

• Internal or external exposure control.

• Exposure starts upon the reset (exposure) signal. Exposure time can be greater than frame transfer time.

• Frame rate is a function of the rate at which the frame grabber receives the external trigger.

Frame grabber:

• Upon receiving an external trigger, sends a reset (exposure) signal to the camera.

• Grabs next frame after trigger.

1. To specify the characteristics of the trigger upon which the reset (exposure) signal is sent, use the Trigger Info section of the TImer 1 sub-tab.

2. To set the reset (exposure) signal, specify the signal characteristics in the Timer 1 sub-tab of the Exposure Signal tab. The mode of the signal must be set to On Trigger Event.

3. To specify the grab characteristics, use the Grab Mode tab:

a. Select hardware trigger mode from the Mode drop-down list box.

b. Select asynchronous reset mode from the Activation mode drop-down list box.

c. Specify when the grab will occur by setting the grab trigger signal source to Timer1’s output in the Trigger Signal Characteristics section.

Note that for internal exposure control, the length of the reset (exposure) signal cannot exceed the length of the exposure time set internally in the camera.

Long exposure or integration mode

Camera:

• Receives a reset (exposure) signal from the frame grabber.

• Internal or external exposure control.

• Exposure starts upon a reset signal. Exposure times longer than one frame.

• Frame rate is a function of the rate at which the frame grabber receives the external trigger.

• Sends a write enable signal to the frame grabber to indicate when to acquire a valid frame.

Frame grabber:

• Upon receiving an external trigger, sends a reset (exposure) signal to the camera.

• Grabs upon receiving a write enable signal from the camera.

1. To specify the characteristics of the trigger upon which the reset (exposure) signal is sent, use the Trigger Info section of the Timer 1 sub-tab.

2. To set the reset (exposure) signal, specify the signal characteristics in the Timer 1 sub-tab of the Exposure Signal tab. The mode of the signal must be set to On Trigger Event.

3. To specify the grab characteristics, use the Grab Mode tab:

a. Select hardware trigger mode from the Mode drop-down list box.

b. Select asynchronous reset mode from the Activation Mode drop-down list box.

c. Set the write enable signal that initiates frame acquisition by specifying its characteristics in the Trigger Signal Characteristics section.

If exposure control is internal, the length of the reset ( exposure) signal cannot exceed the length of the exposure time set internally in the camera.

The examples in Chapter 5: Matrox Intellicam Examples illustrate acquiring analog data and digital data with frame-scan cameras. Refer to Chapter 5: Matrox Intellicam Examples for more details.


Common line-scan modes

Availability
All Boards

When creating or modifying a DCF of a line-scan camera, you must specify that the camera is a line-scan type camera using the Camera tab of the DCF dialog box. There are several variations of line-scan modes. You must specify which mode you will be using.

The following table summarizes some common video acquisition modes supported by line-scan cameras, the signals involved, and the respective Matrox Intellicam settings:

Acquisition Modes

Matrox Intellicam DCF dialog box settings

Fixed line-scan rate mode

• Also called continuous line-scan rate mode or free-running mode.

• Internal exposure control.

• Line-scan rate is fixed.

1. To specify the grab mode characteristics, select continuous mode from the Mode drop-down list box and fixed line-scan mode from the Line scan mode drop-down list box in the Grab Mode tab.

Variable line-scan rate mode

Camera:

• Receives a line-reset (exposure) signal from the frame grabber.

• Internal or external exposure control.

• Exposure starts upon a line-reset (exposure) signal.

• Line-scan rate is a function of the rate at which the frame grabber receives the external line-trigger signals.

Frame grabber:

• Upon receiving an external line-trigger, sends a line-reset (exposure) signal to the camera.

• Grabs next line after line-trigger.

1. To set the line-reset (exposure) signal, specify the signal characteristics in the Timer 1 sub-tab of the Exposure Signal tab. The mode of the signal must be set to On Trigger Event.

2. To specify the characteristics of the line-trigger upon which the line-reset (exposure) signal is sent, use the Trigger Info section of the Timer 1 sub-tab.

3. To specify the grab characteristics, use the Grab Mode tab:

a. Select hardware trigger mode from the Mode drop-down list box.

b. Select variable line-scan rate mode from the Line scan mode drop-down list box.

Fixed line-scan rate with frame trigger mode

Camera:

• Receives a periodic line-reset (exposure) signal from the frame grabber.

• Internal or external exposure control.

• Exposure starts upon a line-reset (exposure) signal.

• Line-scan rate is fixed.

Frame grabber:

• Frame capture is initiated by external frame-trigger.

• Generates a periodic line-reset (exposure) signal.

• Frame size (number of lines per frame) is fixed.

1. To set the periodic line-reset (exposure) signal, specify the signal characteristics in the Timer 1 sub-tab of the Exposure Signal tab. The mode of the signal must be set to Periodic.

2. To specify the characteristics of the frame-trigger upon which the line-reset (exposure) signal is initiated, use the Trigger Info section of the Timer 1 sub-tab.

3. To specify the grab characteristics, use the Grab Mode tab:

a. Select hardware trigger mode from the Mode drop-down list box.

b. Select fixed frame/fixed line mode from the Line scan mode drop-down list box.

Variable line-scan rate with frame-trigger mode

Camera:

• Receives a line-reset (exposure) signal from the frame grabber.

• Internal or external exposure control.

• Exposure starts upon a line-reset (exposure) signal.

• Line-scan rate is a function of the rate at which the frame grabber receives the external line-trigger signals.

Frame grabber:

• Frame capture is initiated by external frame-trigger.

• Receives external line-triggers.

• Generates a line-reset (exposure) signal for every line-trigger it receives.

• Grabs next line after line-trigger.

• Frame size (number of lines per frame) is fixed.

1. To set the line-reset (exposure) signal, specify the signal characteristics in the Timer 1 sub-tab of the Exposure Signal tab. The mode of the signal must be set to On Trigger Event.

2. To specify the characteristics of the line-trigger upon which line-reset (exposure) signal is sent, use the Trigger Info section of the Timer 1 sub-tab.

3. To specify the grab characteristics, use the Grab Mode tab:

a. Select hardware trigger mode from the Mode drop-down list box.

b. Select fixed frame/variable line mode from the Line scan mode drop-down list box.

Fixed line-scan rate with variable frame size mode

Camera:

• Receives a periodic line-reset (exposure) signal from the frame grabber.

• Internal or external exposure control.

• Exposure starts upon a line-reset (exposure) signal.

• Line-scan rate is fixed.

Frame grabber:

• Frame capture is initiated by external frame-trigger.

• Generates a periodic line-reset (exposure) signal.

• Frame size is variable and is a function of external frame-trigger signal.

1. To set the periodic line-reset (exposure) signal, specify the signal characteristics in the Timer 1 sub-tab of the Exposure Signal tab. The mode of the signal must be set to Periodic.

2. To specify the characteristics of the frame-trigger upon which the line-reset (exposure) signal is initiated, use the Trigger Info section of the Timer 1 sub-tab.

3. To specify the grab characteristics, use the Grab Mode tab:

a. Select hardware trigger mode from the Mode drop-down list box.

b. Select variable frame/fixed line mode from the Line scan mode drop-down list box.

Variable line-scan rate with variable frame size mode

Camera:

• Receives a line-reset (exposure) signal from the frame grabber.

• Internal or external exposure control.

• Exposure starts upon a line-reset signal.

• Line-scan rate is a function of the rate at which the frame grabber receives the external line-trigger signals.

Frame grabber:

• Frame capture is initiated by external frame-trigger.

• Receives external line-triggers.

• Generates a line-reset (exposure) signal for every line-trigger it receives.

• Frame size is variable and is a function of the external frame-trigger signal.

1. To set the line-reset (exposure) signal, specify the signal characteristics in the Timer 1 sub-tab of the Exposure Signal tab. The mode of the signal must be set to On Trigger Event.

2. To specify the characteristics of the line-trigger upon which exposure signal is sent, use the Trigger Info section of the Timer 1 sub-tab.

3. To set the grab characteristics, in the Grab Mode tab:

a. Select hardware trigger mode from the Mode drop-down list box.

b. Select variable frame/variable line mode from the Line scan mode drop-down list box.

The examples in Chapter 5: Matrox Intellicam Examples illustrate acquiring analog data and digital data with line-scan cameras. Refer to Chapter 5: Matrox Intellicam Examples for more details.


Chapter 5: Matrox Intellicam Examples

Availability
All Boards

This chapter outlines a few examples using Matrox Intellicam.

In the following examples, you will find step-by-step descriptions of how to interface a non-standard frame-scan camera and a line-scan camera with different frame grabbers using various settings.


Interfacing a frame-scan camera

Availability
All Boards

This example will deal with interfacing a non-standard frame-scan camera. Our target non-standard camera is the fictitious FSCAM. The FSCAM’s specifications are as follows:

  • Input: high-resolution non-interlaced format (1024 x 1024 at 20 MHz, 15 frames per second).

  • Output: analog data.

  • Both continuous scan (normal) and asynchronous reset trigger modes are supported.

Acquiring analog data using frame-scan cameras

For this example, an analog input board is used to grab analog data, using a frame-scan camera.

The following outlines the steps for this setup:

  1. In Matrox Intellicam, locate and open the DCF that corresponds the closest to the frame-scan camera using the File Open command. If you are unsure which DCF to use, refer to the Camera Interface Application Notes in the Interfacing Cameras menu on the Matrox Imaging website. You can select the application note by camera manufacturer, then select the camera model according to the Matrox Imaging hardware; or you can select the application note by Matrox Imaging hardware, then select the camera manufacturer and model. To determine which DCF to use, you can refer to the General Information section of the Overview tab in the DCF dialog box for a summary of the DCF, including camera resolution, timings, and the pixel clock value. This will help you determine which DCF best corresponds to your frame-scan camera.

  2. On the Camera sub-tab of the Camera tab of the DCF dialog box, set the type of camera to Frame-scan.

  3. Refer to the documentation for the camera to set the pixel clock frequency. Set the appropriate pixel clock frequency in the Pixel Clock tab of the DCF dialog box.

  4. Set the video timings of the active period signal, as well as the horizontal and vertical timing values on the Video Timing tab of the DCF dialog box. If the fields do not appear on the tab, click on the Advanced button to display the Horizontal and Vertical areas. Make sure the Lock Active and Total options in the horizontal and vertical areas are not selected; this option is used to shift the active values around inside the total value to get rid of black bars that might appear on the edges, instead of changing the duration of the signal, and consequently changing its frequency.

  5. Make sure the number of taps is also specified in the Camera sub-tab of the Camera tab of the DCF dialog box; note that the value of the Active field in the Video Timing tab of the DCF dialog box is the result of the total active value divided by the number of taps used, that is, the timings stated are per tap.

  6. Verify the options on the Video Signal tab of the DCF dialog box. Make sure there are no errors (that is, the Error Report dialog box does not appear).

  7. Use the File Save or File Save As command to save the DCF. You can also take a snapshot of the DCF dialog boxes to recall the settings for the DCF. You might need them should you ever change the saved values in the DCF and want to recall the values originally saved.

Acquiring digital data using frame-scan cameras

For this example, a digital input board will be used to grab digital data, using a frame-scan camera.

The following outlines steps for this setup:

  1. In Matrox Intellicam, locate and open the DCF that corresponds the closest to the frame-scan camera. Ensure that the DCF specifies frame-scan camera. To do so, select frame-scan type from the Type drop-down listbox in the Camera sub-tab of the Camera tab of the DCF dialog box.

  2. Refer to the documentation for the camera to establish the pixel clock frequency of the camera. Generally the pixel clock will be generated by the camera, therefore, select Generated by the Camera option from the External Clock Signal drop-down list box on the Pixel Clock tab of the DCF dialog box. Specify this option in the I/O Characteristics area in the Pixel Clock tab of the DCF dialog box.

  3. Set the video timings of the active period signals, as well as the horizontal and vertical timing values in the Video Timing tab of the DCF dialog box.

  4. On the Video Signal tab of the DCF dialog box, ensure that video signal type is set to Digital.

  5. On the Sync. Signal tab of the DCF dialog box, ensure the Synchronization signal available field specifies the available synchronization signals, in this case, HSync & VSync.

  6. Make sure the settings for the horizontal synchronization and the vertical synchronization are set to active. Unless the frame grabber is set as the master, synchronization signals will come from the camera, and the default value for the synchronizations signals is not enabled. You enable these options in the Digital Synchro. tab of the DCF dialog box.

If the digitizer is selected as the synchronization signal source, you should enable the output synchronization signals on the Digital Synchro. tab of the DCF dialog box. If the camera is selected as the synchronization signal source, you should enable the input synchronization signals on the Digital Synchro. tab of the DCF dialog box. By default the camera is selected as the synchronization signal source.

  7. Adjust the other DCF settings according to the specifications for the camera.

  8. Save the DCF using the Save As command.


Interfacing a Line-scan camera

Availability
All Boards

This section describes examples interfacing with a line-scan camera. Some will be dealing with different target frame grabbers.

Acquiring digital data using Camera Link line-scan cameras

For this example, a Camera Link input frame grabber will be used with a Camera Link line-scan camera.

The following outlines steps for this setup:

  1. In Matrox Intellicam, locate and open the DCF that corresponds the closest to the Camera Link line-scan camera. If you are unsure which DCF to use, refer to the Camera Interface Application Notes in the Interfacing Cameras Support page of the Matrox Imaging website.

  2. On the Camera sub-tab of the Camera tab of the DCF dialog box, set the type of camera to Line-scan.

  3. Specify the number of taps using the Camera sub-tab of the Camera tab of the DCF dialog box. Note that the Error Report dialog box might appear, with a description of an error or warning. You can usually ignore the message if you are just setting up your DCF, particularly when changing tap configurations and data depth values. Once you have corrected the error or warning, the Error Report dialog will close automatically. Sometimes the message will close only once you have corrected the error or warning and switched tabs in the DCF dialog box.

  4. Set the appropriate configuration type and camera mode on the Camera Link Configuration sub-tab of the Camera tab of the DCF dialog box.

You can view the Camera Link bit configuration in the Camera Mode section of the Camera Link Configuration sub-tab of the Camera tab of the DCF dialog box.

Refer to Appendix A: Camera interface reference for further details on the Camera Link standards and a brief explanation of the camera mode data lines grouping.

  5. Using the Tap Configuration sub-tab of the Camera tab of the DCF dialog box, ensure that the configuration is set up for multiple taps. Arrange the tap destinations as required.

By clicking on any of the corners of a tap region in the Tap orders and directions section, you can change the direction of the tap. The direction of the arrow indicates the direction and order of the tap.

  6. Refer to the documentation of the camera to establish the pixel clock frequency for the camera. Set the appropriate pixel clock frequency in the Pixel Clock tab of the DCF dialog box. The pixel clock is generated by the camera.

  7. You can adjust the values for the front and back porch to 0 for a Camera Link camera if required, because the line valid and frame valid (LVAL/FVAL) signals tell you exactly when the data is ready. On the Video Timing tab of the DCF dialog box, click on the Advanced button to display the advanced properties of the Video Timing tab.

  8. Set the video timings of the active period signal, as well as the horizontal and vertical timing values on the Video Timing tab of the DCF dialog box.

  9. On the Video Signal tab of the DCF dialog box, ensure that video signal type is set to Digital.

  10. Adjust the other DCF settings according to the specifications for the camera.

  11. Save the DCF using the Save As command.

Using asynchronous reset with a Camera Link line-scan camera

In asynchronous reset mode with a Camera Link line-scan camera, the frame grabber resets the camera on external events (such as an object passing in front of a light beam to detect its presences, or a conveyor belt stopping). The difference between using asynchronous reset with a non-Camera Link camera and with a Camera Link camera is the cables involved. Cables for Camera Link cameras are standardized and therefore easier to use, as opposed to having to create a custom cable for a non-Camera Link camera. Routing for trigger signals and exposure signals is built into the cable for Camera Link cameras.

For this example, a Camera Link-input frame grabber will be used to grab, using a Camera Link camera.

The following outlines the steps for this setup:

  1. In Matrox Intellicam, locate and open the DCF that corresponds the closest to the Camera Link camera.

  2. On the Camera sub-tab of the Camera tab of the DCF dialog box, set the type of camera to Line-Scan.

  3. Select the required number of taps (for example, 2 taps) on the Camera sub-tab of the Camera tab of the DCF dialog box.

  4. On the Camera Link Configuration sub-tab of the Camera tab of the DCF dialog box, select the configuration type and the required camera mode (according to the number of taps specified on the Camera sub-tab). On the Tap Configuration sub-tab of the Camera tab, arrange the tap destinations (if required).

  5. From the Camera Link Control Bits sub-tab of the Other tab of the DCF dialog box, enable the Enable CC outputs on connector 1 option. Select the required settings for each camera control signal from the respective drop-down list box in the Camera Control Bit Sources section.

You should set the camera control signals that are not used by the exposure timers to User 0 Output HIGH because setting them to any other settings can cause problems with some cameras.

  6. Adjust the video timing settings on the Video Timing tab of the DCF dialog box, according to the specifications for the camera.

  7. Adjust the settings for the exposure signals using the Exposure Signal tab of the DCF dialog box. Make sure that the Timer 1 sub-tab specifies On Trigger Event. Adjust the pulse and delay values as required.

Note that some cameras might use two pulses, therefore, adjust the values accordingly.

  8. Save the DCF using the Save As command.


Single-tap and multi-tap cameras

Availability
All Boards

This section describes examples interfacing with single-tap and multi-tap cameras. The cameras can be either line-scan or frame-scan depending on the model. Ensure that the camera type is selected in the DCF. This can be done in the Camera sub-tab of the Camera tab of the DCF dialog box.

Using single-tap cameras

Single-tap cameras are more common than multi-tap cameras.

The following outlines the steps for this setup:

  1. In Matrox Intellicam, locate and open the DCF that corresponds the closest to the single-tap camera.

  2. In the Camera sub-tab of the Camera tab of the DCF dialog box, select the 1 Tap option in the Number of taps drop-down list box.

  3. In the Camera Link configuration sub-tab of the Camera tab of the DCF dialog box, select the mode 1 Tap 8...16 bits from the Camera Mode drop-down list box. This selects both the number of taps and the configuration type.

  4. In the Tap Configuration sub-tab of the Camera tab, ensure that the configuration is set up for only one tap (as specified in step 2).

  5. Adjust the video timing settings on the Video Timing tab according to the specifications for the camera.

  6. Save the DCF using the Save As command.

Using multi-tap cameras

To take advantage of a multi-tap camera’s multiple outputs (which allow for the simultaneous transfer of two or more pixels), using multi-tap cameras allows for faster frame rates without increasing the pixel clock frequency. This setup, however, requires more data lines.

The following outlines the steps for this setup:

  1. In Matrox Intellicam, locate and open the DCF that corresponds the closest to the multi-tap camera.

  2. Make sure to specify a Camera Link board from the drop-down list-box in the Overview tab of the DCF dialog box.

  3. From the Camera sub-tab of the Camera tab of the DCF dialog box, select the required number of taps from the Number of taps drop-down list box.

  4. In the Camera Link configuration sub-tab of the Camera tab of the DCF dialog box, select the required mode from the Camera Mode drop-down list box (for example, select the 2 Taps 10/12 Bits option for a 2-tap camera using 10- or 12-bit images). This selects both the number of taps and the configuration type.

  5. In the Tap Configuration sub-tab of the Camera tab of the DCF dialog box, ensure that the configuration is set up for multiple taps. Arrange the tap destinations.

  6. Adjust the video timing settings on the Video Timing tab of the DCF dialog box, according to the specifications for the camera. Note that values indicated for the Active fields for both Horizontal and Vertical signals are for each tap.

  7. Save the DCF using the Save As command


Appendix A: Camera interface reference

Availability
All Boards

This appendix will help you understand the descriptions and diagrams in your camera manual, and allow you to get your computer up and running more quickly.

Interfacing overview

This appendix serves as an introduction to video and interfacing a camera to Matrox hardware. It will help you understand the descriptions and diagrams in your camera manual, and allow you to get your computer up and running more quickly.

Depending on your level of knowledge, certain sections might be more useful to you than others:

  • Video formats and data exchange protocols: Identifies the various standard and non-standard video formats, as well as data exchange protocols

  • Analog video signals: Describes how a standard analog video signal is produced, and also explains the various components of the video signal.

  • Digital video signals: Describes digital video signals and provides an overview of the various formats.

  • Choosing between analog and digital formats: Compares analog and digital formats and gives advantages and disadvantages for choosing one over the other.

  • Common modes of video acquisition: Discusses the modes of operation for frame-scan and line-scan cameras.


Video formats and data exchange protocols

Availability
All Boards

All video signals conform to a particular video format. The video format specifies such information as the type of video signal (analog or digital), synchronization signals, and number of lines in an image. There are standard and non-standard video formats.

Standard video formats

The RS-330 and RS-343 standards (used in the United States, Canada, and Japan) are monochrome video formats based on the RS-170 standard but have additional signal characteristics by way of modified timing waveforms and more restrictive tolerances. The CCIR video standard (used in Europe) is also a monochrome video standard similar to the RS-170 standard, except it lacks a pedestal (black and blanking levels are equal).

The standard color video formats are NTSC (United States, Canada, Japan, and parts of South America), PAL (Europe), and SECAM (France, Russia, and the republic states).

The following table summarizes the characteristics of the RS-170, CCIR, NTSC, and PAL video formats.

RS-170

  • North American monochrome video format standard.

  • 640 pixels x 480 lines.

  • Analog, interlaced.

  • 525 lines per frame, 485 active lines per frame.

  • Line time: 63.556 ms, active line time: 52.66 ms.

  • Line-scan frequency: 15.734 kHz.

  • Pixel clock frequency: 12.2727 MHz.

CCIR

  • European monochrome video format standard.

  • 768 pixels x 572 lines.

  • Analog, interlaced.

  • 625 lines per frame, 575 active lines per frame.

  • Line time: 64 ms, active line time: 52 ms.

  • Line-scan frequency: 15.62 kHz.

  • Pixel clock frequency: 14.75 MHz.

NTSC

  • North American color video format standard.

  • 640 pixels x 480 lines.

  • Analog, interlaced.

  • 525 lines per frame, 485 active lines per frame.

  • Line time: 63.556 ms, active line time: 52.66 ms.

  • Line-scan frequency: 15.734 kHz.

  • Pixel clock frequency: 12.2727 MHz.

PAL

  • European color video format standard.

  • 768 pixels x 572 lines.

  • Analog, interlaced.

  • 625 lines per frame, 575 active lines per frame.

  • Line time: 64ms, active line time: 52 ms.

  • Line-scan frequency: 15.625 kHz.

  • Pixel clock frequency: 14.75 MHz.

Non-standard video formats

Non-standard video formats can include digital video, high resolution video, and negative-going video, as well as non-standard analog video.

  • Digital video is a digitized video waveform, where the synchronization and intensity (luminance) levels have been assigned a digital value. Digital video can be of any resolution, from very low to very high.

  • High resolution video includes any camera with a spatial resolution of 1024 pixels x 1024 lines and higher. The difference between this type of analog video signal and a standard analog video signals is the difference in the timing specifications and the signal period, along with the increased sampling rates required by the frame grabber.

  • Non-standard analog video includes analog video with non-standard resolutions, non-standard frame rates, non-interlaced analog video, and multi-tap video.

  • Negative-going video is an analog video signal where white or bright pixel data is represented by a more negative voltage than black or dark pixel data.

Data exchange protocols

There are several data exchange protocols including LVDS, RS-422, and Camera Link. The most recommended data exchange protocol is Camera Link. Camera Link is a high speed serial digital communications interface. You can download a copy of the Camera Link specifications from the Automated Imaging Association website (http://www.machinevisiononline.org). Refer to the sub-section Camera Link standards for further details.


Analog Video Signals

Availability
All Boards

This section describes how analog video signals are produced, and explains the various components of the video signal.

A video camera either contains a two-dimensional area of photosensors (such as, a charge-coupled device) or a one-dimensional sensor. These photosensors convert the energy of incident light particles into equivalent electrical charges. The charge of each sensor is then scanned out of the camera, in a left-to-right, top-to-bottom fashion, producing a continuous analog video signal that will be digitized.

The video timings determine how an analog signal is organized into lines, fields and frames, and where the various synchronization signals are placed. The settings include: synchronization pulse width, back porch, active period and front porch. These settings are valid on a line basis (horizontal timings) or a field/frame basis (vertical timings).

Interlaced and non-interlaced signals

For an interlaced video signal, the image frame is read out of two fields: an even field and an odd field. Even fields consist of even-numbered lines and odd fields consist of odd-numbered lines. The first field is referred to as the even field, and the second field is the odd field within MIL and Matrox Intellicam.

For a non-interlaced video signal, the entire image frame is read out of the sensor using progressive scanning, that is, the entire frame is read out of the sensor one line at a time. The frame is not composed of separate fields.

The following illustrates interlaced and non-interlaced video signals:

For a typical line, these settings refer to the following:

A. Total time for a line in a field/frame (time per line).

B. Horizontal synchronization pulse width.

C. Horizontal back porch.

D. Active line time (amount of pixels that contains actual video information).

E. Horizontal front porch.

F. Active video amplitude.

G. Synchronization pulse amplitude.

The respective widths of the synchronization pulse, the back porch, the active video period, and the front porch are known as the video timings of the camera; these signals describe how to interpret the analog video signal (each of these timings is defined later). These timings are required when creating a DCF file, using Matrox Intellicam, and can be found in the timing diagrams of your camera manual.

The following definitions are valid for both lines (horizontal timings) or fields/frames (vertical timings):

  • Sync (synchronization) pulse width: This is the state that indicates the beginning of a line (horizontal synchronization) or the beginning of a field or frame (vertical synchronization). During this state, the video information is not valid.

  • Back porch: This is the state following the synchronization period and preceding the active video period. During this state, the video information is still not valid.

  • Active period: This is the state following the back porch period and contains the valid video information (pixels or line) generated by the camera. During this state, the digitizer grabs the video information and places it into memory.

  • Front porch: This is the last state in a line/field/frame. It follows the active video period and precedes the start of the next line/field/frame. During this state, the video information is not valid.

Note that, based on your camera type, it is possible that one or more of the above states are not present in the camera video timings. If a specific state is missing, set its corresponding timing value to zero, or the minimum allowed by Matrox Intellicam.

An analog video signal can be either monochrome or color, and contain both synchronization signals and video data in a single signal; composite video signals contain additionally a color burst signal. Composite video is usually in a standard format such as NTSC, PAL, or SECAM. It is a composite of three source signals called Y, U and V (together referred to as YUV). Y represents the brightness or lunminance and includes synchronization pulses. U and V carry the color information and intensity together forming the chrominance component. The composite video signal also comprises the blanking pedestal, field, and line components.

Synchronization

Synchronization indicates the end of a line or frame and the start of a new one. Two types of pulses are required to determine where every pixel should be "placed" in the final digital image. These pulses are carried on the horizontal synchronization (hsync) and vertical synchronization (vsync) signals.

A horizontal synchronization pulse separates each video line and indicates where the beginning of the next scan line is to occur. A vertical synchronization pulse separates two frames (or fields) and indicates where the top of the next frame (or field) is.

During a horizontal or vertical synchronization pulse, the video signal drops below the blanking level (explained later) to the sync tip level. For an RS-170 signal, the synchronization tip level is -0.286 V.

Amplitude and reference levels

A video signal has a definite voltage range that defines the amplitude of that signal. For example, since the RS-170 video signal ranges from -0.286 V to +0.714 V, it has an amplitude of 1 V.

The voltage of a black pixel is referred to as the black level or black reference level, and the voltage of a white pixel is referred to as the saturation level or white reference level. In an RS-170 video signal, the black level is +0.054 V and the saturation level is +0.714 V.

Active video

The portion of the video signal above the black level contains the active video (that is, the part of the video waveform that is actually visible on the display screen), while the portion of the video signal below the black level contains all the synchronization information.

Blanking periods

A video signal has both vertical and horizontal blanking periods. The blanking period is the portion of a video signal after the end of a frame (vertical blanking) or line (horizontal blanking), and before the beginning of a new frame or line. During the blanking period, the video signal is "blanked" so that the path of the scan beam in CRT displays cannot be seen while it returns to the beginning of the next frame or line. To blank the video signal, the voltage is brought down to a blanking voltage, that is, equal to or below the black level.

The video information during a blanking period does not contain any valid image data.

Back and front porch

A vertical or horizontal blanking period is made up of a front porch period, a back porch period, and a synchronization pulse. The back porch period precedes the active video period, whereas the front porch period follows the active video period and precedes the next synchronization pulse.

Vertical blanking

The vertical blanking interval occurs between two consecutive fields in interlaced video formats, and between two consecutive frames in non-interlaced (progressive) video formats. It consists of a front porch, a vertical synchronization (vsync) pulse, a back porch, and a no-video lines period, as shown:

The front porch, vertical synchronization pulse, and back porch (as shown in the above figure) have been discussed previously. The "no-video lines" period is the part of the back porch that precedes the next frame of video information. The no-video lines period does not contain serration pulses.

Serration pulses, which might occur during the vertical synchronization interval, are pulses used to synchronize video equipment. These pulses have a frequency equal to twice the normal horizontal scan rate, usually in encoded color signals.

As illustrated in the previous diagram, the polarity of the synchronization pulses in the vertical synchronization period are inverted, with respect to the front porch and back porch periods.

Horizontal blanking

The horizontal blanking interval occurs between two consecutive lines and consists of the front porch of the previous line, a horizontal synchronization (hsync) pulse, and the back porch of the current line, as shown:

DC restoration of the signal, called clamping, usually occurs during the back porch of the horizontal synchronization interval, though for some cameras, it might occur during the front porch in the synchronization pulse.

The clamping period is the period during which the reference voltage level (or DC offset) of an analog signal is determined.

If the video signal is DC-coupled, the location of the actual image information is known. Therefore, the signal can be properly digitized since a pixel's brightness can be determined by comparing its voltage against a fixed voltage reference.

If the DC offset of a video signal is not known, the location of the actual image information is not known. Therefore, the DC offset is removed using a process known as AC coupling. Then, a known DC offset is added to the video signal using a process known as DC restoration or clamping. DC restoration or clamping uses DC line clamps to set the signal's black reference signal to a stable level and a known starting point. This defines a reference point and, as such, the video signal can be properly digitized. Each pixel's brightness can be determined by comparing its voltage against a fixed voltage reference. The effects of AC coupling and DC restoration are illustrated below:

Pixel clock

To produce the digital image, you must specify a sampling rate, called the pixel clock, which determines how many pixels will be extracted from the active portion of the analog signal. In other words, the pixel clock is a timing signal used to divide the incoming horizontal line of video into separate pixels by specifying the exact location, in time, of each pixel.

The pixel clock is derived from either the camera or the frame grabber (refer to your camera manual to determine if the camera provides a pixel clock). It may be necessary to generate a pixel clock using the frame grabbers phase-locked loop (PLL). To generate a pixel clock, the PLL uses a reference signal. The reference signal can be either the frame grabbers on-board crystal oscillator or an external line synchronization signal (i.e., hsync) when periodic. This ensures that the number of pixels in each line remains constant.

In some situations, a clock exchange will occur between the camera and the frame grabber. Initially, the frame grabber will supply a pixel clock to the camera. The camera, in return, will generate a new pixel clock and return this pixel clock along with the video data to the frame grabber to insure that the incoming video data is in phase with the pixel clock used to digitize or sample this video data. This is called clock exchange.

Pixel jitter is the timing accuracy of the pixel clock measured in nanoseconds by the variance in the rising edge of the pixel clock with respect to the synchronizing edge of the horizontal synchronization signal (the rising edge, in the following diagram). Pixel jitter is introduced by either the camera (in the pixel clock or the horizontal synchronization signal generated from the camera) or by the frame grabbers PLL (which can introduce additional pixel jitter). As a result of pixel jitter, the incoming video data might be digitized late or early resulting in inaccurate pixel representation as illustrated below. Generating the pixel clock from the frame grabbers PLL based on a stable reference will lower the pixel jitter to a value that will produce results well within an accurate range.

Color timing

Video timing for composite color standards is similar to that of monochrome standards, except that color information must be included with the signal. For example, the NTSC format is a modified RS-170 video signal that includes color information, and PAL format is a modified CCIR video signal.

A composite video signals color information is encoded in a sub-carrier signal. The sub-carrier is a high frequency signal that is continuously phase-shifted to represent color values across a line of active video. The angle of the phase shift is measured in degrees. This signal is superimposed on the luminance level and the sub-carriers amplitude represents saturation. See the diagram for shifts of particular hues.

To accurately determine color from phase, you need a good reference signal with no phase shift. This is provided by the color burst, which occurs after the horizontal synchronization, during the back porch. The period preceding the color burst is known as the breezeway, as shown:

If the luminance and chrominance are mixed into a single signal, the signal is a composite signal. To decode a composite color signal, the chrominance and luminance first have to be separated. The chrominance can be isolated using a chroma bandpass filter, and the luminance can be isolated using a chroma trap. Better quality color signals are sometimes provided by putting the luminance (referred to as the Y component) on a single wire, and the chrominance information on the "C" signal. This is referred to as YC video, and is often supplied through a DIN 4-pin S-Video connector.

Then, the colors can be properly decoded for output, using a chroma demodulator.

Negative-going video

Negative-going video is an analog video signal where white or bright pixel data is represented by a more negative voltage than black or dark pixel data. In general, a negative-going video signal can be represented as follows:


Digital Video Signals

Availability
All Boards

Digital video signals are represented as digitized values carried on multiple signals, and the data-carrying signals are restricted to one of two voltage levels: logic 1 or 0. Digital waveforms can be regenerated with minimum noise and distortion as it is being transferred.

Digital data formats

The following figure illustrates a digital video waveform:

Digital video data is usually transmitted on a pixel-by-pixel basis in the form of several bits in parallel. Each bit is transmitted on an individual signal line, using the TTL levels standard, or on a pair of signals, using differential RS-422 or EIA-644 (LVDS) standards. More recently, Camera Link has become more popular as a transfer format for digital data, where bits are transmitted serially, and not in parallel. Refer to the sub-section Camera Link standards for more details.

In digital video, pixel values are represented by an n-bit system, where a value between 0 and 2n-1 represents the brightness value. For example, in an 8-bit system, pixels can have 256 possible values, ranging from 0 to 255. As n increases, depth of the image information increases. For monochrome images, as n increases, more shades of gray are available, which results in a more accurate representation of the grabbed image. The following illustrates 8-bit digital data:

TTL

TTL (transistor-transistor logic) is a common type of digital circuit. The TTL type signal is characterized by the voltage levels of 0 V representing the logical 0, and 5 V representing the logical 1; however, with noise and longer transmission distances, the signal can be degraded so that determining the correct logic level of either 0 or 1 might become problematic.

RS-422

With RS-422, digital information can travel over a longer distance without the introduction of as much noise as with TTL. It is a medium-range differential-signaling pair signal standard.

In differential signaling, both positive and negative voltages are used. It determines binary values based on polarity and not on absolute voltage values. Therefore a signal can be clear even with a lot of degradation.

LVDS

LVDS (low voltage differential signaling) is an electrical standard used when communicating at high speeds over wires. There are several industry standards that define LVDS including ANSI/TIA/EIA-644. EIA-644 is more application independent and is used for more general purposes. EIA-644 provides a high bandwidth from higher transmission speeds with low noise and power consumption.

IEEE-1394

IEEE-1394 is a high-speed, bi-directional digital serial link communication protocol used for device control and video transfer. IEEE-1394 video is based on Digitial Camera Specifications (DCAM) and provides video control and camera power in a single cable design. It supports two types of data transfer modes (depending on the nature of the data): asynchronous and isochronous data transfer. Asynchronous data transfer assures transfer of control commands, while isochronous data transfer assures the required bandwidth particularly for time-critical data.

Camera Link standards

Camera Link is a high speed digital camera-to-frame grabber communication interface. This standard combines low-voltage differential signal (LVDS) with serial digital data flow.

Camera Links connectivity standards are based on National Semiconductors Channel Link digital data transmission technology used in frame grabbers. Channel Link combines LVDS with serial transmission using a standardized cabling format. The Camera Link cable specifications provide standardized transmission rates of up to 2.38 Gbits per second over distances of up to 10 meters (32 feet).

As a result, Camera Link data transfer in base configuration can handle 1.2 Gbps and in full configuration at 3.6 Gbps, which is faster than IEEE 1394 standards (up to 400 Mbps). Digital cameras equipped with a Camera Link interface do not require custom cables, making it more cost-efficient. In addition, the cables are smaller and more flexible than custom cables required by earlier digital cameras, making them less prone to breakage and simpler to use.

The following is an illustration of the various Camera Link configurations (base, medium and Full) available for Camera Link cameras and how taps are divided. Each set of 8 bits (data signals) is denoted as a port and represented by a letter, from A to H. Each set of bits is assigned independently. There are also four LVDS signal pairs that are reserved as general camera control signals (camera control bits), primarily for exposure signals.

You can also set your camera control signals to use camera control bits, which is typically used to control exposure on the camera. You can also control camera parameters through a configuration application supplied by the camera manufacturer, a terminal emulator application, or software that communicates to the serial port.


Choosing between analog and digital formats

Availability
All Boards

Depending on the type of application, you can choose between analog or digital cameras to best suit your needs.

Analog video signals might be carried over a single wire. If you require a cost-effective multiple-camera setup, such as for security applications, you might use analog cameras. However, analog signals are very sensitive to electromagnetic noise. Noise will directly affect the image (for example, cyclical noise might appear as periodic vertical distortion).

There are two types of digital cameras that are most common: "parallel-data" digital cameras and Camera Link cameras. Parallel-data digital cameras require one wire pair per data bit. Parallel-data digital cameras are typically referred to simply as digital cameras.

Digital cameras are less sensitive to noise and are increasing in popularity because they support high frame rates, more accuracy, and large image sizes; however, they are generally less cost-effective than analog cameras. Cables for digital signals are more complex than for analog signals. The advantage over analog signals is that digitization is directly carried out in the camera.

Standard analog video largely uses BNC-to-BNC cabling. However, there is no common standard for non-standard analog or digital cameras in terms of pinout descriptions, whereas there are established standards for Camera Link. This means that a custom cable must be built for each different type of non-standard analog or digital camera, whereas Camera Link cables are standard.


Common modes of video acquisition

Availability
All Boards

Typically, video acquisition can be operated in any one of several modes. This section discusses the most common modes.

Note that camera terminology varies from one manufacturer to another, so the definitions found here reflect Matrox Imaging terminology.

Note that "internal" refers to the camera end and "external" refers to the frame grabber end. In addition, connections mentioned in the following sections are general ones. Some cameras might require additional connections for auxiliary control signals. All required connections are specified in the camera manual. Bi-directional signals represent those that can be supplied by either the frame grabber or the camera.

The reset signal from the frame grabber to the camera is referred to as the exposure signal.

In the following sections, when we refer to an external trigger signal, it must be noted that an internal trigger (that is, a software trigger) can also be used.


Video acquisition modes supported by frame-scan cameras

Availability
All Boards

Frame-scan cameras capture 2-dimensional images. Frame-scan cameras can be operated in any of the following modes: continuous mode, pseudo-continuous mode, trigger mode, asynchronous reset mode, and long exposure (integration) mode.

Continuous mode

In continuous mode (or free-running mode), the camera continuously outputs images at a fixed frame rate. For example, RS-170 and NTSC cameras output 30 frames or 60 fields per second (North American timings). In general, the exposure time is the reciprocal of the frame rate. If supported by the camera, it might also be possible to decrease the exposure period. The frame rate, however, is fixed and cannot be changed. Exposure of the current frame and transfer of the previous frame occur concurrently in continuous mode. Therefore, exposure time in this mode cannot exceed the reciprocal of the frame rate (that is, frame transfer time).

If the output of the camera is an analog video signal where both the horizontal and vertical synchronization signals are combined with video data, then that signal alone is required by the frame grabber for operation in continuous mode. While not typical, some cameras might output an analog video signal where only the horizontal synchronization signal is merged with the video signal. In this case,the camera sends a separate digital vertical synchronization signal (for example, a frame enable or a trigger signal) to the frame grabber or vice versa. Separate digital synchronization signals might also be used when the output of the camera is a fully composite analog signal. The analog synchronization signals included in the video signal are simply ignored.

If the output of the camera is a digital video signal, both the horizontal synchronization and vertical synchronization signals are usually separate digital signals provided by the camera or frame grabber. Some cameras combine the horizontal synchronization and vertical synchronization signals into a single digital synchronization signal.

Finally, a pixel clock may be provided by the camera or supplied by the frame grabber if required. The pixel clock can be supplied by both in the case of clock exchange (see the sub-section on clock exchange in the Pixel clock section).

The following illustrates output and timings in continuous mode:

Pseudo-continuous mode

In pseudo-continuous mode, the camera continuously outputs images on demand (trigger) at a frame rate that is determined by the exposure time and the frame transfer time. The camera uses a periodic reset (exposure) signal that either initiates the cameras internal exposure, or that externally controls the cameras exposure. The frame transfer time is fixed and is characteristic of the camera.

In general, exposure and transfer of a frame occur sequentially. Exposure of a new frame only starts once the previous frame has been fully transferred; therefore, the frame rate is the reciprocal of the sum of the exposure time and the frame transfer time. The camera sets an upper limit on the exposure time but, unlike continuous mode, the exposure time can be much longer than the frame transfer time. The exposure time can be controlled internally or externally.

Note that some cameras are capable of exposing while simultaneously outputting the previous frame to the frame grabber. Refer to the documentation of the camera for further information.

The signals utilized in the pseudo-continuous mode are a periodic reset (exposure) signal, and video (analog or digital, and synchronization signals). As with continuous mode, the synchronization signals might be can be with video data, or can be separate digital synchronization signals.

The following illustrates the timings for pseudo-continuous mode with exposure time controlled by the camera (that is, internal exposure control):

The following illustrates the timings for pseudo-continuous mode with exposure time controlled by the frame grabber (that is, external exposure control):

Next valid frame on trigger mode

In next valid frame on trigger mode, the frame grabber is used to capture the next valid single image or sequence of images after receiving a trigger.

In this mode, as in continuous mode, the camera continuously outputs images at a fixed frame rate. However, to grab a frame, the frame grabber must receive an external trigger signal or a software trigger signal. The trigger signal causes the frame grabber to grab on the next vertical synchronization signal of the video signal, thereby acquiring the next frame. Any additional trigger signals will be ignored until the current frame period is over. To ensure the capture of an image, the shortest time between trigger signals should be greater than the sum of the exposure time and the frame transfer time. The signals utilized in next valid frame on trigger mode are an external trigger signal provided to the frame grabber, and video (analog or digital, and synchronization signals).

The following illustrates the timings for trigger mode acquisition for a sequence of frames:

Asynchronous reset mode

To grab a frame in asynchronous reset mode, an external trigger signal is provided to the frame grabber. The frame grabber, in turn, triggers the asynchronously resettable camera to initiate exposure. The camera is reset on the edge of the exposure pulse and outputs frames at a rate that is a function of the rate at which the frame grabber receives the external trigger. The frame grabber will grab the next frame after receiving the trigger.

In this mode, the exposure time is controlled by the camera or determined by the frame grabbers reset (exposure) signal.

Generally, the shortest time between external trigger pulses should be greater than the sum of any exposure signal delays, the exposure pulse width, the exposure time, and the frame transfer time to avoid loss of information, unless it is noted that the camera supports exposure during readout.

The signals utilized in asynchronous reset mode are an external trigger signal provided to the frame grabber, a reset (exposure) signal supplied from the frame grabber to the camera, and video (analog or digital, and synchronization signals).

Use asynchronous mode when the timing for the start of the grab is critical.

The following illustrates the timings for asynchronous reset mode with exposure time controlled by the camera (that is, internal exposure control):

The following illustrates the timings for the asynchronous reset mode with exposure time controlled by the frame grabber (that is, external exposure control):

Long exposure or integration mode

Long exposure or integration mode is similar to asynchronous reset mode. Use this mode when an exposure time greater than one frame is required.

Generally, the exposure pulse is latched to the horizontal synchronization signal (hsync). The camera uses this horizontal synchronization signal to initiate frame transfer on its next vertical synchronization signal. In general, the exposure time must be specified as a multiple of fields or frames, where one frame time (the frame transfer time) is equal to the reciprocal of the frame rate of the camera when operated in continuous mode. Note that one field time is half of one frame time.

Most cameras will ignore the end of an exposure pulse that arrives before the current frame period is over, while others will latch to the pulse and initiate the next exposure directly afterward.

To ensure capturing an image:

  • If the exposure is internally controlled, the shortest time between external trigger pulses to the frame grabber should be greater than the sum of the exposure pulse width, the exposure time, and the frame transfer time.

  • If the exposure is externally controlled, the shortest time between external trigger pulses to the frame grabber should be greater than the sum of the exposure pulse width and the frame transfer time.

The signals utilized in this mode are an external trigger signal provided to the frame grabber, a reset (exposure) signal supplied by the frame grabber to the camera, and video (analog or digital, and synchronization signals).

The following illustrates the timings for long exposure (integration mode):


Video acquisition modes supported by line-scan cameras

Availability
All Boards

Line-scan cameras are useful for capturing moving objects, such as on a conveyor belt. Line-scan cameras capture 1-dimensional images, typically at high speeds using continuous grabs.

Image acquisition using line-scan cameras can be done in one of the following modes: fixed line-scan rate, variable line-scan rate, fixed line-scan rate with frame trigger, fixed line-scan rate with variable frame size, variable line-scan rate with frame trigger, or variable line-scan rate with variable frame size.

Fixed line-scan rate mode

In a fixed line-scan mode (also called continuous line-scan rate mode or free-running mode), the camera is set to continuous mode and does not require exposure signals from the frame grabber. The camera continuously outputs lines. The line rate is fixed and depends on the line-scan settings on the camera.

The pixel clock can be provided by either the camera or the frame grabber. Some cameras that require that a pixel clock be provided as well as a clock exchange mechanism.

The signals utilized in this mode are the video output (analog or digital) and the synchronization signals.

The following illustrates the timings for fixed line-scan rate mode:

Variable line-scan rate mode

In variable line-scan rate mode, an external line-trigger signal is provided to the frame grabber which sends a line-reset (exposure) signal to the camera to initiate exposure and line readout.

The frequency of the external line-trigger signal determines the line-scan rate and it must be greater than the exposure time and the line transfer time. This mode can use internal or external exposure time controls.

With external exposure control, the length of the exposure signal will determine the exposure time.

With internal exposure control, exposure time is set on the camera.

With no exposure control, the exposure time will be equal to the reciprocal of the line-scan rate.

The signals utilized in this mode are an external-line trigger signal provided to the frame grabber, an line-reset (exposure) signal from the frame grabber to the camera, video output (analog or digital), and synchronization signals.

The following illustrates the timings for variable line-scan rate mode:

Fixed line-scan rate with frame-trigger mode

In a fixed line-scan rate mode with a frame-trigger, the line-scan rate is fixed and depends on the line-scan settings on the camera. An external frame-trigger signal is provided to the frame grabber which sends a periodic line-reset (exposure) signal to the camera to initiate exposure and transfer of an entire frame. The frame rate is variable, and controlled by the frequency of the external frame-trigger; the external trigger period, however, must always be greater than the total time of the number of lines captured. The camera can use internal or external exposure time controls.

The frame-size (number of lines per frame) is fixed and determined by the vertical timing as specified in the DCF. The grab starts on the rising edge of the frame-trigger signal.

The signals utilized in this mode are external frame-trigger signal to the frame grabber, periodic line-reset signal (with optional exposure) from the frame grabber to the camera, video output (analog or digital), and synchronization signals.

The following diagram illustrates the timings for fixed line-scan modes with frame-triggers:

Variable line-scan rate with frame-trigger mode

In variable line-scan rate with frame-trigger mode, the frame grabber receives two external triggers: a line-trigger and a frame-trigger. The line-trigger is provided to the frame grabber which sends a line-reset (exposure) signal to the camera to initiate exposure. When the frame grabber receives the frame-trigger, a specified number of lines is acquired. The line-scan rate is variable and is determined by the frequency of the external line-trigger signal; the period of the line-trigger signal must be greater than the exposure time and line transfer time. The frame rate is also variable and is controlled by the frequency of the external frame-trigger signal and the line-scan rate. This mode supports both internal and external exposure control.

The signals utilized in this mode are external line and frame-trigger signals (both provided to the frame grabber), a line-reset (exposure) signal (supplied by the frame grabber to the camera), video output (analog or digital), and synchronization signals.

The following illustrates the timings for variable line-scan rate with frame trigger mode:

Fixed line-scan rate mode with variable frame size

In a fixed line-scan rate mode with variable frame size, frame capture is initiated by the external frame-trigger signal that is provided to the frame grabber. The frame grabber sends a line-reset (exposure) signal to the camera to initiate exposure. The line-scan rate is fixed while the frame size (number of lines per frame) is variable and is a function of the frame-trigger signal. The frame rate is also variable and depends on the frequency and duration of the frame-trigger signal. This mode supports both internal and external exposure control.

The frame grabber captures lines during the high level of the frame trigger signal. The maximum number of lines captured can be adjusted by changing the number of active lines in the active vertical timing period in the DCF file. The line capture starts with the rising edge of the frame trigger signal.

The signals utilized in this mode are the external frame trigger signal to the frame grabber, the periodic line-reset signal (with optional exposure) from the frame grabber to the camera, video output (analog or digital), and synchronization signals.

The following illustrates timings for fixed line-scan rate mode with variable frame size mode:

Variable line-scan rate mode with variable frame size

In a variable line-scan mode with variable frame size, the frame grabber receives two external trigger signals: the frame-trigger and the line-trigger. Frame capture is initiated by the frame-trigger and the frame grabber generates a line-reset (exposure signal) for every line-trigger it receives. The camera begins exposure upon receiving the line-reset signal. The line-scan rate is variable and is controlled by the external line-trigger signal. The frame size is also variable and is controlled by the frame-trigger signal. This mode supports both internal and external exposure control.

The frame grabber captures lines during the high level of the frame-trigger. The maximum number of lines captured can be changed by changing the active vertical timing period in the DCF file. The line capture starts with the rising edge of the frame trigger signal and ends with the falling edge.

The signals utilized in this mode are the external frame and line-trigger signals (both provided to the frame grabber), the line-reset signal (with optional exposure) from the frame grabber to the camera, video output (analog or digital), and synchronization signals.

The following illustrates the timings for variable line-scan mode with variable frame size:


New

Availability
All Boards

Menu

File New

Shortcut

  • Toolbar New button.

  • CTRL+N.

  • Context Menu.

Opens the New Document dialog box which allows you to create a new DCF file or image document. You can create a DCF file only if the active system is a frame grabber.

New Document dialog box options

  • Digitizer Configuration Format tab: Loads predefined DCF files that can be used to interface with your camera.

  • Image tab: Loads or creates image documents (TIFF, MIM, RAW, BMP) for processing, grabbing and/or displaying. To load and create JPEG and JPEG2000 image documents, you must have a MIL compression and decompression license. With Matrox Morphis, compression/decompression can be performed with hardware. This requires a JPEG2000 accelerator, and hardware that supports the compressed buffer's format.

Related topics: Digital configuration format tab and Image tab.


Digitizer configuration format tab

Availability
All Boards

Menu

File New

Shortcut

  • Toolbar New DCF button.

  • CTRL+N.

  • Context Menu.

This tab sets the predefined DCF file to load. It is easier to change a few settings in a predefined DCF than to create a new DCF from scratch. Prior to specifying a predefined DCF set the system you would like to use. The imaging board selected at installation time is the default board assigned to the system when opening a DCF or image. If you would like to use a different imaging board you can change the board using the Options System Selections menu command or the System Selection drop-down menu in the tool button bar. If you do not have the appropriate board installed on your system, select the virtual version of the board that you would like to use.

Once the proper system is selected; re-open the Digitizer Configuration Format tab and select the required format from the Available Digitizer Configuration Format list box. This will open the DCF dialog box.

Refer to the DCF dialog box topic for information on specific DCF sub-tabs.

New document dialog box options

  • Browse: Allows you to locate saved DCFs that might not be listed in the Available Configuration Format list.

Click on the Browse button, locate the required format, and then click on the Open button. The saved format will be added to the list box, where it can be selected. Once you have selected the required format, click on OK. The DCF dialog box opens.

  • Clear DCF Files: Removes all DCF files that are not default formats from the Available Digitizer Configuration Format list.

Related topics: Options System Selection, DCF dialog box.


Image tab

Availability
All Boards

Menu

File New

Shortcut

  • Toolbar New Image button.

  • CTRL+N.

  • Context Menu.

Sets the new image characteristics.

Image tab dialog box

  • Settings set manually: Allows you to set the dimensions, type, and attributes of the image.

  • Dimensions: Specifies the size of the image to grab.

  • Width: Sets the required dimension of the new image in the X-direction.

  • Height: Sets the required dimension of the new image in the Y-direction.

  • Number of bits: Sets the required pixel depth (in bits) of each band in the image.

  • Number of bands: Sets the required number of color bands for the image.

  • Display mode: Sets the display mode (in bits) of each band in the image. Specifying how many bits are used to display each pixel in the image window. This field can also be set to auto-scale. Auto-scale re-maps the pixel values to the display so that the minimum and maximum values in the image (not the full range of the image buffer) are set to 0 and 255, respectively. If the image buffer contains a single value, the displayed value is determined by linearly re-mapping the full range of the image buffer to that of the display (for example, (0 to 64K) to (0 to 255)).

  • Type: Specifies the type of image to grab.

  • Unsigned: Sets the image buffer to unsigned. Therefore, the image buffer only contains positive values.

  • Signed: Sets the image buffer to signed. Therefore, the image buffer can contain negative values. If you plan to perform operations that result in negative values, you should use signed image data. However, you cannot grab with a signed image buffer.

  • Attribute: Allocates an image buffer that can be used for processing, grabbing and/or displaying.

  • Processing: Creates an image document that can be processed.

  • Grab: Creates an image document that can be grabbed.

  • Display: Creates an image document that can be displayed. When you create an image that does not have a display attribute, the image window will display "Non-display buffer."

  • Settings from current DCF: Creates an image document using the settings specified in the active DCF. Note that this field is only available when a DCF is open.


Open

Availability
All Boards

Menu

File Open

Shortcut

  • Toolbar Open button.

  • CTRL+O.

  • Context Menu.

Retrieves a saved image or DCF.

Open dialog box

  • Look in: Specifies the drive and folder in which the required document is located. Double click on the document file name from the Look in list box. Alternatively, type it directly into the File name edit field, and then click on the Open button. If you selected an image, it appears in a new window. If you selected a DCF file, the DCF dialog box opens.

  • File name: Sets the required file name and extension. If you are looking for a file with a specific file extension and you do not know the name of the file, set File name to an asterisk followed by the appropriate extension (for example, *.DCF), and then press Enter.

  • Files of type: Sets the extension(s) of the file(s) to list. Selecting a DCF file results in the DCF dialog box opening.

  • Display mode of image files: Sets the display mode of an image if one is opened.

Related topics: DCF dialog box, Digital Configuration format tab.


DCF dialog box

Availability
All Boards

Dialog:

DCF dialog box

Accessed from:

  • File New command

  • File Open, open a DCF

Shortcut:

New DCF button

Allows you to create or modify a DCF file using its various tabs. If you are not sure of the values to use, refer to the documentation and/or specifications of your system and camera. Once you are satisfied with the settings of your DCF, you can save it using the File Save As or File Save commands.

When you open a DCF that was created for a system other than the active one, make sure that the auto-correction option is enabled in the Option Preferences DCF Editor tab. When enabled, Matrox Intellicam ensures that all DCF settings are valid for the active system. Matrox Intellicam will change or discard any invalid settings, and a pop-up window will display the changes made to the DCF. You must always verify the automatically selected values to make sure that they match the specifications of your target camera.

A "traffic light" type signal is displayed in the status bar of the DCF dialog box. When your DCF is configured properly, the "green light" is active. If there is an error in the current tab, which you can correct by adjusting other values in the same tab, the "yellow light" is active. If there is an error that you can correct by adjusting values in another tab(s), the "red light" is active.

The tabs available depend on the system selected and the specific camera type used. For example, the Matrox IEEE 1394 IIDC DCF contains solely the Overview tab. You can view a list of the boards that apply to each tab by moving your mouse over the words Board Specific in the page header of this Help guide.

DCF Dialog box tabs

  • Overview tab: Identifies the system for which the DCF file is configured and lists some general information about the system and DCF.

  • Camera tab: Specifies information concerning your camera(s).

  • Video signal tab: Specifies information concerning the type of video signal that your camera uses.

  • Video timing tab: Specifies information concerning the camera's video timing.

  • Pixel clock tab: Specifies information concerning the source and rate of the pixel clock.

  • Exposure signal tab: Specifies information concerning all exposure timers in the system.

  • Grab mode tab: Specifies grab and trigger characteristics.

  • Sync. signal tab: Specifies information concerning the synchronization signals.

  • Digital synchro tab: Specifies information concerning the digital synchronization signals.

  • Other tab: Specifies advanced options for the digitizer.

  • Description tab:Specifies descriptions and comments for a DCF.

  • Camera configuration tab: Configures camera-specific features that are applied to the device during its initialization.

  • Digitizer configuration tab: Configures digitizer-specific features that are applied to the device during its initialization.

  • Advanced Settings tab: Specifies advanced options for the DCF.

Related topics: Options Preferences DCF Editor.


Overview tab

Availability
All Boards except CoaXPress communication standard-compliant frame grabbers and GigE Vision compliant cameras

Dialog:

DCF dialog box

Accessed from:

  • File New command, select Digitizer Configuration Format tab, open a DCF.

  • File Open, open a DCF.

Shortcut:

New DCF button

Identifies the system for which the DCF is configured and lists some of the general settings found in the DCF.

Note that the visual presentation of this tab changes depending on the system used; the biggest difference being between a system that supports only standard cameras and one that supports non-standard cameras and configurable DCFs.

Overview tab options

  • Board type: Specifies the version of the system to use (for example, analog, digital, and Camera Link). Note that if you are using an actual system (that is, not a virtual system), the proper choice is automatically selected.

  • General Information: Describes general DCF information, including the digitizer number, camera name, camera signal, camera resolution, vertical timing, video signal, trigger type, camera type, and pixel clock type.

  • Digitizer number: Specifies which digitizer to allocate to the system.

  • DCF Information: Describes general information regarding the DCF file, including its directory, its creation date, and infofile revision.


Camera tab

Availability
All boards except CoaXPress communication standard-compliant frame grabbers and GigE Vision compliant cameras

Dialog:

DCF dialog box

Accessed from:

  • File New command, select Digitizer Configuration Format tab, open a DCF.

  • File Open, open a DCF.

Shortcut:

New DCF button

Specifies information concerning your camera(s). The sub-tabs available depend on the active system and the specific camera type used.

Camera sub-tab options

  • Camera sub-tab: Sets the type of camera, the number of cameras, the number of taps, the Bayer mode, and displays a description of the camera.

  • Camera link configuration sub-tab: Specifies how grabbed data is sent from the camera to the destination image and gives a preview indicating how grabbed data is currently sent.

  • Tap configuration sub-tab: Sets the tap configuration type and the camera mode currently used.


Camera sub-tab

Availability
All boards except CoaXPress communication standard-compliant frame grabbers and GigE Vision compliant cameras

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file. Choose the Camera tab.

  • File Open command, open a DCF. Choose the Camera tab.

Shortcut:

  • New DCF button, open a DCF. Choose the Camera tab.

  • Open button, open a DCF. Choose the Camera tab.

Specifies camera information.

Camera sub-tab options

  • Description: Specifies the name of your camera.

  • Type: Sets the camera type.

  • Number of cameras: Sets the number of cameras used. Note that the number of enabled channels in the Video signal tab must match the product of the number of cameras and the number of taps per camera.

  • Number of taps: Sets the number of taps that a multi-tap camera uses, if a multi-tap camera is used.

  • Convention inverted: Specifies whether the camera sends fields (within a frame ) in an even/odd sequence or an odd/even sequence.

  • Bayer mode: Identifies the Bayer pattern to use when performing Bayer conversion. This field is only available when using Matrox Radient eCL, Solios eCL/XCL, or Solios eV-CL. These three boards implement Bayer conversion directly on the board. Bayer conversion is implemented using the Single grab, Single Safe grab, Continuous grab, and Continuous Safe grab commands. The Bayer conversion field in the Digitizer Control Bayer tab must also be enabled.

Specifying the starting two pixels of the pattern defines the pattern uniquely. Consult the camera's documentation or contact the manufacturer if you are unsure; the image will not be converted properly if the wrong pattern is specified. If the information regarding the pattern used by the camera is unattainable, try all of the function's supported patterns to find the correct one. If your camera does not have a Bayer color filter and you specify a Bayer pattern incorrect pixel information will result.

See the Cameras with a Bayer filter topic for more information on applying Bayer conversion by the Host.

  • Comments: Specifies any comments useful in describing the camera. These comments will appears as remarks at the top of the DCF file.

Related topics: Single Bayer Grab, Continuous Bayer Grab, Cameras with a Bayer filter, and Digitizer Control Bayer tab.


Camera Link configuration sub-tab

Availability
Any Camera Link input boards

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file. Choose the Camera tab.

  • File Open command, open a DCF. Choose the Camera tab.

Shortcut:

  • New DCF button, open a DCF. Choose the Camera tab.

  • Open button, open a DCF. Choose the Camera tab.

Specifies information concerning the Camera Link configuration. Camera Link is a high speed digital communication interface camera-to-frame grabber standard that combines a low-voltage differential signal (LVDS) with serial digital data flow. Camera Link supports various signals such as asynchronous reset, horizontal synchronization, and vertical synchronization.

Camera Link configuration sub-tab options

  • Configuration Type: Specifies the configuration type of the Camera Link data transfer: Base, Medium, or Full. The options available depend on the system selected.

  • Camera Mode: Specifies whether or not the camera is single-tap, dual-tap or multi-tap. Dual-tap and multi-tap cameras transmit two or more pixels simultaneously. This field also specifies the depth of each tap in bits.


Tap configuration sub-tab

Availability
Any Camera Link input boards

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file. Choose the Camera tab.

  • File Open command, open a DCF. Choose the Camera tab.

Shortcut:

  • New DCF button, open a DCF. Choose the Camera tab.

  • Open button, open a DCF. Choose the Camera tab.

Sets the tap configuration implemented for multi-tap cameras. A multi-tap camera is a camera that has two or more outputs. Therefore, two or more pixels can be transmitted simultaneously. This setup allows for faster frame/line rates without increasing the pixel clock.

Tap configuration sub-tab options

  • Regions: Specifies the number of regions in which to split the transmitted image. The image can be broken into as many regions as there are taps, in which case, one pixel is sent per region. If the image is split into less regions than taps, several adjacent pixels are sent simultaneously from each region.

  • Adjacent pixels: Specifies how many adjacent pixels are sent to the digitizer at one time. When there are as many regions as there are taps, only one pixel is sent per region. However when there are less regions than taps, multiple pixels are sent simultaneously from each region. If multiple adjacent pixels are transmitted you must specify in which direction they are adjacent, X and/or Y.

  • Tap orders and directions: Displays the selected tap order and direction. This preview allows you to see how many regions are selected and the actual location of the pixels in the regions. The blue arrows specify the location of the next pixels to be sent. This preview changes dynamically as the Regions and Adjacent Pixels fields are modified.


Video signal tab

Availability
All boards except CoaXPress communication standard-compliant frame grabbers and GigE Vision compliant cameras

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies information concerning the video signal that your camera produces.

Video Signal tab options

  • Video Signal Information: Specifies video signal information.

  • Standard: Specifies whether the image is color or monochrome. If the image is color, the method used to transmit color components is also specified.

  • Data bus width: Specifies the depth of the grabbed pixels. Note that this value depends on the system selected. When grabbing an analog signal, this value corresponds to the number of bits to which the image is quantized.

  • Options specific to analog input boards with one independent acquisition path

  • Options specific to analog input boards with multiple independent acquisition paths

  • Options specific to digital input boards with one independent acquisition path

  • Options specific to digital input boards with multiple independent acquisition paths


Video signal tab options specific to analog input boards with multiple independent acquisition paths

Availability
Any analog input board with multiple independent acquisition paths

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies video signal information specific to analog input boards with multiple independent acquisition paths.

Video Signal tab options specific to analog input boards with multiple independent acquisition paths

  • Video Signal Information: Specifies the video signal information.

  • MIL channel / input: Specifies which channels are used to input video information. There may be several channels available on each acquisition path. This field allows you to choose whether the first or second channel on the selected acquisition path (see below) is used for video signal information.

  • Acquisition Path: Allows you to specify which acquisition path(s) are used, as well as the coupling mode and filter for those paths. Most acquisition paths have several multiplexed data input channels. This means that they have several data input channels but can only grab from one channel at a time. In this case, the MIL digitizer representing the acquisition path(s) has multiple data input channels. If you have a camera that is connected to a channel other than the first of its digitizer, you must specify the channel (see above). Monochrome images require only one acquisition path. RGB color images require three acquisition paths, one for red, one for green, and one for blue.

  • Analog Video Signal Information: Specifies analog video signal information.

  • Clamping in: Specifies the clamping location. Clamping is the period during which the reference voltage level (or DC offset) of an analog signal is determined. In most cameras clamping occurs during the back porch of the horizontal synchronization signal interval, though in some cameras it might occur during the front porch or during the synchronization pulse.

  • Chrominance input: Specifies the C component of a color signal. This field is active only when the S-VHS(Y/C) standard is selected.

  • Use default video voltage swing, pedestal, and references: Uses the default video voltage swing, pedestal, and references, when selected. When it is not selected, you can set the video voltage swing and pedestal manually.

  • Hue: Specifies the hue reference level for a composite, S-VHS(Y/C), or RBG color input signal. You can adjust this setting using the slider bar.

  • Brightness: Specifies the brightness reference level for a composite color, S-VHS(Y/C), or RBG color input signal. You can adjust this setting using the slider bar.

  • Saturation: Specifies the saturation reference level for a composite color S-VHS(Y/C) or RBG color input signal. You can adjust this setting using the slider bar.

  • Contrast: Specifies the contrast for a composite color S-VHS(Y/C) or RBG color input signal. You can adjust this setting using the slider bar.

  • Video Voltage Swing: Specifies the type and amplitude of the video voltage swing.

  • Type: Specifies the polarity of the video voltage swing.

  • Amplitude: Specifies the amplitude for the video voltage swing, in mV.

  • Pedestal: Allows you to set the video signal's pedestal amplitude if the enable pedestal option is selected.


Video signal tab options specific to digital input boards with multiple independent acquisition paths

Availability
Any digital input board with multiple independent acquisition paths

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies the video signal information specific to digital input boards with multiple independent acquisition paths.

Video Signal tab options specific to digital input boards with multiple independent acquisition paths

  • Video Signal Information: Specifies video signal information.

  • MIL channel / input: Specifies which channels are used to input video information. There may be several channels available on each acquisition path. This field allows you to choose whether the first or second channel on the selected acquisition paths (see below) is used for video signal information.

  • Acquisition Path: Allows you to specify which acquisition path(s) are used, as well as the coupling mode and filter for those paths. Most acquisition paths have several multiplexed data input channels. This means that they have several data input channels but can only grab from one channel at a time. In this case, the MIL digitizer representing the acquisition path(s) has multiple data input channels. If you have a camera that is connected to a channel other than the first of its digitizer, you must specify the channel (see above). Monochrome images require only one acquisition path. RGB color images require three acquisition paths, one for red, one for green, and one for blue.

  • Digital Video Signal Information: Specifies the format of the digital video signal. For Matrox Solios eCL/XCL, Solios eV-CL, and Radient eCL, the available format is LVDS.


Video signal tab options specific to analog input boards with one independent acquisition path

Availability
Any analog input board with only one independent acquisition path

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies video signal information specific to analog input boards with only one independent acquisition path.

Video Signal tab options specific to analog input boards with one independent acquisition path

  • Video Signal Information: Specifies the video signal information.

  • Input channel:Specifies the number of acquisition paths or the number of color components of the image depending on the image that you are grabbing. If you are using an RGB camera, enable channels 1, 2, and 3. If you are grabbing a monochrome image you must specify channel 0. If you are using RGB alpha data, enable all four channels. If you are using s_VHS(Y/C) data enable channel 1 and 2. If you are using a multi-tap camera, select an input channel for each corresponding tap. Note that, for two taps, you can enable channels 0 and 1, or channels 2 and 3. If you are using multiple cameras, enable the required number of input channels for each camera.

  • Analog Video Signal Information: Specifies analog video signal information.

  • Clamping in: Specifies the clamping location. Clamping is the period during which the reference voltage level (or DC offset) of an analog signal is determined. In most cameras clamping occurs during the back porch of the horizontal synchronization signal interval, though in some cameras it might occur during the front porch or during the synchronization pulse.

  • Chrominance input: Specifies the color input of the image. This field is active only when the S-VHS(Y/C) standard is selected. The chrominance is the C component of the color signal.

  • Use default video voltage swing, pedestal, and references: Uses the default video voltage swing, pedestal, and references, when selected. When it is not selected, you can set the video voltage swing and pedestal manually.

  • Hue: Specifies the hue reference level for a composite, S-VHS(Y/C), or RBG color input signal. You can adjust this setting using the slider bar.

  • Brightness: Specifies the brightness reference level for a composite color, S-VHS(Y/C), or RBG color input signal. You can adjust this setting using the slider bar.

  • Saturation: Specifies the saturation reference level for a composite color S-VHS(Y/C) or RBG color input signal. You can adjust this setting using the slider bar.

  • Contrast: Specifies the contrast for a composite color S-VHS(Y/C) or RBG color input signal. You can adjust this setting using the slider bar.

  • Video Voltage Swing: Specifies the type and amplitude of the video voltage swing.

  • Type: Specifies the polarity of the video voltage swing.

  • Amplitude: Specifies the amplitude for the video voltage swing, in mV.

  • Pedestal: Allows you to set the video signal's pedestal amplitude if the enable pedestal option is selected.


Video signal tab options specific to digital input boards with one independent acquisition path

Availability
Any digital input board with one independent acquisition path

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies the video signal information specific to digital input boards with only one independent acquisition path.

Video signal tab options specific to digital input boards with only one independent acquisition path

  • Video Signal Information: Specifies video signal information.

  • Input channel: Specifies the number of acquisition paths or the number of color components of the image depending on the image that you are grabbing. If you are using an RGB camera, enable channels 1, 2, and 3. If you are grabbing a monochrome image you must specify channel 0. If you are using RGB alpha data, enable all four channels. If you are using a multi-tap camera, select an input channel for each corresponding tap. Note that, for two taps, you can enable channels 0 and 1, or channels 2 and 3. If you are using multiple cameras, enable the required number of input channels for each camera.

  • Digital Video Signal Information: Specifies the format of the digital video signal.


Video timing tab

Availability
All boards except CoaXPress communication standard-compliant frame grabbers and GigE Vision compliant cameras

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies information concerning your camera's video timings.

Video timing tab options

  • Options specific to analog input boards

  • Options specific to Camera Link input boards


Video timing tab options specific to analog input boards

Availability
For any analog input board

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies information concerning your camera's video timings specific to analog input boards.

Video timing tab options specific to analog input boards

  • Timings: Specifies timing information.

  • Video timing: Specifies the video format that is compatible with your camera (non-standard, RS-170A, CCIR, NTSC, PAL, and CL). Note that the compatible video formats available for selection are dependent on the system selected.

  • Vertical timing: Specifies whether an interlaced or non-interlaced video signal is used. An interlaced video signal divides the image frames into two fields, an even field and an odd field. The frame is then read out of the sensor in an odd/even or even/odd fashion. In a non-interlaced video signal, the entire image frame is read out of the sensor using progressive scanning, that is, the entire frame is read out of the sensor at one time. This value depends on your camera. If you are using a line-scan camera, select the non-interlaced option.

  • Pixel Clock Frequency: Displays the pixel clock frequency and specifies whether this setting should be automatically adjusted. If you change the pixel clock frequency (using the Pixel Clock tab), the auto-adjust option is automatically disabled, and the horizontal timings are modified to reflect the new pixel clock frequency. Either the mSec or pclk values are modified, depending on the Auto-adjust setting in the Pixel Clock tab.

  • Frequency: Displays the pixel clock frequency that is specified in the Pixel Clock tab.

  • Auto-adjust: Adjusts the pixel clock frequency when one of the horizontal timings values is modified. That is, as you modify one of the values in the horizontal timings, the pixel clock frequency is modified to reflect the new horizontal timings. When the Auto-adjust option is disabled, the pixel clock frequency remains fixed.

  • Horizontal: Specifies information about the horizontal video timings of the device generating the horizontal synchronization signal, in either usec or pclk. To change a value, type it in the corresponding edit field. Use the up or down arrow buttons to edit the pclk areas. You can experiment with these settings interactively during a continuous grab. This can be particularly useful for fine-tuning the back porch and front porch periods.

  • Sync: Specifies the length of the horizontal synchronization signal.

  • BPorch: Specifies the length of the back porch period (in a line).

  • Active: Specifies the length of the active video period (actual video information in a line).

  • FPorch: Specifies the length of the front porch period (in a line).

  • Total: Displays the total time for a line to be processed. When using non-interlaced vertical timing the total field displays the total time to process a line in a frame. When using interlaced vertical timing the total field displays the total time to process a line in either the odd or even field.

  • Frequency: Specifies the line-scan frequency, that is, the total line time / total number of lines, in kHz. As you increase/decrease the front and back porches, the frequency is automatically decreased/increased to reflect changes in the front porch and back porch signals. The active video period and synchronization values are never changed. As you decrease the frequency, the front and back porches are automatically decreased to reflect the new frequency.

  • Lock Active and Total: Locks the settings of the Active video period and Total fields to their present values. Note that, when this option is enabled, the Active edit field is grayed out. This allows you to adjust the front and back porch settings without changing the active video period and total settings.

  • Vertical: Specifies information about the vertical timings of the device generating the synchronization signal. To change a value, type it in the corresponding edit area, or use the up or down arrow buttons.

  • Sync: Specifies the number of lines (in a frame) required for the vertical synchronization signal.

  • BPorch: Specifies the number of lines (in a frame) required for the back porch period.

  • Active: Specifies the number of lines (in a frame) that contain actual video information.

  • FPorch: Specifies the number of lines (in a frame) required for the front porch period.

  • Total: Displays the total number of lines in a frame.

  • Frequency: Displays the frame or field rate, that is, the total number of frames or fields per second, in Hz.

  • Lock Active and Total: Locks the Active video period and Total fields to their present values. Note that, when this option is enabled, the Active edit field is grayed out. This allows you to adjust the front and back porch values without changing the active video period and total fields.

Related topics: Pixel Clock tab


Video timing tab options specific to Camera Link input boards

Availability
Any Camera Link input board

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies the video timing information options specific to Camera Link input boards. There are two views of this tab depending on whether the Advanced or Simplify button is selected.

Video timing tab options specific to Camera Link input boards

  • Valid Signal Source: Specifies whether the camera or the frame grabber controls the synchronization signals. For digital and analog boards this is set to use LVAL/FVAL/DVAL from the frame grabber. LVAL/FVAL/DVAL stands for line valid, frame valid and data valid.

  • Vertical timing: Specifies whether an interlaced or non-interlaced video signal is used. An interlaced video signal divides the image frames into two fields, an even field and an odd field. The frame is then read out of the sensor in an odd/even or even/odd fashion. In a non-interlaced video signal, the entire image frame is read out of the sensor using progressive scanning, that is, the entire frame is read out of the sensor at one time. This value depends on your camera. If you are using a line-scan camera, select the non-interlaced option.

Simplified view

  • Settings: Specifies the video timing settings:

  • Pixel clock frequency: Sets the pixel clock frequency in MHz. The pixel clock frequency is used to divide the incoming horizontal line of video into separate pixels by specifying the exact location, in time, of each pixel. The pixel clock is derived from either the camera or your frame grabber. Refer to your camera’s operating manual to determine if the camera provides a pixel clock. If you change the pixel clock frequency, the auto-adjust option in Advanced Video Timing (see below) is automatically disabled, and the horizontal timings are modified to reflect the new pixel clock frequency. Either the mSec or pclk values are modified, depending on the Auto-adjust setting in the Advanced view.

  • Camera Link Settings: Specifies the image size and a delay in time between the camera signal and the digitizer signal in the X and Y directions.

Advanced view

  • Timings: Sets the video and vertical timing.

  • Video timing: Specifies the video format that is compatible with your camera (non-standard, RS-170A, CCIR, NTSC, PAL, and CL). Note that the compatible video formats available for selection are dependent on the system selected.

  • Horizontal: Specifies information about the horizontal video timings of the device generating the horizontal synchronization signal, in either usec or pclk. To change a value, type it in the corresponding edit field. Use the up or down arrow buttons to edit the pclk areas. You can experiment with these settings interactively during a continuous grab. This can be particularly useful for fine-tuning the back porch and front porch periods.

  • Sync: Specifies the length of the horizontal synchronization signal.

  • BPorch: Specifies the length of the back porch period (in a line).

  • Active: Specifies the length of the active video period (actual video information in a line).

  • FPorch: Specifies the length of the front porch period (in a line).

  • Total: Displays the total time for a line to be processed. When using non-interlaced vertical timing the total field displays the total time to process a line in a frame. When using interlaced vertical timing the total field displays the total time to process a line in either the odd or even field.

  • Frequency: Specifies the line-scan frequency, that is, the total line time / total number of lines, in kHz. As you increase/decrease the front and back porches, the frequency is automatically decreased/increased to reflect changes in the front porch and back porch signals. The active video period and synchronization values are never changed. As you decrease the frequency, the front and back porches are automatically decreased to reflect the new frequency.

  • Lock Active and Total: Locks the settings of the Active video period and Total fields to their present values. Note that, when this option is enabled, the Active edit field is grayed out. This allows you to adjust the front and back porch settings without changing the active video period and total values.

  • Vertical: Specifies information about the vertical timings of the device generating the synchronization signal. To change a value, type it in the corresponding edit area, or use the up or down arrow buttons.

  • Sync: Specifies the number of lines (in a frame) required for the vertical synchronization signal.

  • BPorch: Specifies the number of lines (in a frame) required for the back porch period.

  • Active: Specifies the number of lines (in a frame) that contain actual video information.

  • FPorch: Specifies the number of lines (in a frame) required for the front porch period.

  • Total: Displays the total number of lines in a frame.

  • Frequency: Displays the frame or field rate, that is, the total number of frames or fields per second, in Hz.

  • Lock Active and Total: Locks the Active video period and Total fields to their present values. Note that, when this option is enabled, the Active edit field is grayed out. This allows you to adjust the front and back porch values without changing the active video period and total fields.

  • Pixel Clock Frequency: Displays the pixel clock frequency and specifies whether this setting should be automatically adjusted. If you change the pixel clock frequency (using the Pixel Clock tab), the auto-adjust option is automatically disabled, and the horizontal timings are modified to reflect the new pixel clock frequency. Either the mSec or pclk values are modified, depending on the Auto-adjust setting in the Pixel Clock tab.

  • Frequency: Displays the pixel clock frequency that is specified in the Pixel Clock tab.

  • Auto-adjust: Adjusts the pixel clock frequency when one of the horizontal timings values is modified. That is, as you modify one of the values in the horizontal timings, the pixel clock frequency is modified to reflect the new horizontal timings. When the Auto-adjust option is disabled, the pixel clock frequency remains fixed.

Related topics: Pixel Clock tab


Pixel clock tab

Availability
All boards except CoaXPress communication standard-compliant frame grabbers and GigE Vision compliant cameras

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies information concerning the source and rate of the pixel clock.

Pixel Clock tab options

  • Pixel Clock Frequency: Sets the pixel clock frequency.

  • Frequency: Specifies the pixel clock frequency, in MHz. The pixel clock frequency is used to divide the incoming horizontal line of video into separate pixels by specifying the exact location, in time, of each pixel. The pixel clock is derived from either the camera or your digitizer. Refer to your camera’s operating manual to determine if the camera provides a pixel clock. You can use the slider bar to specify this field or you can type it in directly.

  • Auto-adjust in the Video Timings tab: Adjusts the horizontal timings (displayed in the Video Timing tab) to reflect any changes in the pixel clock frequency. Select whether to modify the usec or pclk field in the horizontal timings.

  • I/O Characteristics: Specifies the characteristics of the input and/or output pixel clock source.

  • Send to external circuit (other than camera): Specifies that the digitizer generates the pixel clock signal that is used by an external circuit.

  • External Clock Signal: Sets the source of the pixel clock.

  • No Clock Exchange:Specifies that no external clock is used.

  • Generated by Digitizer: Specifies that the digitizer generates the clock signal and provides it to the camera. This allows the camera to synchronize to the digitizer. This setup is referred to as "master mode".

  • Generated by Camera: Specifies that the camera generates the clock signal and provides it to the digitizer. This setup is referred to as "slave mode". Possible synchronization schemes include:

    • Synchronization signals are encoded on the analog video signal provided to the digitizer.

    • Horizontal and/or vertical synchronization signal(s) are supplied separately by the camera in either TTL or RS-422 format.

    • The camera provides a composite synchronization signal in either TTL or RS-422 format.

  • Generated by Digitizer and Returned by Camera: Specifies that the digitizer generates the clock signal that is provided to the camera and then returned to the digitizer.

  • Frequency: Specifies the frequency of the pixel clock source signal (input, output, or both), as a multiple of the pixel clock frequency.

  • Format: Specifies the format of the pixel clock source signal (input, output, or both).

  • Polarity: Specifies the polarity of the pixel clock signal.

  • Delay: Specifies the input delay, in nsec. You can use the slider bar to specify the delay setting.

Related topics: Video Timing tab


Exposure signal tab

Availability
Any board that supports timer signals

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies information concerning exposure timers and exposure signals. There is a sub-tab for each available exposure timer. These sub-tabs are similar, although the options available for one timer might depend on the setting of another exposure timer or on the system selected.

Exposure signal tab options

  • Timer 1/Timer 2 sub-tabs: Sets timer information.

  • Timer1 advanced/ Timer 2 advanced sub-tabs: Specifies advanced exposure timer options.


Timer 1/Timer 2 sub-tabs

Availability
Any board that supports timer signals

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file. Choose the Exposure signal tab.

  • File Open command, open a DCF. Choose the Exposure signal tab.

Shortcut:

  • New DCF button, open a DCF. Choose the Exposure signal tab.

  • Open button, open a DCF. Choose the Exposure signal tab.

Specifies exposure timer options. Timer1/Timer2 are two separate sub-tabs that describe two separate exposure timers. They are described below together because they are identical.

Timer1/Timer2 sub-tab options

  • Generation Mode: Selects the mode of the exposure timer. The exposure timer can be disabled, activated periodically (that is, activated every n seconds), or activated by a trigger event.

  • Exposure Signal Info: Sets the electrical format and polarity of the exposure signal.

  • Trigger Info:

  • Format: Sets whether to enable the TTL or RS-422/LVDS drivers for exposure signals, on systems whose I/O drivers are enabled through software and where the option of both TTL and RS-422/LVDS are possible. For more information, refer to the Technical information appendix in the Installation and Hardware Reference manual for your Matrox imaging board.

  • Signal: Specifies the signal that starts the exposure timer.

  • External signal: Specifies that an external signal activates the exposure timer. This corresponds to the trigger arriving on the hardware port.

  • HSync: Specifies that the camera's horizontal synchronization signal activates the exposure timer.

  • VSync: Specifies that the camera's vertical synchronization signal activates the exposure timer.

  • Software: Specifies that the software activates the exposure timer. This corresponds to a specific function call.

  • Hardware: Specifies that external hardware activates the exposure timer. This value also specifies the port on which the signal arrives.

  • Polarity: Sets the trigger activation mode for specified timer.

  • Pulse 1 / Pulse 2 (sec | clk): Specifies the active and inactive time.

  • Active: Specifies the active time for a periodic timer or the pulse width for a triggered timer, in sec. This setting corresponds to the length of the exposure signal. Note that this field displays the Active Time or Pulse Width depending on the Generation Mode setting.

  • Inactive: Specifies the inactive time for a periodic timer or the delay for a triggered timer, in sec. This value corresponds to the delay between the trigger event and the start of the exposure signal. Note that whether this field displays Inactive Time or Delay depends what is selected in the Generation Mode drop down list box.

  • Exposure clock: Specifies the resolution of the timer. This choice is based on the exposure length required by the camera.

  • Type: Specifies the clock source that drives the exposure counter for the specified timer.

  • Synchronous to pixel clock: Uses the pixel clock frequency of your camera.

  • Asynchronous to pixel clock: Uses the Matrox imaging board's clock source frequency.

  • Division factor: Divides the base clock frequency by the specified factor. Used when the timer is activated at a rate slower than the clock frequency. This field determines the output frequency.


Timer 1 advanced/Timer 2 advanced sub-tab

Availability
Any board that supports timer signals

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file. Choose the Exposure signal tab.

  • File Open command, open a DCF. Choose the Exposure signal tab.

Shortcut:

  • New DCF button, open a DCF. Choose the Exposure signal tab.

  • Open button, open a DCF. Choose the Exposure signal tab.

Specifies the advanced exposure timer options of Timer 1 and Timer 2. Timer1 advanced/Timer2 advanced are two separate sub-tabs that describe two separate exposure timers. They are described below together because they are identical.

Timer1 advanced/Timer2 advanced sub-tab options

  • Options: Sets advanced options.

  • Timer output signal: Specifies whether the exposure timers should be implemented alone or combined.

  • Capture a trigger every: Specifies whether the trigger should be captured every time it goes off or a fraction of time it goes off. For example, if you specify 2, then the trigger event will be recognized every second time it goes off.

  • Trigger Arm: Specifies information regarding the arming of a trigger.

  • Mode: Enables or disables the trigger. When the trigger is disabled, a trigger event will interrupt the exposure signal. When the trigger is enabled, the trigger event waits until the exposure signal has finished before it re-arms.

  • Format: Sets whether to enable the TTL, OPTO, or LVDS transmitters/receivers for triggers, on systems whose receivers are enabled through software and where the option of TTL, OPTO, and LVDS are possible.

  • Source: Specifies the re-arming of a grab trigger. Once a trigger event occurs the trigger needs to be re-armed, this field specifies whether the trigger is re-armed as a hardware, a software, or a timer trigger.

  • Polarity: Sets the polarity of the active portion of the exposure signal.


Grab mode tab

Availability
All boards except CoaXPress communication standard-compliant frame grabbers and GigE Vision compliant cameras

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies grab and trigger signal characteristics.

Grab mode tab options

  • Grab characteristics: Specifies the trigger mode, the activation mode, and the line-scan mode of the grab.

  • Mode: Sets the grab trigger mode. The mode can be set to continuous, software trigger, or hardware trigger. In either of the trigger modes grabbing using the Digitizer Single Grab or Digitizer Continuous Grab command will only result in a grab once the trigger event occurs. Software triggers can be generated using the Digitizer Controller dialog box.

  • Activation mode: Specifies when the trigger should be activated. This setting is only available when the Mode field is set to software or hardware trigger.

  • Next Valid Frame (or Field): Starts the grab on the next valid frame or field.

  • Asynchronous Reset: Resets the camera to start exposing a new frame when the trigger signal is received.

  • Asynchronous Reset Delayed 1 Frame: Resets the camera to start exposing a new frame one frame after the trigger signal is received. Use this setting if the camera requires the duration of one frame (after restarting the frame) to generate valid data. This mode is usually used when the digitizer is in master mode. When in master mode the digitizer generates the horizontal and/or vertical synchronization signals and supplies them to the camera.

  • Line-scan mode: Specifies the line-scan mode when a line-scan camera is selected in the Camera sub-tab.

  • Trigger Signal Characteristics: Specifies the characteristics of the input and/or output trigger source.

  • Format: Specifies the electrical format of the trigger's signals.

  • Signal: Specifies the connector/signal with which the trigger signal is associated.

  • Polarity: Specifies the polarity of the pixel clock signal. Pos. Edge Trig specifies a trigger with a rising edge and Neg. Edge Trig specifies a trigger with a falling edge.

Related topics: Camera sub-tab, Digitizer Single Grab, Digitizer Continuous, and Digitizer Control


Sync. signal tab

Availability
All boards except CoaXPress communication standard-compliant frame grabbers and GigE Vision compliant cameras

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies information concerning the synchronization signals.

Sync. signal tab options

  • Source specification: Sets the synchronization signals source specifications.

  • Source: Specifies where the synchronization signal is initiated.

  • Format: Specifies whether an analog or digital source generates the synchronization signal(s).

  • Camera output/input signal latency: Specifies the delay, in pclk cycles, from the moment the camera receives the synchronization signal to the moment the camera should generate valid data (this interval includes blanking).

  • Synchronization signal available: Specifies the available synchronization signals.

  • Block synchronization type enable: Specifies whether you are using bloc synchronization signals. This setting is only available when using analog systems.

  • External VSYNC signal is enabled (from external circuit, not camera): Specifies whether the vertical synchronization signal is generated by an external circuit.

  • Analog signal characteristics: Specifies analog synchronization signals.

  • Sync & video signal type: Specifies the synchronization signal type when an analog camera is generating the synchronization signal(s).

  • Sync signal input channel: Specifies the acquisition path that carries the synchronization signal. If you are grabbing a composite color, RGB color, or RGB alpha signal, you can set the synchronization signal input channel to 0, 1, 2, or 3. Note that the synchronization signal must be composite. If you are grabbing a monochrome signal, specify the input channel using the Video Signal tab. This input channel also carries the synchronization signal(s).

Related topics: Video Signal tab


Digital synchro tab

Availability
Any digital input board

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies synchronization signals generated by or provided to the digitizer in digital form. The available options depend on the settings in the Sync. Signal tab. This information is relative to the digitizer; select Input Active if the camera generates the synchronization signal(s) or Output Active if the digitizer generates the synchronization signal(s).

Digital synchro tab options

  • HSync: Specifies horizontal synchronization information.

  • Input Active: Specifies whether the camera provides horizontal synchronization information to the digitizer. If this option is selected, you must specify the electrical format and polarity of the signal.

  • Output Active: Specifies whether the digitizer generates horizontal synchronization information. If this option is selected, you must specify the electrical format and polarity of the signal.

  • VSync: Specifies information concerning vertical synchronization.

  • Input Active: Specifies whether the camera provides vertical synchronization information to the digitizer. If this option is selected, you must specify the electrical format and polarity of this signal.

  • Output Active: Specifies whether the digitizer generates the vertical synchronization information. If this option is selected, you must specify the electrical format and polarity of this signal.

  • CSync: Specifies information concerning composite synchronization.

  • Input Active: Specifies whether the camera provides a composite synchronization signal to the digitizer. If this option is selected, you must specify the electrical format and polarity of this signal.

  • Output Active: Specifies whether the digitizer generates the composite synchronization information. If this option is selected, you must specify the electrical format and polarity of this signal.

  • Serration Pulse: Specifies whether serration pulses are used. Serration pulses are synchronization pulses used to synchronize video equipment. They appear during the vertical blanking period, at the beginning of the field/frame. These small pulses might occur in the composite synchronization (csync) signal, depending on the type of camera used.

  • Equalization Pulse: Specifies whether equalization pulses are used. Equalization pulses, like serration pulses, are synchronization pulses used to synchronize video equipment. They appear during the vertical blanking period, at the end of the field, and following the serration pulse. These small pulses might occur in a composite synchronization (csync) signal, depending on the type of camera used.

Related topics: Sync. Signal tab


Other tab

Availability

Any Camera Link input board

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Specifies advanced digitizer options. The options available depend on the system selected.

Other tab options

  • Camera Link Control Bits sub-tab: Specifies what is transmitted on each bit of the camera link control signals.

  • Advanced sub-tab: Specifies the test mode and the slow scan mode.


Camera link control bits sub-tab

Availability

Any Camera Link input boards

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file. Choose the Other tab.

  • File Open command, open a DCF. Choose the Other tab.

Shortcut:

  • New DCF button, open a DCF. Choose the Other tab.

  • Open button, open a DCF. Choose the Other tab.

Specifies what is transmitted on each bit of the camera link control.

Camera link control bits sub-tab options

  • Camera Control Bits Sources: Routes a specific signal to camera control output n, where n is the number of the camera control output (1, 2, 3, or 4). The signal can carry timer information, clock information, user information or synchronization information.

  • Signal Output: Enables the specified camera link signal to connector 1 or connector 2.


Other Advanced sub-tab

Availability

Any Camera Link input boards

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file. Choose the Other tab.

  • File Open command, open a DCF. Choose the Other tab.

Shortcut:

  • New DCF button, open a DCF. Choose the Other tab.

  • Open button, open a DCF. Choose the Other tab.

Specifies miscellaneous advanced digitizer options.

Other Advanced sub-tab options

  • Test mode: Enables the test mode, the generation of line numbers and sets the pixel mode. The test mode generates internal image patterns so that your Matrox Imaging Board can be tested when there is no camera is connected to the system.

  • Slow scan: Enable this option when the camera's input frequency is slower than the minimum frequency required by the system selected.


Description tab

Availability
Matrox GigE Vision
Matrox Radient CXP

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Displays descriptions and comments regarding the DCF.

Description tab options

  • Description: Specifies a short and general description of the DCF.

  • Comments: Specifies any additional comments regarding the DCF.


Camera configuration tab

Availability
Any CoaXPress communication standard-compliant frame grabbers
Any GigE Vision-compliant cameras

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Configures camera-specific features that are applied to the device during its initialization. Features are added to the DCF using the Feature Browser.

Camera configuration tab options

  • Manual Feature Configuration: Lists recorded camera specific features changed with the Feature Browser.

  • Recording Mode: Enables recording mode. With recording mode enabled, any changes made to camera features in the Feature Browser will be recorded and saved in the DCF. Making changes to features in the Feature Browser with recording mode disabled will not save the changes in the DCF. Changes made to digitizer features are not saved when recording mode is enabled in this tab; you must enable recording mode in the Digitizer Configuration tab.

  • Dump State to DCF: Saves all streamable camera features defined in the camera's XML description file to the DCF. If a camera lacks streamable feature support, you cannot use this option to set features.

  • Delete: Deletes a selected feature from the DCF.

  • Delete All: Deletes all features from the DCF.

  • Configure Feature: Allows you to add a feature to the DCF, or modify a currently existing feature in the DCF.

  • Name: Specifies the feature's name.

  • Value: Specifies the value to assign to the feature.

  • Type: Specifies the data type of the feature.

  • Add: Adds a feature to the DCF.

  • Modify: Modifies the current feature in the DCF.

  • Make Optional: Specifies to make the feature optional in the DCF file. An optional feature will not cause an error if the feature is not present in the camera during its initialization.

Related topics: Camera Features


Digitizer configuration tab

Availability
Any CoaXPress communication standard-compliant frame grabbers

Dialog:

DCF dialog box

Accessed from:

  • File New command, select the Digitizer Configuration Format tab, open a DCF file.

  • File Open command, open a DCF.

Shortcut:

  • New DCF button, open a DCF.

  • Open button, open a DCF.

Configures digitizer-specific features that are applied to the device during its initialization. Features are added to the DCF using the Feature Browser.

Digitizer configuration tab options

  • Manual Feature Configuration: Lists recorded digitizer-specific features changed with the Feature Browser.

  • Recording Mode: Enables recording mode. With recording mode enabled, any changes made to digitizer features in the Feature Browser will be recorded and saved in the DCF. Making changes to features in the Feature Browser with recording mode disabled will not save the changes in the DCF. Making changes to camera features are not saved when recording mode is enabled in this tab; you must enable recording mode in the Camera Configuration tab.

  • Delete: Deletes a selected feature from the DCF.

  • Delete All: Deletes all features from the DCF.

  • Configure Feature: Allows you to add a feature to the DCF, or modify a currently existing feature in the DCF.

  • Name: Specifies the feature's name.

  • Value: Specifies the value to assign to the feature.

  • Type: Specifies the data type of the feature.

  • Add: Adds a feature to the DCF.

  • Modify: Modifies the current feature in the DCF.

  • Make Optional: Specifies to make the feature optional in the DCF file. An optional feature will not cause an error if the feature is not present in the camera during its initialization.

Related topics: Camera Features


Advanced settings tab

Availability
Any CoaXPress communication standard-compliant frame grabbers

Dialog:

DCF dialog box

Accessed from:

  • File New command, select Digitizer Configuration Format tab, open a DCF.

  • File Open, open a DCF.

Shortcut:

New DCF button

Specifies advanced options for the DCF. The options listed in this tab should remain as the default values unless otherwise directed by Matrox technical support.


Close

Availability
All Boards

Menu

File Close

Shortcut

  • Windows X button.

  • CTRL+F4.

  • Context Menu.

Closes the active window. If you try to close a modified window without saving its contents, Matrox Intellicam asks whether you wish to save it. If you choose to save a new object, the File Save As dialog box is presented.

Related Topics: File Save, File Save as, and Window Close All.


Save

Availability
All Boards

Menu

Save <filename>

Shortcut

  • Toolbar Save button.

  • CTRL+S.

Saves the active document to its current state, using its existing file name, folder, and drive. If you are saving the document for the first time, you are presented with the File Save As dialog box.

Related topics: File Save as


Save as

Availability
All Boards

Menu

File Save As

Saves the contents of the current image document or DCF file under the selected file name, folder, and drive. To save a document using its existing file name, folder, and drive, use the File Save command.

File Save As dialog box options

  • Save in: Selects the folder in which to save the document. To see how the current folder fits your computer's hierarchy, click the down arrow. To see what is inside a folder, click on it. To open the folder one level higher, click on the Up One Level button.

The list box shows the folders and files at the selected location. Click on the List button to obtain a simple list of the files and folders. To obtain a more detailed list, click on the Details button.

You can double click on a folder in the list box to see what is inside of it. If you double click on a file, it will appear in the File Name field, a dialog box will open asking if you would like to replace the existing document with the new file.

To create a new folder, click on the Create New Folder button. A place holder is added to the list box. Type the required folder name over the place holder. Then, double click on the folder to add it to your computer's hierarchy.

  • File Name: Specifies the name of the file in which to save the document.

  • Save as type: Selects the format in which to save the document.

Related topics: File Save


Print

Availability
All Boards

Menu

File Print

Shortcut

  • CTRL+P.

  • Toolbar Print.

Prints the current document.

Print dialog box options

  • Printer: Displays the active printer and printer connection.

  • Properties: Opens the Properties dialog box, where you can choose additional options specific to the type of printer selected.

  • Print Range: Specifies the pages to print.

  • All: Prints the entire document.

  • Pages: Prints only the range of pages that you specify in the From and To edit fields.

  • Selection: Not available in Matrox Intellicam.

  • Copies: Specifies the number of copies of the specified pages to print.

  • Collate: Prints copies in page number order, instead of separate multiple copies of each page. Note that the illustration below this field shows how pages will be printed.

Related topics: File Print Preview and File Print Setup


Print preview

Availability
All Boards

Menu

File Print Preview

Displays, in a print preview window, the current document as it would appear when printed. The print preview window toolbar offers options that allow you to view either one or two pages at a time, move back and forth through the document, zoom in and out of pages, and initiate a print job.

Print Preview toolbar

1 | Print: | Opens the Print dialog box in order to start a print job.
2 | Next Page: | This option is not available in Matrox Intellicam.
3 | Prev Page: | This options is not available in Matrox Intellicam.
4 | One Page/Two Page: | This options is not available in Matrox Intellicam.
5 | Zoom In: | Enlarges the view of the page.
6 | Zoom Out: | Reduces the view of the page.
7 | Close: | Returns from print preview to the main workspace.

Related topics: File Print Setup and File Print


Print setup

Availability
All Boards

Menu

File Print Setup

Specifies a printer and a printer connection to use for printing.

Print setup dialog box options

  • Printer Name: Allows you to select one of the currently installed printers necessary for printing. You install printers and configure ports using the Windows Control Panel.

  • Properties: Opens the Properties dialog box to choose additional options specific to the type of printer selected.

  • Size: Selects the size of paper on which to print the document.

  • Source: Selects, if your printer has multiple trays, the tray with which to print the document.

  • Orientation: Selects the orientation of the printed page to be portrait or landscape.

Related topics: File Print preview and File Print


Recent files

Availability
All Boards

Menu

File <filename>

Displays a list of the most recently used or opened document files. To quickly open one, click on its name or select its corresponding number.


Exit

Availability
All Boards

Menu

File Exit

Shortcut

  • ALT+F4.

  • Windows X button.

Quits Matrox Intellicam. You will be prompted to save new or modified documents or DCFs.

Related topics: File Close, File Save, and File Save as.


Undo

Availability
All Boards
Menu | Edit Undo
Shortcut | CTRL+Z

Undoes the last step performed on the image and restores it to its prior state, when an image window is active. This option is only available when working with imported images. Enable this option from the Image Preferences category of the Preferences dialog box, accessible from the Options Preferences command.

Related topics: Image Preferences


Cut

Availability
All Boards
Menu | Edit Cut
Shortcut | CTRL+X

Cuts the selected area of the image to the clipboard, when an image window is active. Once the image is cut to the clipboard, you can paste it into other images or applications.

Related topics: Edit Paste


Copy

Availability
All Boards
Menu | Edit Copy
Shortcut | CTRL+C

Copies the contents of the current image window to the clipboard. Once the data is copied to the clipboard, you can paste it into a new Matrox Intellicam window using the Edit Paste command. You can also paste it into other applications.

Related topics: Edit Paste


Paste

Availability
All Boards
Menu | Edit Paste
Shortcut | CTRL+V

Copies the contents of the clipboard to a Matrox Intellicam image window. This command is not available if the clipboard is empty or does not contain image information.

Related topics: Edit Copy


As Editor

Availability
All Boards
Menu | View As Editor
Shortcut | CTRL+1

Displays a DCF in a dialog box with multiple tabs. Each tab corresponds to a particular group of DCF settings that can be set from within the tab. This is the most user-friendly method of working with a DCF. Note that this menu is only available if a DCF is active. This is the only view from which you can modify a DCF.

Related topics: As report, As Text, DCF dialog box, Overview tab, Camera tab, Video signal tab, Video timing tab, Pixel clock tab, Exposure signal tab, Grab mode tab, Sync. signal tab, Digital synchro tab, Advanced tab, Other tab, and Bits tab/sub-tab.


As Image

Availability
All Boards
Menu | View As Image
Shortcut | CTRL+4

Displays the current image document using a normal image view (as a picture). Note that this menu item is only available when an image document is active.

Related topics: As Pixels.


As Report

Availability
All Boards
Menu | View As Report
Shortcut | CTRL+2

Displays the DCF in a tabular form. Note that this menu is only available if a DCF is active.

View As report list

  • Tab: Specifies the tab from which you can access the DCF setting, when viewing the DCF in the As Editor view.

  • Name: Specifies the name of each setting in the DCF.

  • Value: Specifies the value of each setting.

Related topics: As Editor and As Text.


As Pixels

Availability
All Boards
Menu | View As Pixel
Shortcut | CTRL+5

Displays the gray or color values of each pixel in the active image document. If you are grabbing continuously, the As Pixels view is updated to reflect the current frame. Note that this menu item is only available if an image document is active.

Related topics: As Image.


As Text

Availability
All Boards
Menu | View As Text
Shortcut | CTRL+3

Displays the active DCF file as a text file. This view displays the name of each setting in the DCF and its value. It is used mainly for examining the low-level settings of your DCF. You will need to know the values of the low-level settings of your DCF if you are going to speak to a Matrox technical support representative to help you modify the DCF to interface with your camera. Note that this menu item is available only if a DCF is active.

Related topics: As Editor and As Text.


Main Toolbar

Availability
All Boards

Menu

View Toolbar

Displays or hides the toolbar (button bar). A check mark appears next to the toolbar menu item when the toolbar is displayed. When you exit Matrox Intellicam, the toolbar setting and position is saved for your next session.

The toolbar includes buttons for some of the most commonly used commands.

Related topic: Toolbar


Status Bar

Availability
All Boards

Menu

View Status Bar

Displays or hides the main application workspace status bar. A check mark appears next to the status bar menu item when the status bar is displayed. When you exit Matrox Intellicam, the status bar setting is saved for your next session.

Related topics: Status bar


Child Area

Availability
All Boards

Menu

Image Child Area

Displays or hides the border of the child area. The child area can be set using the Image Child Area dialog box or by double clicking on an image and dragging the mouse. You can change the color of the border using the Child Area category in the Image tab of the Preferences dialog box, accessible using the Options Preferences command.

Related topics: Image Child Area and Child Area Category.


Validate DCF

Availability
All Boards

Menu

DCF Validate DCF

Shortcut

  • Toolbar Validate DCF button.

  • Context Menu.

Forces the validation of the settings in the active DCF. This is usually done automatically when required. Note that you can also enable continuous validation of the DCF using the DCF editor tab of the Preferences dialog box, accessible using the Options Preferences command.

Related topics: DCF editor tab.


Compute Registers

Availability
All Boards

Menu

DCF Compute Registers

Shortcut

  • CTRL+R

  • Context Menu

Calculates the appropriate values of the hardware registers for the selected digitizer, using the active DCF settings. Note that if your DCF was originally created for a digitizer other than the active digitizer, selecting this option will change the register values of the hardware registers so that they are appropriate for the active digitizer.


Show error report

Availability
All Boards

Menu

DCF Show Error Report

Shortcut

  • CTRL+E.

  • Context Menu.

Displays the Error Report window. This window lists outstanding DCF errors and the required corrections. You can choose to automatically display the Error Report window when there are errors in the DCF, using the DCF Editor tab, located in the Options Preferences dialog box.

Related topics: Options Preferences DCF Editor tab.


Show auto-correct report

Availability
All Boards

Menu

DCF Show Auto-Correct Report

Shortcut

  • CTRL+A.

  • Context Menu.

Displays the Auto-Correct Report window. For automatically modified settings, this window displays the name of the tab (in the DCF) in which a setting was modified, the setting name, the old value of the setting, the new value of the setting, and the reason for the change. Settings are automatically modified when the auto-correction field is enabled. Enable the auto-correction setting DCF Editor tab of the Preferences dialog box, accessible using the Options Preferences command.

When the auto-correction field is enabled, Matrox Intellicam tries to fix errors automatically by modifying incorrect values or by adjusting other values. Auto-correction is also useful when importing a DCF. When you open a DCF that was created for a system other than the active one, auto-correction ensures that all DCF setting are valid. If some are invalid, Matrox Intellicam will change or discard them, and a pop-up window will display the changes made to the DCF.

Note that when using auto-correction, always verify the automatically selected values to make sure that they match the specifications of your target camera.

Related topics: Options Preferences DCF Editor tab


Set as default in MIL

Availability
All Boards

Menu

DCF Set as Default in MIL

Shortcut

  • Context Menu.

Sets the current DCF as the MIL default DCF in MILConfig. Using this menu command will overwrite the current default system and DCF in the MILConfig utility, and save an open DCF as the default. This allows you to use the DCF configured in Intellicam as the default when writing a MIL application.


Clear

Availability
All Boards
Menu | Image Clear
Shortcut | Toolbar Clear button.

Clears the current image to the specified color.

Clear menu options

  • Clear Black: Clears the current image replacing it with a black image.

  • Clear White: Clears the current image replacing it with a white image.

  • Clear Gray: Clears the current image replacing it with a gray image.


Zoom

Availability
All Boards

Menu

Image Zoom

Shortcut

  • Toolbar Zoom In, Zoom Out, & No Zoom button.

  • Context Menu

Zooms in or out of the current image

Zoom menu options

  • x1/16: Zooms in by a factor of 1/16.

  • x1/8: Zooms in by a factor of 1/8.

  • x1/4: Zooms in by a factor of 1/4.

  • x1/2: Zooms in by a factor of 1/2.

  • 1: Returns the image to its original dimensions.

  • x2: Zooms out by a factor of 2.

  • x4: Zooms out by a factor of 4.

  • x8: Zooms out by a factor of 8.

  • x16: Zooms out by a factor of 16.


Child area

Availability
All Boards

Menu

View Child Area

Allows you to define a child area in the current image. A child area allows you to limit grabbing to a specific region within the target image. Note that you can define one child area per image.

Child Area dialog box options

  • Image Definition: Displays information about the current image, such as the size, number of bands, pixel depth, image type, and image attribute(s). Note that this information was specified when the image was created using the File New command. The system with which the image is associated is also defined.

  • Child Area Specification: Specifies the child the area. Assign values using the arrow keys or type them directly into the edit fields.

  • Full size of image: Specifies the child area as the area of the full image.

  • Start X: Specifies the horizontal offset of the child area, relative to the parent's top-left pixel. The offset must be within the width of the parent image.

  • Start Y: Specifies the vertical offset of the child area, relative to the parent's top-left pixel. The offset must be within the height of the parent image.

  • Width: Specifies the width of the child area.

  • Height: Specifies the height of the child area.

  • Mouse Control: Displays information specifying how to create, move, and resize a child area using the mouse. Note that you must close the Child Area dialog box before creating, moving or resizing a child area.

To resize a child area after closing the Image Child Area dialog box, place your cursor over one of the border's handles. The cursor changes into a double-headed arrow. Then, drag the cursor in the required direction. Release the mouse when you are satisfied with the new size. Note that placing your cursor over one of the corner handles allows you to modify the child area's horizontal and vertical dimensions simultaneously.

To move a child area after closing the Image Child Area dialog box, place your cursor over the child area's border. The cursor changes to a four-headed arrow. Then, drag the cursor to the required position.


Import

Availability
All Boards

Menu

Image Import

Shortcut

  • CTRL+I.

  • Context Menu.

Allows you to import an existing image into the current image. The imported image is placed at the upper-left corner of the current image and takes on all characteristics (such as size, number of bands, pixel depth, image type, and image attribute(s)) of the current image.

Import Image file dialog box

  • Look in: Specifies the drive and folder in which the required image is located. Double click on the image file name from the Look in list box. Alternatively, type it directly into the File name area, and then click on the Open button.

  • File name: Sets the required file name and extension. If you are looking for a file with a specific file extension and you do not know the name of the file, set this field to an asterisk followed by the appropriate extension (for example, *.mim), and then press Enter.

  • Files of type: Sets the extension(s) of the file(s) to list. All files in the current folder, with the specified extension, are listed.

  • Display mode of image files: Sets the display mode of the image.

Related topics: File Open


Reload

Availability
All Boards

Menu

Image Reload

Reloads the image that was originally loaded from disk into the active image window, restoring the loaded image to its last saved state. Note that this option is available only for image windows in which an image was imported; it is not for unsaved created images.

Related topics: Image Import


Image Properties

Availability
All Boards

Dialog:

Image Properties dialog box

Accessed from:

  • Image Properties command

  • Context menu

Shortcut:

Alt + Enter

Opens the Image Properties dialog box, which provides options to change the view of the displayed image.

Image Properties dialog box options

  • View Document As: Sets how to view an image. You can set this option to Image, which is the standard view, or Pixels, which shows the image as a grid where each pixel is represented by a cell in the grid, with each cell containing numbers that represent the color or grayscale value for that pixel (3-band color images will display 3 numbers per cell; 1-band grayscale images will display only one number per cell).

  • Display mode: Specifies the data depth with which to display the image when in Image view.

  • Grid cell width: Specifies the width of each cell; in the grid displayed when in Pixel view.

  • View Pixels In: Specifies the number system used to display color or grayscale values, when in Pixel view. You can set this option to Decimal or Hexadecimal.


Single Grab

Availability
All Boards

Menu

Digitizer Single Grab

Shortcut

  • Toolbar Single Grab button.

  • CTRL+M.

Grabs a single image (snapshot), using the active DCF, into the current image window.

If a DCF is not open when you call the Single Grab command, the New Document dialog box opens with the Digitizer Configuration Format tab active. From within this tab, you can open a pre-defined DCF with which to grab the image.

If an image document is not open when you call the Single Grab command, a new image document is opened. The dimensions of the image are automatically set to the values specified in the current DCF. The image will be grabbed into this new image document.

When you grab into an existing image document, its current contents are overwritten by the grabbed data.

Related topics: New Digitizer Configuration dialog box and Digitizer Configuration Format tab


Single Safe Grab

Availability
All Boards

Menu

Digitizer Single Safe Grab

Shortcut

  • Toolbar Single Safe Grab drop down button.

  • CTRL+J.

Grabs a single image (snapshot) into an internal image buffer, using the active DCF, and then copies the image into the current image window. Note that the Single Safe Grab is useful when you are designing a new DCF and experiencing difficulties grabbing an image. For instance, if your DCF contains a timing error, selecting the Single Grab command might result in an error message. However, the Single Safe Grab command will display the image even if it is distorted. By analyzing the distortions, you can get a better idea of your DCF errors.

If a DCF is not open when you call the Single Safe Grab command, the New Document dialog box opens with the Digitizer Configuration Format tab active. From within this tab, you can open a DCF with which to grab the image.

If an image document is not open when you call the Single Safe Grab command, a new image document is opened. The dimensions of the image are automatically set to the values specified in the current DCF. The image will be displayed in the new image document.

When you grab into an existing image document, its current contents are overwritten by the grabbed data.

Related topics: Digitizer Configuration dialog box and Digitizer Configuration Format tab


Single Bayer Grab

Availability
All Boards

Menu

Digitizer Single Bayer Grab

Shortcut

  • Toolbar Single Safe Grab button drop down button.

  • CTRL+ B.

Grabs a single image (snapshot), using the active DCF. The Single Bayer Grab command grabs an image into an internal buffer, the Host applies Bayer conversion, then copies the image into the display. To set your camera's Bayer pattern, select the Digitizer Bayer settings command or click on the Bayer button from the application toolbar. If your camera does not have a Bayer color filter and you select the Single Bayer Grab command, the resulting image will contain incorrect pixel values.

If a DCF is not open when you call the Single Bayer Grab command, the New Digitizer Configuration dialog box opens with the Digitizer Configuration Format tab active. Within this tab, you can open a DCF to grab an image.

If an image document is not open when you call the Single Bayer Grab command, a new image document is opened. The dimensions of the image are automatically set to the values specified in the current DCF. The image will be displayed in the new image document. When you grab into an existing image document, its current contents are overwritten by the grabbed data.

The Single Bayer Grab command implements Bayer conversion by the Host. Some Matrox imaging boards implement Bayer conversion on-board. Note that it is recommended to use the Single Grab or Single Safe Grab commands when performing Bayer conversion using Matrox imaging boards capable of on-board Bayer conversion. Using the Single Bayer Grab can result in incorrect pixel information. See the Cameras with a Bayer filter topic for more information on applying Bayer conversion using the imaging board.

Related topics: Cameras with a Bayer filter, Camera sub-tab, New Digitizer Configuration dialog box, Digitizer Control Bayer tab, Configure Bayer Settings, and Digitizer Configuration Format tab.


Continuous Grab

Availability
All Boards

Menu

Digitizer Continuous Grab

Shortcut

  • Toolbar Continuous Grab button.

  • CTRL+G.

Starts a live (continuous) grab, using the active DCF, then displays it in the current image window. Note that you can experiment interactively with the various dynamic controls of your digitizer, during a continuous grab, using the Digitizer Controller dialog box. You can also interactively adjust various settings of your DCF using the DCF dialog box.

If a DCF is not open when you call the Continuous Grab command, the New Document dialog box opens with the Digitizer Configuration Format tab active. From within this tab, you can open a DCF with which to perform the live grab.

If an image document is not open when you call the Continuous Grab command, a new image document is opened. The dimensions of the image are automatically set to the values specified in the current DCF. The live grab will be displayed in the new image document.

When you grab into an existing image document, its current contents are overwritten by the continuous grab.

During a continuous grab, the image Status bar displays the number of frames that are grabbed per second, allowing you to monitor the speed of your grab.

To halt a grab, click on the Halt Grab button.

Related topics: Digitizer Halt Grab, Digitizer Configuration Format tab, Status Bar and DCF dialog box.


Continuous Safe Grab

Availability
All Boards

Menu

Digitizer Continuous Safe Grab

Shortcut

  • Toolbar Continuous Safe Grab drop down button.

  • CTRL+K.

Starts a live (continuous) grab into an internal image buffer, using the active DCF., then copies into the current image window. Note that the Continuous Safe Grab is useful when you are designing a new DCF and experiencing difficulties grabbing an image. For instance, if your DCF contains a timing error, selecting the Continuous Grab command might result in an error message. However, the Continuous Safe Grab command will display the images even if they are distorted. By analyzing the distortions, you can get a better idea of where your DCF errors lie.

You can experiment interactively with the various dynamic controls of your digitizer during a continuous safe grab, using the Digitizer Controller dialog box. You can also interactively adjust various settings of your DCF using the DCF dialog box.

If a DCF is not open when you call the Continuous Safe Grab command, the New Document dialog box opens with the Digitizer Configuration Format tab active. From within this tab, you can open a DCF with which to perform the safe grab.

If an image document is not open when you call the Continuous Safe Grab command, a new image document is opened. The dimensions of the image are automatically set to the values specified in the current DCF. The safe grab will be performed into this new image document.

When you grab into an existing image document, its current contents are overwritten by the continuous grab. If you do not want to replace the current image, create a new image that has the current digitizer sizes, make sure it is active, and then call the Continuous Safe Grab command. The safe grab will be performed into the new image document, leaving all other images untouched.

During a Continuous Safe Grab, the image Status bar displays the number of frames that are grabbed per second, allowing you to monitor the speed your grab.

To halt a grab, click on the Halt Grab button.

Related topics: Halt Grab, Status bar, Digitizer Controller, and DCF dialog box.


Continuous Bayer Grab

Availability
All Boards

Menu

Digitizer Continuous Bayer Grab

Shortcut

  • Toolbar Continuous Safe Grab button.

  • CTRL+L.

Starts a live (continuous) grab into an internal buffer, using the active DCF. The Bayer grab command grabs an image into an internal buffer, the Host applies Bayer conversion, then copies the image into the display. To your camera's Bayer pattern, select the Digitizer Bayer settings command or click on the Bayer button from the application toolbar. If your camera does not have a Bayer color filter and you select the Continuous Bayer grab command, the resulting image will contain incorrect pixel values.

Note that you can experiment interactively with the various dynamic controls of your digitizer during a Continuous Bayer Grab, using the Digitizer Controller dialog box. You can also interactively adjust various settings of your DCF using the DCF dialog box.

If a DCF is not open when you call the Continuous Bayer Grab command, the New Document dialog box opens with the Digitizer Configuration Format tab active. Within this tab, you can open a DCF to perform the Bayer grab.

If an image document is not open when you call the Continuous Bayer Grab command, a new image document is opened. The dimensions of the image are automatically set to the values specified in the current DCF. The Bayer grab will be displayed in the new image document. When you grab into an existing image document, its current contents are overwritten by the Continuous Bayer Grab. If you do not want to replace the current image, create a new image that has the current digitizer sizes, make sure it is active, and then call the Continuous Bayer Grab command.

During a Continuous Bayer Grab, the image Status bar displays the number of frames that are grabbed per second, allowing you to monitor your grab.

To halt a grab, click on the Halt Grab button.

The Continuous Bayer grab command implements Bayer conversion by the Host. Some Matrox imaging boards implement Bayer conversion on-board. Note that it is recommended to use the Continuous Grab or Continuous Safe Grab commands when performing Bayer conversion using boards capable of on-board Bayer color conversion. Using the Continuous Bayer Grab can result in incorrect pixel information. See the Cameras with a Bayer filter topic for more information on applying Bayer conversion using the imaging board.

Related topics: Cameras with a Bayer filter, Halt Grab, Camera sub-tab, Digitizer Control Bayer tab, Digitizer Controller, Digitizer Configuration Format tab, Status bar, DCF dialog box, and Configure Bayer Settings.


Halt Grab

Availability
All Boards
Menu | Digitizer Halt Grab
Shortcut | Toolbar Halt Grab button.

Stops a continuous grab initiated by the Continuous Grab, the Continuous Safe Grab, or the Continuous Bayer Grab command. The last frame grabbed remains displayed in the image window.

Related topics: Continuous Grab, Continuous Safe Grab, and Continuous Bayer Grab.


Bayer Settings

Availability
All Boards
Menu | Digitizer Configure Bayer Settings
Shortcut | Toolbar Bayer button.

Specifies the Bayer settings when Bayer conversion is implemented by the Host. In order to perform a Bayer grab by the Host select the Single Bayer Grab or Continuous Bayer Grab command after specifying the Bayer settings. Consult the camera's documentation or contact the manufacturer if you are unsure of your camera's Bayer settings; the image will not be converted properly if the wrong pattern is specified. If the information regarding the pattern used by the camera is unattainable, try all of the function's supported patterns to find the correct one.

See the Cameras with a Bayer filter topic for more information on performing Bayer conversion by the Matrox imaging board.

Configure Bayer Settings dialog box options

  • Bayer Pattern: Specifies the Bayer pattern to use in the Bayer conversion. Specifying the starting two pixels of the pattern defines the pattern uniquely. Consult the camera's documentation or contact the manufacturer if you are unsure; the image will not be converted properly if the wrong pattern is specified. If information regarding the pattern used by the camera is unknown, try all of the patterns in order to find the correct one.

  • White Balance: Specifies the white balance coefficients implemented using Bayer conversion. You can use the default values for the red, green, and blue coefficients or you can enter custom coefficients. If you are unsure of which custom coefficients are best for your camera, click the Calculate button. This button will calculate custom coefficients, compatible with your camera, using the reference grey image. For more information on grabbing a gray image, see the Cameras with a Bayer filter topic.

Related topics: Cameras with a Bayer filter, Single Bayer grab and Continuous Bayer grab.


Camera Features

Availability
All Boards except IEEE 1394 standard boards

Dialog

Feature Browser dialog box

Menu

Digitizer Camera Features

Shortcut

  • Toolbar Feature Browser button.

  • CTRL+F.

Opens the Feature Browser dialog box for the selected system. The Feature Browser allows you dynamically configure camera, system, and digitizer settings.

Feature Browser dialog box options

  • Find Feature: Opens the Find Feature dialog box. This dialog box provides an index of all the possible features in alphabetical order and a search field to narrow the list of features. Choosing one of the listed features in the dialog box will bring you to that feature in the feature tree.

  • User Level: Specifies the user's level of control. The lowest user level restricts the amount of feature settings you can change; the highest level allows all features to be settable. This option can be set to Beginner, Expert, and Guru; from lowest level of control to highest, respectively.

  • Polling: Enables polling of specific camera features. Features that the camera defines as pollable (for example, the camera's temperature) will be polled periodically, and Matrox Feature Browser (if open) is updated automatically with this information.

  • Feature tree: Specifies available features for the selected system. Feature names are displayed on the left side of the pane and the value a feature is set to is displayed on the right side of the pane. If a value is displayed in green text, then it is a settable value. To set a feature's value, click on the feature. Depending on the feature, the value will change to a drop-down list, a slider, or a text-box which you can use to change the value of the feature. If a value is displayed in gray text, it is an inquired value for a feature and cannot be changed. Note that the inquired values are not automatically refreshed after a control value is changed. You must click on the feature to get the updated value.

  • Feature Properties: Specifies information about a selected feature. Information includes: a description of the selected feature, a snippet of MIL code, the value the feature is currently set as, a description of the value, and the value's data type.


Control

Availability
All Boards

Menu

Digitizer Control

Shortcut

  • CTRL+D.

  • Toolbar Digitizer Control button.

Allows you to experiment interactively with the various dynamic controls of your digitizer. You can modify these controls during a continuous (live) grab, giving you immediate visual feedback on the effects of their corresponding settings.

The digitizer controls are applied "on top of" the initial state of the DCF, taking precedence over the initial state of the DCF. Note, however, that you cannot save the settings that you change in the Digitizer Controller dialog box since these are dynamic controls applied "on top of" the initial DCF state. Your changes will still be in effect when you close the Digitizer Controller dialog box or when you halt the grab and then restart it. However, once you close and reload the DCF, the initial DCF settings will be active, and all the digitizer control settings will be reset to their default values.

Each control in the Digitizer Controller dialog box corresponds to a digitizer setting accessible through the MIL digitizer control function (MdigControl()). As such, you can find the required value for each setting, and see its effect before you write your application.

By default, using Digitizer Controller is disabled, as its options are being deprecated and replaced with the Feature Browser. To enable the use of the Digitizer Controller, use the option Enable Digitizer Controller in the System Options tab of the Preferences dialog box. The contents of the Digitizer Controller dialog box depends on your system. Some tabs/options appear only when a particular system is active.

Digitizer Controller sub-tabs

  • Bayer tab: Specifies whether Bayer conversion and white balancing are implemented by the Matrox imaging board during a grab.

  • Channel switching modes tab: Specifies whether the camera is locked during channel-switching and whether a color-lock check is done before starting a grab.

  • Camera link tab: Adds he specified camera link signal to the specified user bit group(s) and sets the camera control output(s).

  • Channel tab: Specifies the data channel used during the grab.

  • Channel extended tab: Specifies the active input data or synchronization channel for the specified digitizer.

  • DCAM lens tab: Specifies DCAM lens settings.

  • DCAM misc tab: Specifies miscellaneous DCAM settings.

  • DCAM picture tab: Specifies Picture DCAM settings.

  • Exposure 1/Exposure 2 tab: Specifies the exposure signal options.

  • Grab Attribute 1 tab: Specifies grab attributes.

  • Grab Attribute 2 tab: Specifies grab attributes.

  • Grab Input Gain tab: Specifies the gain level setting with which to amplify the input signal.

  • Grab Region tab: Specifies the region from which to grab.

  • Grab Scale tab: Specifies the scaling factors.

  • Input Filter tab: Specifies information regarding the input filter.

  • References tab: Specifies the reference levels used to digitize the input analog signal.

  • Signal Format tab: Specifies whether to enable the TTL or RS-422/LVDS drivers for exposure signals and user-defined input/output.

  • System User-Defined Signals tab: Specifies the user-defined signals that are controlled at a system level (MsysControl() and MsysInquire()).

  • Trigger tab: Specifies the detection state, the mode, and source of the grab trigger.

  • User-Defined Signals tab: Specifies the user-defined signal at the digitizer level.


Bayer tab

Availability
Any board that performs on-board Bayer conversion
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies that Bayer conversion and white balance correction is implemented by the frame grabbers during a grab. In this case, Bayer conversion is implemented directly on the board and applied using the Single Grab, Single Safe Grab, Continuous Grab, and Continuous Safe Grab commands. Bayer conversion can be used to provide a cost-effective method for grabbing color images: the camera grabs a single-band color-encoded image, and Bayer conversion transforms it into a multi-band color image. White balance correction adjusts an image for color variations that were introduced by the lighting conditions when the image was grabbed; pixels that represent white are converted so they appear as close to white as possible, and other pixels are adjusted accordingly.

Bayer conversion can only be implemented when grabbing from a camera with a Bayer color filter. You must specify your camera's Bayer pattern in the DCF Camera sub-tab. Consult the camera's documentation or contact the manufacturer if you are unsure of the Bayer pattern; the image will not be converted properly if the wrong pattern is specified. If the information regarding the pattern used by the camera is unattainable, try all of the function's supported patterns to find the correct one. If your camera does not have a Bayer color filter and you enable Bayer conversion, incorrect pixel information will result.

See the Cameras with a Bayer filter topic for more information on applying Bayer conversion by the Host.

Bayer tab options

  • Conversion: Sets whether to perform a Bayer color conversion.

  • White Balance: Sets whether to perform white balance correction. Specify the white balance values in the Coefficients field. Note that to perform white balance correction, the Conversion option must be enabled.

  • Coefficients: Specifies the three white balance correction coefficients. Note that this setting only has an effect if the White Balance option is enabled.

Related topics: Cameras with a Bayer filter , DCF Camera sub-tab, Single Bayer grab, and Continuous Bayer grab.


Channel Switching modes tab

Availability
Any analog input board
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies whether the camera is locked during channel-switching and whether a color-lock check is done before starting a grab.

Channel Switching Modes tab options

  • Color lock: Sets whether a color-lock check is done before starting each grab. A color-lock check is only done if the Lock control is enabled. Note that this only applies when the digitizer uses a composite or Y/C color DCF.

  • Lock: Sets whether the camera is locked during channel-switching. Locking the camera during channel-switching is useful when the digitizer might not be synchronized with the source. When performing a channel-switch, the hardware needs to be unlocked from the current camera and locked to the new camera. If the hardware is not locked properly, it can affect the speed and reliability of the next unlock. Corrupt images or a synchronization-lost error can occur if the digitizer is not locked.


Camera Link tab

Availability
Any Camera Link input boards
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Adds the specified Camera Link signal to the specified user bit group(s) and sets the camera control output(s).

Camera Link tab options

  • Control output: Routes a specific signal to camera control output n, where n is the number of the camera control output (1, 2, 3, or 4). This control can be set to use the horizontal, vertical, or pixel clock synchronization frequency of the camera.

  • User Bit Group: Adds the specified Camera Link signal to the specified group, so that setting one of the user-defined signal in this group will set all user-defined signals in this group.


Channel tab

Availability
Any analog input board
Any Camera Link input board
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies the input data channel used during the grab. When choosing the data channel, the default synchronization channel will be used. This value is specified using the Sync. Signal tab in the DCF dialog box.

Channel tab options

  • Channel: Specifies the channel on which the digitizer is to acquire input data. Most acquisition paths have several multiplexed data input channels. This means that they have several data input channels but can only grab from one channel at a time. In this case, the MIL digitizer representing the acquisition path(s) has multiple data input channels. If you have a camera that is connected to a channel other than the first of its digitizer, you must specify the channel using this tab or using the Video Signal tab. If the digitizer does not have the specified channel, an error is generated and the last selected channel remains effective. The default channel corresponds to the default channel for the active digitizer's DCF.

Related topics: Video Signal tab.


Channel Extended tab

Availability
Any analog input board
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies the active input data or synchronization channel for the active digitizer. If the digitizer does not have the specified channel, an error is generated and the last selected channel remains effective. The default channel corresponds to the default channel for the active digitizer's DCF.

Channel Extended tab options

  • Data input channel: Specifies the channel on which the digitizer is to acquire input data. Note that most acquisition paths have several multiplexed data input channels. This means that they have several data input channels but can only grab from one channel at a time. In this case, the MIL digitizer representing the acquisition path(s) has multiple data input channels. If you have a camera that is connected to a channel other than the first of its digitizer, you must specify the channel here or using the Video Signal tab and the Sync. Signal tab in the DCF dialog box.

  • Synchronization channel: Specifies the channel on which the digitizer is to receive synchronization data. Note that when you are using certain Matrox imaging boards, using a digitizer as an external synchronization signal renders the digitizer of that signal "occupied" and not available for allocating as a digitizer.

Related topics: Video Signal tab and Sync.Signal tab.


DCAM Lens tab

Availability
Any IEEE 1394 standard board
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies DCAM lens settings. Note that these options are DCAM specific. For more information, refer to your camera's hardware manual.

DCAM Lens tab options

  • Auto exposure: Sets whether the exposure should be set manually to the specified value or if the camera controls the exposure level automatically and continuously.

  • Focus: Sets the lens focus capabilities.

  • Iris: Sets the aperture for the mechanical lens iris.

  • Optical filter: Sets the optical filter of the camera lens function.

  • Pan: Sets the panning capabilities for your camera.

  • Shutter: Sets the integration time of the incoming light.

  • Tilt: Sets the camera's tilt capabilities.

  • Zoom: Sets the camera lens's zoom capabilities.


DCAM Misc tab

Availability
Any IEEE 1394 standard board
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies miscellaneous DCAM settings. Note that these options are DCAM specific. For more information, refer to your camera's hardware manual.

DCAM Misc tab options

  • Capture quality: Sets the capture quality of the image.

  • Capture size: Sets the capture size of the image.

  • Gamma: Sets the function between the incoming light level and output picture level.

  • Target temperature: Sets the target temperature for the camera.


DCAM Picture tab

Availability
Any IEEE 1394 standard board
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies DCAM picture settings. Note that these options are DCAM specific. For more information, refer to your camera's hardware manual.

DCAM Picture tab options

  • Brightness: Sets the black level of the picture.

  • Gain: Sets the camera circuit gain.

  • Hue: Sets the color phase of the picture.

  • Saturation: Sets the color saturation of the picture.

  • Sharpness: Sets the sharpness of the picture.

  • White balance U: Sets the U chrominance (color) component of the data.

  • White balance V: Sets the V chrominance (color) component of the data.


Exposure 1/Exposure 2 tab

Availability
For digital input boards
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies the exposure signal options.

Exposure 1/Exposure 2 tab options

  • Mode: Sets the polarity of the active portion of the exposure signal for the specified exposure timer. The signal polarity can be set to high, low, or the one specified by the DCF.

  • State: Sets the state of the specified exposure timer. Set this field to M_ACTIVATE to activate a software trigger for the specified exposure timer.

  • Trigger mode: Sets the trigger activation mode for the specified exposure timer. The activation mode specifies when to start the grab after a trigger signal is received. The grab can be started on the next valid field or frame, on a new frame, or one frame after the trigger signal is received.

  • Trigger source: Selects the trigger source for the specified exposure timer. Note that some of the possible signals are actually multi-purpose auxiliary signals and can only be used as trigger signals if they are not defined/used for another purpose.

  • Active time: Sets the time, in nsec, for the active portion of the exposure signal (that is, the exposure time). Set this value to 0 to disable the exposure and perform the grab immediately. Note that an error is returned if the specified exposure time cannot be generated.

  • Time delay: Sets the delay between the trigger and the start of the active portion of the exposure, in nsec. Note that an error is returned if the specified delay cannot be generated.

  • Clock source: Specifies the clock source that drives the exposure counter for the specified timer. The clock source can be set to use the horizontal synchronization frequency of your camera, the vertical synchronization frequency of your camera, the pixel clock frequency of your camera, the Matrox imaging board's clock frequency, or the frequency of a continuous timer. A clock source must have a frequency greater than or equal to 1 Hz. Note that this option might not be available for some boards. Refer to the Technical information appendix in the Installation and Hardware Reference manual for your Matrox Imaging board.

  • Format: Sets whether to enable the TTL or RS-422/LVDS transmitters for exposures and user-defined output signals, on systems whose I/O drivers are enabled through software and where the option of both TTL and RS-422/LVDS are possible. Note that this option might not be available for some boards. Refer to the Technical information appendix in the Installation and Hardware Reference manual for your Matrox Imaging board.


Grab Attribute 1 tab

Availability
All boards
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies a the first set of grab settings.

Grab Attribute 1 tab options

  • Start Mode: Sets the grab start mode when using an interlaced scanning camera. The grab can start on a even, odd, or any field.

  • Mode: Specifies how the grab is synchronized with the Host during a single grab. Note that this does not affect continuous grabbing, which always runs asynchronously, otherwise the Halt Grab command would not stop the grab.

  • Timeout: Sets the maximum time to wait for a frame before generating an error.

  • Direction X: Sets the horizontal grab direction.

  • Direction Y: Sets the vertical grab direction.

Related topics: Halt Grab


Grab Attribute 2 tab

Availability
All boards
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies the second set of grab settings.

Grab Attribute 2 tab options

  • Window range: Limits the range of the grabbed pixel values.

  • Number of fields: Sets the number of fields to grab when performing a single grab. This control type should only be used for interlaced video. When using progressive cameras, set this setting to 1.

  • Options specific to Matrox CronosPlus.


Grab Attribute 2 options specific to Matrox CronosPlus

Availability
Matrox CronosPlus
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies options available when using Matrox CronosPlus.

Grab Attribute 2 tab options specific to Matrox CronosPlus

  • Fail check: Sets whether and when to log a grab-fail error. When this is set to Final Grab, monoshot grab failures and the last frame of a continuous grab is logged.

  • Number of fail retries: Sets the number of retries when a field or frame grab fails.


Grab Input Gain tab

Availability
All boards
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies the grab input gain. Adjusting the input gain allows you to optimize the amplitude of the video input signal so that the full dynamic range of the component digitizing the video is used. On some analog input boards, by default, the gain level setting is applied to all acquisition paths used by the digitizer or to both Y (luminance) and C (chrominance) components (for composite, after separation). Refer to the Technical information appendix in the Installation and Hardware Reference manual for your Matrox Imaging board.

Grab Input Gain tab options

  • Input gain: Sets the input gain with which to amplify the input signal.

  • Automatic: Specifies whether the on-board decoder should automatically set the input gain. Matrox Morphis applies, by default, the input gain level setting to both Y and C components (for composite, after separation). Note that this option might not be available for some boards. Refer to the Technical information appendix in the Installation and Hardware Reference manual for your Matrox Imaging board.

  • Channel n: Applies the input gain to the nth acquisition path used by the digitizer. Note that this option might not be available for some boards. Refer to the Technical information appendix in the Installation and Hardware Reference manual for your Matrox Imaging board.


Grab Region tab

Availability
All boards
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies the region from which to grab.

Grab Region tab options

  • Custom size: Enables you to set the size of the grab region.

  • Offset: Sets the X and Y-offset of the input signal capture window.

  • Size: Sets the height and width of the input signal capture window in pixels. Note that certain source sizes, offsets, and destination buffer sizes can affect a grab.

  • Options specific to Matrox IEEE 1394 IIDC.


Grab Region options specific to Matrox IEEE 1394 IIDC

Availability
Matrox IEEE 1394 IIDC
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies grab region options available to Matrox IEEE 1394 IIDC.

Grab Region tab options specific to Matrox IEEE 1394 IIDC

  • Full size of camera: Sets the capture size of the image. The capture size specified depends on the camera used. Note that this is DCAM specific. For more information, refer to your camera's hardware manual.

  • Compensation: Sets whether software compensation is possible when cropping the input signal capture window.

On Matrox IEEE 1394 IIDC, it is possible to optimize grabs by taking advantage of hardware cropping with a format 7-capable camera. To do so, allocate the camera in format 7. When specifying the size and offset, the cropping will be done by the camera's hardware if it is supported, that is, if the specified offsets and sizes match the boundaries of one of the supported subregions. Under any other circumstance, cropping will be done by software.

This setting can be used to disable the software compensation to make sure that hardware cropping is used.


Grab Scale tab

Availability
All boards
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Sets the scaling factors.

Grab Scale tab options

  • Scale X: Controls the horizontal scaling factor when performing a single grab or a continuous grab. To reduce the image size set the scaling factor to a value less than 1. Setting the scaling factor to 1 specifies that no scaling is applied.

Setting the scaling factor to Fill Destination calculates and sets the scaling factor to fill the destination buffer. The best scaling factor supported will be used.

  • Scale Y: Controls the vertical scaling factor when performing a single grab or a continuous grab. See Scale X for options corresponding to specific Matrox imaging boards.

  • Grab Scale tab options specific to Matrox Orion HD


Grab Scale options specific Matrox Orion HD

Availability
Matrox Orion HD
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies grab scale options specific to Matrox Orion HD.

Grab Scale tab specific to Matrox Orion HD

  • Quality: Sets the quality of the scaling. It can be set to one of the following:

  • High: Specifies that an entire frame is grabbed in on-board memory before scaling. This setting yields a high quality scaling, but grab latency is doubled.

  • Low: Specifies that each field is scaled separately before being composed into one scaled frame. This setting can cause some vertical scaling artifacts, but grab latency is minimal.

  • Interpolation: Sets the type of interpolation used when scaling the input image. When not scaling, you can use this setting to smooth the grabbed image. If Quality is set to Low interpolation is performed on each field separately. If Quality is set to High interpolation is performed on a frame. It can be set to one of the following:

  • Average: Specifies an averaging interpolation. Note this is not supported when grabbing into a YUV buffer and the grab is scaled by ½.

  • Bilinear: Specifies a bilinear interpolation. Note this is not supported when grabbing into a YUV buffer and the grab is scaled by ½.

  • Nearest Neighbor: Specifies a nearest neighbor interpolation.


Input Filter tab

Availability
Any board with input filter capabilities
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies information concerning the input filter. Refer to the Installation and hardware reference manual for more information regarding the frequencies of low-pass filters.

Input Filter tab options

  • Input Filter: Sets the low-pass filter applied to incoming data for all available acquisition paths used by the specified digitizer. It can be set to one of the following:

  • By Pass: Applies no input filter.

  • Low Pass 0: Applies the first low pass filter.

  • Low Pass 1: Applies the second low pass filter.

  • Channel 0: Specifies the low-pass filter for the first acquisition path used by the specified digitizer. See Input Filter above for the specific settings.

  • Channel 1: Specifies the low-pass for the second acquisition path used by the specified digitizer. See Input Filter above for the specific settings.

  • Channel 2: Specifies the low-pass for the third acquisition path used by the specified digitizer. See Input Filter above for the specific settings.

  • Channel 3: Specifies the low-pass for the first acquisition path used by the specified digitizer. See Input Filter above for the specific settings.


References tab

Availability
Any analog input board
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies the reference levels used to digitize the analog signal received from a camera. This tab is specific to analog input devices. Note that some of these options might not be applicable on some boards. Refer to the Technical information appendix in the Installation and Hardware Reference manual for your Matrox Imaging board.

Reference tab options

  • Brightness: Sets the brightness level for input signals.

  • Contrast: Sets the contrast level for input signals.

  • Hue: Sets the hue level for input signals. This control is only available when grabbing color data.

  • Saturation: Sets the saturation level for input signals. This control is only available when grabbing color data.

  • Black: Sets the input signal's digitization black reference level.

  • White: Sets the input signal's digitization white reference level.

  • 0: Sets the reference level on acquisition path 0. See Black and White above.

  • 1: Sets the reference level on acquisition path 1. See Black and White above.

  • 2: Sets the reference level on acquisition path 2. See Black and White above.

  • 3: Sets the reference level on acquisition path 3. See Black and White above.

  • Lock black values: Locks the ratio between the black reference level on all acquisition paths.

  • Lock white values: Locks the ratio between the white reference level on all acquisition paths.


Signal Format tab

Availability
On systems whose transmitters/receivers are enabled through software
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies the signal formats used for trigger and exposure signals. For systems that do not support this tab use the User-Defined Signals tab or the Exposure1/Exposure2 tab instead.

Signal Format tab options

  • User in format: Sets whether to enable the TTL or RS-422/LVDS receivers for trigger signals and user-defined input signals, on systems whose receivers are enabled through software and where the option of both TTL and RS-422/LVDS are possible. For more information, refer to the Technical information appendix in the Installation and Hardware manual for your Matrox Imaging board.

  • User out format: Sets whether to enable the TTL or RS-422/LVDS drivers for exposure signals and user-defined output signals, on systems whose I/O drivers are enabled through software and where the option of both TTL and RS-422/LVDS are possible. For more information, refer to the Technical information appendix in the Installation and Hardware manual for your Matrox Imaging board.

Related topics: User-Defined Signal tab and Exposure1/Exposure2 tab.


System User-Defined Signals tab

Availability

Any system that supports user-defined signals

Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Allows you to control/inquire the user-defined signals that are controlled at a system level (MsysControl() and MsysInquire()) rather than at the digitizer level. Note, see the User-Defined Signals tab for other Matrox imaging boards that have user-defined signals but are not supported here.

System User-Defined signals tab options

  • User-defined signal: Sets the state of the current user bit on the specified user-defined signal(s) to output or input.

  • Mode: Sets the mode of the specified user-defined signal if it is a bi-directional (I/O) signal. Specifies that the user-defined signal is for input and/or output.

  • Read: Displays the value of the system user-defined signal when you click on the Read button.

  • Write: Sets the current bit on the specified system user-defined signal to on or off.

Related topic: User-Defined Signals tab


Trigger tab

Availability
All boards
Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies the grab trigger options.

Trigger tab options

  • Detection state: Sets the grab trigger detection state. Setting this field to Enable, enables trigger detection. Setting this field to Disable, disables trigger detection. Setting this field to activate starts the grab immediately, an asynchronous or continuous grab must be in progress. When this field is enabled the digitizer is set to detect the occurrence of an event. A frame is then grabbed (or continuously grabbed) on the occurrence of the event.

  • Software Trigger: Sends a software trigger if the trigger source is set to software. An asynchronous or continuous grab must be in progress.

  • Mode: Sets the hardware trigger activation mode. Specifies whether to trigger upon a high to low signal variation, a low to high signal variation, a maximum signal level, or a minimum signal level.

  • Source: Sets the source of the grab trigger.


User-Defined Signals tab

Availability

Any board that support user-defined signals

Dialog: | Digitizer Controller dialog box
Accessed from: | Digitizer Control command
Shortcut: | Digitizer Control button

Specifies user-defined signal information. The user bits are the bits on user-defined input, output, and/or I/O (bidirectional) signals. See the System User-Defined Signals tab for other Matrox imaging boards that have user-defined signals but are not supported here. To set the user bit interrupt mode, the user bit interrupt state or to specify a bit-encoded mask value to identify the group of user defined signals to affect, use MdigControl().

User-Defined Signals tab options

  • User-defined signal: Sets the state of the current user bit on the specified user-defined output signal(s) or I/O signals set to output. You can specify one of three things: a bit-encoded mask value that identifies the group of user-defined signals to affect, the number of a specific user-defined signal, or the number of a specific camera control signal.

  • Read: Displays the value of user-defined signal when you click on the Read button.

  • Write: Sets the current bit on the specified user-defined signal to on or off.

  • Format: Sets whether to enable the TTL or LVDS transmitters/receivers for the user-defined signal, on systems whose receivers are enabled through software and where the option of both TTL and LVDS are possible. Refer to the Technical information appendix in the Installation and Hardware Reference manual for your Matrox Imaging board. For systems that do not support this option see the Exposure1/Exposure2 tab topic or the Signal Format tab topic.

Related topics: System User-Defined Signal tab and Signal Format tab.


System Selection

Availability
All Boards

Menu

Options System Selection

Shortcut

  • Toolbar System Selection.

  • Context menu.

  • Ctrl+Shift+S

Allows you to allocate a hardware system (board set or Host system) so that it can be used with subsequent commands. The active system will then be used for all subsequent commands executed in Matrox Intellicam. A system must be allocated before a DCF can be modified or an image is grabbed. This command also allows you to free an allocated system.

System Selection dialog box options

  • Available systems: Specifies the available systems. Note that device 0 is either the only system installed on your computer or it is the first of several systems. You should choose a virtual system if you do not actually have the required board installed but would still like to edit or create a DCF file for that system.

  • Allocate: Opens the System allocation dialog box. This dialog box allows you to specify information about the system. An error is generated if the system cannot be allocated.

  • Free: Frees the active system. Once you have finished using a system, you should free it.

  • Make Active: Sets the selected system as the active one. This makes the specified system the default one, and the icon next to the system name changes to an A (for active system). Note that can also double click on the selected device to make it active.

  • Info: Displays system information.

Related topics: System tab


System tab

Availability
All Boards

Accessed from

  • Options System Selection command, select the Allocate button, chose System tab.

  • Select the System Selection button from the toolbar. Choose the Allocate button.

Specifies the selected system's settings, including the device number and device's initialization mode.

System tab option

  • Device number: Specifies the number (or rank) of the system. Note that device number 0 corresponds to the first system and device number 1 corresponds to the second system if one is installed.

  • Device initialization: Specifies the type of initialization to perform on the selected system. This setting can be set to M_DEFAULT, M_COMPLETE, or M_PARTIAL. M_COMPLETE initializes the system to its default state and downloads any required resident software. M_PARTIAL initializes the system toits default state but does not download any resident software.


Preferences

Availability
All Boards

Menu

Options Preferences

Shortcut

  • Context menu

  • Ctrl+Shift+P

Allows you to specify preferences related to the DCF editor.

Preferences dialog box options

  • DCF Editor tab: Specifies whether or not to automatically correct errors, when to list DCF errors, and whether or not to continuously update the digitizer with the current DCF settings.

  • Register Compute tab: Specifies the method used to compute the DCF register values.

  • Image tab: Specifies preferences related to images.

  • System tab: Specifies system options.


DCF Editor tab

Availability
All Boards

Accessed from

Options Preferences command, select DCF Editor tab.

Specifies whether to automatically correct errors, when to list DCF errors, and whether to continuously update the digitizer with the current DCF settings.

DCF Editor tab options

  • Auto-Correction: Enables auto-correction. When auto-correction is enabled, Matrox Intellicam tries to fix DCF errors automatically by modifying incorrect values or by adjusting other values.

Auto-correction is also useful when importing a DCF. When you open a DCF that was created for a system other than the active one, auto-correction ensures that all DCF settings are valid. The auto-correction option will change or discard any invalid settings, and a pop-up window will display the changes made to the DCF. Note that when using auto-correction, always verify the automatically selected values to make sure that they match the specifications of your target camera. To display the changes in a window, use the DCF Show Auto-Correct Report command.

  • Continuous Validation: Validates your DCF after every modification and continuously updates the digitizer.

  • Show Error Report window only when errors are present: Lists all outstanding errors and the required corrections in the Error Report window. This window opens when an error occurs in the DCF and the window remains open until all errors are corrected.

Related topics: Show Auto-Correct Report and Show Error Report


Register Compute tab

Availability
All Boards

Accessed from

Options Preferences command, select Register Compute tab

Specifies the method used to compute the DCF register values.

Register Compute tab options

  • Automatically compute registers when necessary: Recomputes the digitizer register values each time a value is changed in the DCF. Therefore, the register values are continuously updated, ensuring that the DCF is always synchronized. You see the results of your changes immediately.

When this option is disabled, you must select the DCF Compute Registers command to update the register values. Note that Matrox Intellicam will ask you if you want to compute the registers when you validate the DCF, print the DCF, save the DCF, grab a single image, or grab continuously.

This option is enabled by default.

  • Directly Edited Registers: Applies to the registers that you have asked the Matrox engineers to edit. If you are using a non-standard camera and Matrox engineers have directly modified your registers we recommend that you set field to Never overwrite. This will ensure that you so not accidentally overwrite the registers set by Matrox Engineers.

  • Never overwrite: Enables the bypassing of the values specified in the DCF and uses the values edited by Matrox engineers.

  • Ask to overwrite: Prompts for confirmation before overwriting the values that were manually set (without using the Matrox Intellicam interface).


Image tab

Availability
All Boards

Accessed from

Options Preferences command, select Image tab

Specifies preferences related to images.

Image tab options

  • Category: Specifies that you would like to set either the Child Area category or the Image Preferences category.

  • Child area category: Specifies child area characteristics.

  • Image Preferences category: Specifies image settings.

Related topics: Color dialog box


Child Area Category

Availability
All Boards

Accessed from

Options Preferences command, select Image tab.

Specifies preferences related to the child area. Note that you cannot use these settings to resize or move the child area; to do so, see the Image Child Area command.

Child Area category options

  • Child area visible: Displays a border around the active image's child area.

  • Grab in child area: Grabs into the active image's child area, instead of grabbing on top of the entire image.

  • Area tracker width: Specifies the width of the circular handles that appear along the displayed border of the child area. You can specify this value using the arrow buttons or you can type it in directly.

  • Area border width: Specifies the width of the border displayed around a child area. You can specify this value using the arrow buttons or you can type it in directly.

  • Border Color: Opens the Color dialog box. This dialog box allows you to change the color of the border displayed around a child area. Note that the current border color is displayed next to this button. Changing the border color makes it easier to view details surrounding the edges of the image.

Related topic: Image Child Area


Image preferences category

Availability
All Boards

Accessed from

Options Preferences command, select Image tab, chose the Image Preferences category.

Specifies preferences related to the active image.

Image Preferences category options

  • Frame: Specifies that a frame is placed around the image. Click on the Color button to specify the color of the image border.

  • Others. Enables/disables the undo command. Matrox Intellicam must be restarted in order to enable/disable the undo command.


System Options tab

Availability
All Boards

Accessed from

Options Preferences command, select System Options tab.

Specifies system options.

System Options tab options

  • Error flash time: Specifies the amount of time, in msec, to flash a MIL error message (when it occurs) in the main application status bar.

  • Error flash count: Specifies how many times, within the duration of the specified error flash time, to flash a MIL error message (when it occurs) in the main application status bar.

  • Keying color: Opens the Color dialog box. This dialog box allows you to change the keying color. Note that the current keying color is displayed next to this button.

  • Frame rate interval: Specifies, in msec, how often to calculate the frame rate. If you are using a cameras with a slow frame rate this interval must be increased.

  • Enable Digitizer Controller: Enables the use of the digitizer controller to modify the DCF.

  • Enable GenICam for CameraLink (CLProtocol) feature browser: Enables the GenICam CLProtocol module. The GenICam CLProtocol module allows Camera Link cameras to be accessed using the Feature Browser. If this has been enabled in the Camera-Link pane of the Boards item in the MILConfig utility, it is not necessary to enable it in this tab.

Related topics: Status bar


New window

Availability
All Boards
Menu | Window New Window
Shortcut | CTRL+W

Opens a new window containing a second view of the same document. This window will have the same contents as the current window, but both windows can be manipulated independently. Any change made to one window directly affects the other window.


Cascade

Availability
All Boards
Menu | Window Cascade
Shortcut | Context menu

Rearranges all windows so that they are partially overlaid one on top of the other, in a cascading pattern.


Tile

Availability
All Boards
Menu | Window Tile
Shortcut | Context menu

Arranges all open windows like tiles so that they cover the entire workspace. The size of the 'tiles' depends on the number of open windows. The 'tiles' are automatically reduced or enlarged, as required, in order to fit all 'tiles' in the workspace.


Arrange icons

Availability
All Boards

Menu

Window Arrange Icons

Arranges all window icons in rows at the bottom of the application workspace.


Close all

Availability
All Boards
Menu | Window Close All
Shortcut | Context menu

Closes all open windows and window icons. You are prompted to save new or modified images, and/or DCFs.

Related topics: Close, Save, and Save as.


Window 1, 2, .. 9 <<filename>>

Availability
All Boards

Menu

Window <<filename>>

Displays a list of windows and window icons currently in the application workspace. A check mark indicates the active window.


Contents

Availability
All Boards

Menu

Help Contents

Shortcut

  • Toolbar Contents button

  • Help Topics button

  • F1

Opens the Matrox Intellicam help file (this help file), with the Contents tab visible. The Contents tab lists all topics in Matrox Intellicam help. Topics containing sub-topics are identified with a book icon. To view (or hide) sub-topics, double click on the main topic. To view the description of a sub-topic, double click on it.

Note that you can also obtain context-sensitive help.

Related topics: Context Help


Search

Availability
All Boards

Menu

Help Contents

Shortcut

  • Toolbar Help topics button.

  • F1.

Opens the Search tab for Matrox Intellicam's on-line help and allows you to search for a specified topic. Matrox Intellicam's on-line help supports full text search. You can search for phrases by enclosing the phrase in quotation marks ("). You can also precisely define a search using wild card expressions (* and ?), Boolean operators (AND, OR, NOT, and NEAR), and nested expressions (using parenthesis).

Note that the help will consider a string with a period or dash in it as two consecutive words. For example, to search for X-coordinate, you would have to put it inside quotation marks for the search to find the string.

You might find it useful to search with the Match similar words option enabled, and then refine your query and search through previous results. Sort through the resulting list of topics according to their Title, Location, or Rank by clicking on the corresponding column heading.

Note that the menu command that enables the highlighting of found terms is not very intuitive. When the feature is enabled, the Options Search Highlight Off menu command is available, whereas when disabled, the Options Search Highlight On menu command is available.

In some rare cases, found terms are not highlighted when highlighting is enabled. Press <CTRL F> to search for the term in the topic.

You can also access for help topics using the table of contents.

Related topics: Help Contents and Context-sensitive help.


Context Help

Availability
All Boards

Menu

Help Context Help

Shortcut

  • Toolbar Context Help button.

  • F1.

Allows you to obtain context-sensitive help by clicking on Context Help button, moving the cursor over the required window or menu item, and clicking on the left mouse button. The help topic describing the selected window or item appears on the screen. Note that context-sensitive help is not available for all options in Matrox Intellicam.

Some areas also provide context-sensitive help by clicking on the area and pressing F1.


Tip of the day

Availability
All Boards

Menu

Help Tip of the Day

Displays a useful tip about Matrox Intellicam.

Tip of the Day dialog box options

  • Next tip: Displays another tip.

  • Show Tips on StartUp: Automatically displays a tip each time Matrox Intellicam is loaded.


About Matrox Intellicam

Availability
All Boards

Menu

Help About Intellicam

Displays the version number of your copy of Matrox Intellicam and a copyright notice.


Glossary

Availability
All Boards

For a more in-depth description of video and camera interfacing terms, see Appendix A: Camera interface reference.

active period or active video

Related to the video signal, it is the interval in which the signal carries valid pixel data. During this state, the frame grabber grabs the video information and places it into memory. For more information, refer to the video timings definition.

asynchronous reset mode

Mode in which the camera can be externally reset to start a new frame on demand. The camera resets its vertical timing and sends the valid frame.

back porch

The state following the synchronization period and preceding the active video period. During this state, the video information is not valid.

band

One of the surfaces of a buffer. A grayscale image requires just one band. A color image requires three bands, one for each color component (red, green, and blue).

binning

When grabbing images, a technique for reading an electron charge pattern out of a CCD. The stored charges from several pixels combine to create the equivalent of a single larger pixel.

The advantage of binning is that it can boost low signals; this technique can increase the frame rate and reduce the resolution.

black voltage level

The voltage corresponding to a black pixel. Any voltage level below the black voltage level (such as the voltage levels used for synchronization signals) is referred to as "blacker than black". Valid video levels should not dip below the black voltage level. Note that this applies only to analog video.

blanking period

The portion of a video signal after the end of a line, and before the beginning of a new one. During this period, where displays are concerned, the video signal is "blanked" so that a scan line can be brought back to the beginning of a new line. To do so, the voltage is set to a blanking voltage. The blanking voltage might be the same as the black voltage level.

block synchronization

The synchronization information provided in the RS-343 standard (which is a modified version of the RS-170 standard). This type of synchronization signal does not have serration or equalization pulses during the vertical retrace. In addition, horizontal synchronization signals do not occur during the vertical synchronization period.

camera type

See frame-scan camera type and line-scan camera type.

child area

A specific portion of an image (that is, a specific region of interest). Any change made to the child area affects the entire image. In other words, an operation performed on the child area is also performed on the corresponding region of the parent (full) image. However, the child area is an image in its own right. Whenever the entire image cannot be used, you can use the child area instead to affect only a part of the entire image. When a child area is specified, results are returned relative to the child area's coordinates rather than the parent image's coordinates.

clamping period

The location where the reference voltage level of an analog signal is determined. It is found in the inactive video region (back porch, front porch, or synchronization pulse), and is characterized by a constant video voltage level that defines the black level of the video signal.

composite input signal

A signal that carries both the horizontal and vertical synchronization information, along with the video information.

composite sync

A synchronization signal made up of both vertical and horizontal synchronization components.

DCF

Digitizer Configuration Format. A document, generally stored in a file that is created by Matrox Intellicam. This document contains the register values with which to configure your Matrox frame grabber. It is used by Matrox software to initialize the frame grabber such that it accepts the particular video signals from a specific camera.

Such files have a DCF extension.

dual-tap camera

A camera that outputs two pixels simultaneously on two separate taps; for multiple tap cameras, pixels are output simultaneously on more than one tap.

electrical format - TTL, RS-422, and LVDS

The type of signal generated by a digital source, TTL, RS-422, or LVDS. Each format defines a specific voltage and electrical characteristic.

The TTL format signal is characterized by voltage levels of 0V and 5V; these correspond to the standard logical states 0 and 1, respectively.

The RS-422 and LVDS format signals are composed of two complementary signals (differential), SIGNAL+ and SIGNAL -, from which the standard logical states 0 and 1 can be extracted.

equalization pulses

Equalization pulses, like serration pulses, are synchronization pulses used to synchronize video equipment. They appear during the vertical blanking period, at the end of the field, and following the serration pulse. These small pulses might or might not occur in a composite synchronization (csync) signal, depending on the type of camera used.

exposure

The period during which the image sensor of a camera is exposed to light. As the length of this period increases, so does the brightness of the image.

exposure clock

Specifies the frequency with which the exposure signal is calculated.

exposure signal

A timer-based pulse. The exposure signal can be used to control external hardware. For example, it can be fed to the camera to control exposure time or used to fire a strobe light.

exposure timer

An electronic circuit that measures time. In the context of Matrox Intellicam, a timer is used to generate an exposure signal. When you use a timer as a trigger, a frame is grabbed a specified amount of time after the timer is started. This can be used for exposure: the exposure signal remains active for a specified amount of time (known as the exposure time or pulse width), then upon the end of the exposure, the image can be grabbed.

field

One of the two halves of a frame in interlaced modes. One half consists of the image’s odd lines (known as the odd field); the other half consists of the image’s even lines (known as the even field).

Note that this only applies to interlaced frame-scan cameras.

frame

A single image grabbed from a frame-scan camera.

frame scan camera

Generally, a camera that provides a two-dimensional image. Examples of frame scan cameras include any RS-170A or CCIR timing-compatible cameras.

Frame scan cameras have a constant horizontal timing and vertical timing.

front porch

The last state in a line/field. It follows the active video period and precedes the state of the next line/field. The video information is not valid during this state.

genlock

Generator locking device. A technique/device that allows multiple video sources to synchronize. Genlock synchronizes the pixel clock, vertical synchronization and horizontal synchronization signals to ensure that multiple video sources are synchronous.

horizontal synchronization

The horizontal reference signal which indicates the end of a line and the start of a new one. It is used to horizontally synchronize video devices to each other (for example, a camera and a frame grabber).

input-signal gain

A factor by which to electrically amplify the incoming video signal when referring to analog video.

interlaced

Describes a camera that sends a frame in two distinctive parts: one that consists of the even-numbered lines, and another that consists of the odd-numbered lines. These parts are known as the odd and even field of the frame. The lines of the frame are written to the buffer in an interleaved fashion (that is, the odd and even lines are properly intermixed).

This applies to frame-scan cameras.

keying

Keying is a display effect, that switches between two display sources according to pixel values in one of the sources. It is often used to make portions of an overlay display memory transparent so that corresponding areas of the display memory can show through it.

Also known as transparency (keying).

line-scan camera

A one-dimensional scan type camera that grabs on a line basis with constant or variable horizontal timings.

multi-tap camera

A camera that has two or more video outputs. Therefore, two or more pixels can be transmitted simultaneously. This setup allows for faster frame/line rates without increasing the pixel clock.

non-interlaced

Describes a frame-scan camera that sends a single sequence of lines per frame. The lines of the frame are written into a buffer in a non-interleaved fashion, as opposed to interlaced.

See also: progressive scan.

pedestal

The DC voltage offset between the blanking and the black voltage level when referring to analog video signals.

pixel clock

A digital signal used to synchronize the latching of the pixel data.

The pixel clock frequency (or sampling rate) determines how many pixels of digital data will be extracted from the active portion of the analog or digital signal.

polarity

Indicates the active edge or level of a signal. A positive edge trigger signal means that the rising edge is the active edge, while a negative edge means that the falling edge is the active edge, whereas a falling edge activates a negative edge trigger signal. For active levels, a positive polarity for signal level indicates an active high level, while a negative polarity for signal level indicates a low level.

progressive scan

Describes a camera that sends a single signal per frame, when referring to frame-scan cameras. The lines of the frame are written into a buffer in a non-interleaved fashion (that is, sequentially).

See also: non-interlaced.

reference levels

When digitizing images from analog video sources, black and white reference levels determine the zero and full-scale values, respectively, of the input voltage range. The analog-to-digital converters convert any voltage above the black reference level to the specified maximum white pixel value. Any voltages below the black reference level to a zero pixel value.

serration pulses

Serration pulses, like equalization pulses, are synchronization pulses used to synchronize video equipment. These small pulses might or might not occur in the composite synchronization (csync) signal, depending on the type of camera used. They appear during the vertical blanking period, directly at the beginning of the field/frame.

synchronization signal

A signal that indicates the end of a line or frame and the start of a new one (horizontal synchronization signal or vertical synchronization signal).

synchronization pulse period

The state that indicates the beginning of a line (horizontal synchronization) or the beginning of a field/frame (vertical synchronization). During this state, the video information is not valid.

system

In general, in Matrox Intellicam, a system refers to a board with video acquisition capabilities that you have installed in your computer.

swing type

Describes the relationship between the voltage levels of the active video and the vertical blanking when referring to analog video signal. In a positive swing signal, the voltage of the active video is above (more positive than) the blanking level. In a negative swing signal, the active video signal is below (more negative than) the blanking level. An active-video voltage swing that is both above and below the blanking level is defined as a "both side" swing-type signal.

UART

Universal Asynchronous Receiver/Transmitter. A component that handles serial communication through an interface.

vertical synchronization signal

The vertical reference signal which indicates the end of a frame and the start of a new one. It is used to vertically synchronize video devices to one another. For example, it is used to make sure that the very first line in a frame is grabbed. The vertical synchronization from the camera is used to tell the frame grabber to start grabbing at a precise moment.

video format

A standard that determines the way video signal is structured. See appendix C for the specific characteristics of the available video formats.